ffmpeg version N-66015-g343f07e Copyright (c) 2000-2014 the FFmpeg developers
built on Sep  1 2014 15:47:50 with gcc 4.8.1 (GCC)
configuration: --pkg-config=pkg-config --prefix=/home/jacek/ff/packages/win32 --enable-memalign-hack --arch=x86 --target-os=mingw32 --cross-prefix=i686-w64-mingw32- --enable-gpl --enable-version3 --disable-w32threads --disable-shared --enable-static --extra-cflags=-DPTW32_STATIC_LIB --enable-zlib --enable-libx264 --enable-libxvid --enable-libmp3lame --enable-libfaac
libavutil      54.  7.100 / 54.  7.100
libavcodec     56.  1.100 / 56.  1.100
libavformat    56.  3.100 / 56.  3.100
libavdevice    56.  0.100 / 56.  0.100
libavfilter     5.  0.103 /  5.  0.103
libswscale      3.  0.100 /  3.  0.100
libswresample   1.  1.100 /  1.  1.100
libpostproc    53.  0.100 / 53.  0.100
Hyper fast Audio and Video encoder
usage: ffmpeg [options] [[infile options] -i infile]... {[outfile options] outfile}...

Getting help:
    -h      -- print basic options
    -h long -- print more options
    -h full -- print all options (including all format and codec specific options, very long)
    See man ffmpeg for detailed description of the options.

Print help / information / capabilities:
-L                  show license
-h topic            show help
-? topic            show help
-help topic         show help
--help topic        show help
-version            show version
-buildconf          show build configuration
-formats            show available formats
-devices            show available devices
-codecs             show available codecs
-decoders           show available decoders
-encoders           show available encoders
-bsfs               show available bit stream filters
-protocols          show available protocols
-filters            show available filters
-pix_fmts           show available pixel formats
-layouts            show standard channel layouts
-sample_fmts        show available audio sample formats
-colors             show available color names

Global options (affect whole program instead of just one file:
-loglevel loglevel  set logging level
-v loglevel         set logging level
-report             generate a report
-max_alloc bytes    set maximum size of a single allocated block
-y                  overwrite output files
-n                  never overwrite output files
-stats              print progress report during encoding
-max_error_rate ratio of errors (0.0: no errors, 1.0: 100% error  maximum error rate
-bits_per_raw_sample number  set the number of bits per raw sample
-vol volume         change audio volume (256=normal)

Advanced global options:
-cpuflags flags     force specific cpu flags
-hide_banner hide_banner  do not show program banner
-benchmark          add timings for benchmarking
-benchmark_all      add timings for each task
-progress url       write program-readable progress information
-stdin              enable or disable interaction on standard input
-timelimit limit    set max runtime in seconds
-dump               dump each input packet
-hex                when dumping packets, also dump the payload
-vsync              video sync method
-async              audio sync method
-adrift_threshold threshold  audio drift threshold
-copyts             copy timestamps
-copytb mode        copy input stream time base when stream copying
-dts_delta_threshold threshold  timestamp discontinuity delta threshold
-dts_error_threshold threshold  timestamp error delta threshold
-xerror error       exit on error
-filter_complex graph_description  create a complex filtergraph
-lavfi graph_description  create a complex filtergraph
-filter_complex_script filename  read complex filtergraph description from a file
-debug_ts           print timestamp debugging info
-intra              deprecated use -g 1
-sameq              Removed
-same_quant         Removed
-deinterlace        this option is deprecated, use the yadif filter instead
-psnr               calculate PSNR of compressed frames
-vstats             dump video coding statistics to file
-vstats_file file   dump video coding statistics to file
-qphist             show QP histogram
-vc channel         deprecated, use -channel
-tvstd standard     deprecated, use -standard
-isync              this option is deprecated and does nothing
-override_ffserver   override the options from ffserver

Per-file main options:
-f fmt              force format
-c codec            codec name
-codec codec        codec name
-pre preset         preset name
-map_metadata outfile[,metadata]:infile[,metadata]  set metadata information of outfile from infile
-t duration         record or transcode "duration" seconds of audio/video
-to time_stop       record or transcode stop time
-fs limit_size      set the limit file size in bytes
-ss time_off        set the start time offset
-timestamp time     set the recording timestamp ('now' to set the current time)
-metadata string=string  add metadata
-target type        specify target file type ("vcd", "svcd", "dvd", "dv", "dv50", "pal-vcd", "ntsc-svcd", ...)
-apad               audio pad
-frames number      set the number of frames to record
-filter filter_graph  set stream filtergraph
-filter_script filename  read stream filtergraph description from a file
-reinit_filter      reinit filtergraph on input parameter changes
-discard            discard

Advanced per-file options:
-map [-]input_file_id[:stream_specifier][,sync_file_id[:stream_s  set input stream mapping
-map_channel file.stream.channel[:syncfile.syncstream]  map an audio channel from one stream to another
-map_chapters input_file_index  set chapters mapping
-accurate_seek      enable/disable accurate seeking with -ss
-itsoffset time_off  set the input ts offset
-itsscale scale     set the input ts scale
-dframes number     set the number of data frames to record
-re                 read input at native frame rate
-shortest           finish encoding within shortest input
-copyinkf           copy initial non-keyframes
-copypriorss        copy or discard frames before start time
-tag fourcc/tag     force codec tag/fourcc
-q q                use fixed quality scale (VBR)
-qscale q           use fixed quality scale (VBR)
-profile profile    set profile
-attach filename    add an attachment to the output file
-dump_attachment filename  extract an attachment into a file
-muxdelay seconds   set the maximum demux-decode delay
-muxpreload seconds  set the initial demux-decode delay
-bsf bitstream_filters  A comma-separated list of bitstream filters
-fpre filename      set options from indicated preset file
-dcodec codec       force data codec ('copy' to copy stream)

Video options:
-vframes number     set the number of video frames to record
-r rate             set frame rate (Hz value, fraction or abbreviation)
-s size             set frame size (WxH or abbreviation)
-aspect aspect      set aspect ratio (4:3, 16:9 or 1.3333, 1.7777)
-bits_per_raw_sample number  set the number of bits per raw sample
-vn                 disable video
-vcodec codec       force video codec ('copy' to copy stream)
-timecode hh:mm:ss[:;.]ff  set initial TimeCode value.
-pass n             select the pass number (1 to 3)
-vf filter_graph    set video filters
-ab bitrate         audio bitrate (please use -b:a)
-b bitrate          video bitrate (please use -b:v)
-dn                 disable data

Advanced Video options:
-pix_fmt format     set pixel format
-intra              deprecated use -g 1
-rc_override override  rate control override for specific intervals
-sameq              Removed
-same_quant         Removed
-passlogfile prefix  select two pass log file name prefix
-deinterlace        this option is deprecated, use the yadif filter instead
-psnr               calculate PSNR of compressed frames
-vstats             dump video coding statistics to file
-vstats_file file   dump video coding statistics to file
-intra_matrix matrix  specify intra matrix coeffs
-inter_matrix matrix  specify inter matrix coeffs
-chroma_intra_matrix matrix  specify intra matrix coeffs
-top                top=1/bottom=0/auto=-1 field first
-vtag fourcc/tag    force video tag/fourcc
-qphist             show QP histogram
-force_fps          force the selected framerate, disable the best supported framerate selection
-streamid streamIndex:value  set the value of an outfile streamid
-force_key_frames timestamps  force key frames at specified timestamps
-hwaccel hwaccel name  use HW accelerated decoding
-hwaccel_device     select a device for HW accelerationdevicename
-vc channel         deprecated, use -channel
-tvstd standard     deprecated, use -standard
-vbsf video bitstream_filters  deprecated
-vpre preset        set the video options to the indicated preset

Audio options:
-aframes number     set the number of audio frames to record
-aq quality         set audio quality (codec-specific)
-ar rate            set audio sampling rate (in Hz)
-ac channels        set number of audio channels
-an                 disable audio
-acodec codec       force audio codec ('copy' to copy stream)
-vol volume         change audio volume (256=normal)
-af filter_graph    set audio filters

Advanced Audio options:
-atag fourcc/tag    force audio tag/fourcc
-sample_fmt format  set sample format
-channel_layout layout  set channel layout
-guess_layout_max   set the maximum number of channels to try to guess the channel layout
-absf audio bitstream_filters  deprecated
-apre preset        set the audio options to the indicated preset

Subtitle options:
-s size             set frame size (WxH or abbreviation)
-sn                 disable subtitle
-scodec codec       force subtitle codec ('copy' to copy stream)
-stag fourcc/tag    force subtitle tag/fourcc
-fix_sub_duration   fix subtitles duration
-canvas_size size   set canvas size (WxH or abbreviation)
-spre preset        set the subtitle options to the indicated preset


AVCodecContext AVOptions:
  -b                 <int>        E..VA... set bitrate (in bits/s) (from 0 to INT_MAX) (default 200000)
  -ab                <int>        E...A... set bitrate (in bits/s) (from 0 to INT_MAX) (default 128000)
  -bt                <int>        E..V.... Set video bitrate tolerance (in bits/s). In 1-pass mode, bitrate tolerance specifies how far ratecontrol is willing to deviate from the target average bitrate value. This is not related to minimum/maximum bitrate. Lowering tolerance too much has an adverse effect on quality. (from 1 to INT_MAX) (default 4e+006)
  -flags             <flags>      ED.VAS.. (default 0)
     unaligned                    .D.V.... allow decoders to produce unaligned output
     mv4                          E..V.... use four motion vectors per macroblock (MPEG-4)
     qpel                         E..V.... use 1/4-pel motion compensation
     loop                         E..V.... use loop filter
     gmc                          E..V.... use gmc
     mv0                          E..V.... always try a mb with mv=<0,0>
     gray                         ED.V.... only decode/encode grayscale
     psnr                         E..V.... error[?] variables will be set during encoding
     naq                          E..V.... normalize adaptive quantization
     ildct                        E..V.... use interlaced DCT
     low_delay                    ED.V.... force low delay
     global_header                E..VA... place global headers in extradata instead of every keyframe
     bitexact                     ED.VAS.. use only bitexact functions (except (I)DCT)
     aic                          E..V.... H.263 advanced intra coding / MPEG-4 AC prediction
     ilme                         E..V.... interlaced motion estimation
     cgop                         E..V.... closed GOP
     output_corrupt               .D.V.... Output even potentially corrupted frames
  -me_method         <int>        E..V.... set motion estimation method (from INT_MIN to INT_MAX) (default 5)
     zero                         E..V.... zero motion estimation (fastest)
     full                         E..V.... full motion estimation (slowest)
     epzs                         E..V.... EPZS motion estimation (default)
     esa                          E..V.... esa motion estimation (alias for full)
     tesa                         E..V.... tesa motion estimation
     dia                          E..V.... diamond motion estimation (alias for EPZS)
     log                          E..V.... log motion estimation
     phods                        E..V.... phods motion estimation
     x1                           E..V.... X1 motion estimation
     hex                          E..V.... hex motion estimation
     umh                          E..V.... umh motion estimation
     iter                         E..V.... iter motion estimation
  -g                 <int>        E..V.... set the group of picture (GOP) size (from INT_MIN to INT_MAX) (default 12)
  -ar                <int>        ED..A... set audio sampling rate (in Hz) (from INT_MIN to INT_MAX) (default 0)
  -ac                <int>        ED..A... set number of audio channels (from INT_MIN to INT_MAX) (default 0)
  -cutoff            <int>        E...A... set cutoff bandwidth (from INT_MIN to INT_MAX) (default 0)
  -frame_size        <int>        E...A... (from INT_MIN to INT_MAX) (default 0)
  -qcomp             <float>      E..V.... video quantizer scale compression (VBR). Constant of ratecontrol equation. Recommended range for default rc_eq: 0.0-1.0 (from -FLT_MAX to FLT_MAX) (default 0.5)
  -qblur             <float>      E..V.... video quantizer scale blur (VBR) (from -1 to FLT_MAX) (default 0.5)
  -qmin              <int>        E..V.... minimum video quantizer scale (VBR) (from -1 to 69) (default 2)
  -qmax              <int>        E..V.... maximum video quantizer scale (VBR) (from -1 to 1024) (default 31)
  -qdiff             <int>        E..V.... maximum difference between the quantizer scales (VBR) (from INT_MIN to INT_MAX) (default 3)
  -bf                <int>        E..V.... set maximum number of B frames between non-B-frames (from -1 to INT_MAX) (default 0)
  -b_qfactor         <float>      E..V.... QP factor between P- and B-frames (from -FLT_MAX to FLT_MAX) (default 1.25)
  -rc_strategy       <int>        E..V.... ratecontrol method (from INT_MIN to INT_MAX) (default 0)
  -b_strategy        <int>        E..V.... strategy to choose between I/P/B-frames (from INT_MIN to INT_MAX) (default 0)
  -ps                <int>        E..V.... RTP payload size in bytes (from INT_MIN to INT_MAX) (default 0)
  -bug               <flags>      .D.V.... work around not autodetected encoder bugs (default 1)
     autodetect                   .D.V....
     old_msmpeg4                  .D.V.... some old lavc-generated MSMPEG4v3 files (no autodetection)
     xvid_ilace                   .D.V.... Xvid interlacing bug (autodetected if FOURCC == XVIX)
     ump4                         .D.V.... (autodetected if FOURCC == UMP4)
     no_padding                   .D.V.... padding bug (autodetected)
     amv                          .D.V....
     ac_vlc                       .D.V.... illegal VLC bug (autodetected per FOURCC)
     qpel_chroma                  .D.V....
     std_qpel                     .D.V.... old standard qpel (autodetected per FOURCC/version)
     qpel_chroma2                 .D.V....
     direct_blocksize              .D.V.... direct-qpel-blocksize bug (autodetected per FOURCC/version)
     edge                         .D.V.... edge padding bug (autodetected per FOURCC/version)
     hpel_chroma                  .D.V....
     dc_clip                      .D.V....
     ms                           .D.V.... work around various bugs in Microsoft's broken decoders
     trunc                        .D.V.... truncated frames
  -strict            <int>        ED.VA... how strictly to follow the standards (from INT_MIN to INT_MAX) (default 0)
     very                         ED.V.... strictly conform to a older more strict version of the spec or reference software
     strict                       ED.V.... strictly conform to all the things in the spec no matter what the consequences
     normal                       ED.V....
     unofficial                   ED.V.... allow unofficial extensions
     experimental                 ED.V.... allow non-standardized experimental things
  -b_qoffset         <float>      E..V.... QP offset between P- and B-frames (from -FLT_MAX to FLT_MAX) (default 1.25)
  -err_detect        <flags>      .D.VA... set error detection flags (default 0)
     crccheck                     .D.VA... verify embedded CRCs
     bitstream                    .D.VA... detect bitstream specification deviations
     buffer                       .D.VA... detect improper bitstream length
     explode                      .D.VA... abort decoding on minor error detection
     ignore_err                   .D.VA... ignore errors
     careful                      .D.VA... consider things that violate the spec, are fast to check and have not been seen in the wild as errors
     compliant                    .D.VA... consider all spec non compliancies as errors
     aggressive                   .D.VA... consider things that a sane encoder should not do as an error
  -mpeg_quant        <int>        E..V.... use MPEG quantizers instead of H.263 (from INT_MIN to INT_MAX) (default 0)
  -qsquish           <float>      E..V.... how to keep quantizer between qmin and qmax (0 = clip, 1 = use differentiable function) (from 0 to 99) (default 0)
  -rc_qmod_amp       <float>      E..V.... experimental quantizer modulation (from -FLT_MAX to FLT_MAX) (default 0)
  -rc_qmod_freq      <int>        E..V.... experimental quantizer modulation (from INT_MIN to INT_MAX) (default 0)
  -rc_eq             <string>     E..V.... Set rate control equation. When computing the expression, besides the standard functions defined in the section 'Expression Evaluation', the following functions are available: bits2qp(bits), qp2bits(qp). Also the following constants are available: iTex pTex tex mv fCode iCount mcVar var isI isP isB avgQP qComp avgIITex avgPITex avgPPTex avgBPTex avgTex.
  -maxrate           <int>        E..VA... maximum bitrate (in bits/s). Used for VBV together with bufsize. (from 0 to INT_MAX) (default 0)
  -minrate           <int>        E..VA... minimum bitrate (in bits/s). Most useful in setting up a CBR encode. It is of little use otherwise. (from INT_MIN to INT_MAX) (default 0)
  -bufsize           <int>        E..VA... set ratecontrol buffer size (in bits) (from INT_MIN to INT_MAX) (default 0)
  -rc_buf_aggressivity <float>      E..V.... currently useless (from -FLT_MAX to FLT_MAX) (default 1)
  -i_qfactor         <float>      E..V.... QP factor between P- and I-frames (from -FLT_MAX to FLT_MAX) (default -0.8)
  -i_qoffset         <float>      E..V.... QP offset between P- and I-frames (from -FLT_MAX to FLT_MAX) (default 0)
  -rc_init_cplx      <float>      E..V.... initial complexity for 1-pass encoding (from -FLT_MAX to FLT_MAX) (default 0)
  -dct               <int>        E..V.... DCT algorithm (from 0 to INT_MAX) (default 0)
     auto                         E..V.... autoselect a good one (default)
     fastint                      E..V.... fast integer
     int                          E..V.... accurate integer
     mmx                          E..V....
     altivec                      E..V....
     faan                         E..V.... floating point AAN DCT
  -lumi_mask         <float>      E..V.... compresses bright areas stronger than medium ones (from -FLT_MAX to FLT_MAX) (default 0)
  -tcplx_mask        <float>      E..V.... temporal complexity masking (from -FLT_MAX to FLT_MAX) (default 0)
  -scplx_mask        <float>      E..V.... spatial complexity masking (from -FLT_MAX to FLT_MAX) (default 0)
  -p_mask            <float>      E..V.... inter masking (from -FLT_MAX to FLT_MAX) (default 0)
  -dark_mask         <float>      E..V.... compresses dark areas stronger than medium ones (from -FLT_MAX to FLT_MAX) (default 0)
  -idct              <int>        ED.V.... select IDCT implementation (from 0 to INT_MAX) (default 0)
     auto                         ED.V....
     int                          ED.V....
     simple                       ED.V....
     simplemmx                    ED.V....
     arm                          ED.V....
     altivec                      ED.V....
     sh4                          ED.V....
     simplearm                    ED.V....
     simplearmv5te                ED.V....
     simplearmv6                  ED.V....
     simpleneon                   ED.V....
     simplealpha                  ED.V....
     ipp                          ED.V....
     xvid                         ED.V....
     xvidmmx                      ED.V.... deprecated, for compatibility only
     faani                        ED.V.... floating point AAN IDCT
     simpleauto                   ED.V....
  -ec                <flags>      .D.V.... set error concealment strategy (default 3)
     guess_mvs                    .D.V.... iterative motion vector (MV) search (slow)
     deblock                      .D.V.... use strong deblock filter for damaged MBs
     favor_inter                  .D.V.... favor predicting from the previous frame
  -pred              <int>        E..V.... prediction method (from INT_MIN to INT_MAX) (default 0)
     left                         E..V....
     plane                        E..V....
     median                       E..V....
  -aspect            <rational>   E..V.... sample aspect ratio (from 0 to 10) (default 0/1)
  -debug             <flags>      ED.VAS.. print specific debug info (default 0)
     pict                         .D.V.... picture info
     rc                           E..V.... rate control
     bitstream                    .D.V....
     mb_type                      .D.V.... macroblock (MB) type
     qp                           .D.V.... per-block quantization parameter (QP)
     mv                           .D.V.... motion vector
     dct_coeff                    .D.V....
     skip                         .D.V....
     startcode                    .D.V....
     pts                          .D.V....
     er                           .D.V.... error recognition
     mmco                         .D.V.... memory management control operations (H.264)
     bugs                         .D.V....
     vis_qp                       .D.V.... visualize quantization parameter (QP), lower QP are tinted greener
     vis_mb_type                  .D.V.... visualize block types
     buffers                      .D.V.... picture buffer allocations
     thread_ops                   .D.VA... threading operations
     nomc                         .D.VA... skip motion compensation
  -vismv             <flags>      .D.V.... visualize motion vectors (MVs) (deprecated) (default 0)
     pf                           .D.V.... forward predicted MVs of P-frames
     bf                           .D.V.... forward predicted MVs of B-frames
     bb                           .D.V.... backward predicted MVs of B-frames
  -cmp               <int>        E..V.... full-pel ME compare function (from INT_MIN to INT_MAX) (default 0)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -subcmp            <int>        E..V.... sub-pel ME compare function (from INT_MIN to INT_MAX) (default 0)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -mbcmp             <int>        E..V.... macroblock compare function (from INT_MIN to INT_MAX) (default 0)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -ildctcmp          <int>        E..V.... interlaced DCT compare function (from INT_MIN to INT_MAX) (default 8)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -dia_size          <int>        E..V.... diamond type & size for motion estimation (from INT_MIN to INT_MAX) (default 0)
  -last_pred         <int>        E..V.... amount of motion predictors from the previous frame (from INT_MIN to INT_MAX) (default 0)
  -preme             <int>        E..V.... pre motion estimation (from INT_MIN to INT_MAX) (default 0)
  -precmp            <int>        E..V.... pre motion estimation compare function (from INT_MIN to INT_MAX) (default 0)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -pre_dia_size      <int>        E..V.... diamond type & size for motion estimation pre-pass (from INT_MIN to INT_MAX) (default 0)
  -subq              <int>        E..V.... sub-pel motion estimation quality (from INT_MIN to INT_MAX) (default 8)
  -me_range          <int>        E..V.... limit motion vectors range (1023 for DivX player) (from INT_MIN to INT_MAX) (default 0)
  -ibias             <int>        E..V.... intra quant bias (from INT_MIN to INT_MAX) (default 999999)
  -pbias             <int>        E..V.... inter quant bias (from INT_MIN to INT_MAX) (default 999999)
  -global_quality    <int>        E..VA... (from INT_MIN to INT_MAX) (default 0)
  -coder             <int>        E..V.... (from INT_MIN to INT_MAX) (default 0)
     vlc                          E..V.... variable length coder / Huffman coder
     ac                           E..V.... arithmetic coder
     raw                          E..V.... raw (no encoding)
     rle                          E..V.... run-length coder
     deflate                      E..V.... deflate-based coder
  -context           <int>        E..V.... context model (from INT_MIN to INT_MAX) (default 0)
  -mbd               <int>        E..V.... macroblock decision algorithm (high quality mode) (from 0 to 2) (default 0)
     simple                       E..V.... use mbcmp (default)
     bits                         E..V.... use fewest bits
     rd                           E..V.... use best rate distortion
  -sc_threshold      <int>        E..V.... scene change threshold (from INT_MIN to INT_MAX) (default 0)
  -lmin              <int>        E..V.... minimum Lagrange factor (VBR) (from 0 to INT_MAX) (default 236)
  -lmax              <int>        E..V.... maximum Lagrange factor (VBR) (from 0 to INT_MAX) (default 3658)
  -nr                <int>        E..V.... noise reduction (from INT_MIN to INT_MAX) (default 0)
  -rc_init_occupancy <int>        E..V.... number of bits which should be loaded into the rc buffer before decoding starts (from INT_MIN to INT_MAX) (default 0)
  -flags2            <flags>      ED.VA... (default 0)
     fast                         E..V.... allow non-spec-compliant speedup tricks
     noout                        E..V.... skip bitstream encoding
     ignorecrop                   .D.V.... ignore cropping information from sps
     local_header                 E..V.... place global headers at every keyframe instead of in extradata
     chunks                       .D.V.... Frame data might be split into multiple chunks
     showall                      .D.V.... Show all frames before the first keyframe
     export_mvs                   .D.V.... export motion vectors through frame side data
  -error             <int>        E..V.... (from INT_MIN to INT_MAX) (default 0)
  -threads           <int>        ED.VA... (from 0 to INT_MAX) (default 1)
     auto                         ED.V.... autodetect a suitable number of threads to use
  -me_threshold      <int>        E..V.... motion estimation threshold (from INT_MIN to INT_MAX) (default 0)
  -mb_threshold      <int>        E..V.... macroblock threshold (from INT_MIN to INT_MAX) (default 0)
  -dc                <int>        E..V.... intra_dc_precision (from -8 to 16) (default 0)
  -nssew             <int>        E..V.... nsse weight (from INT_MIN to INT_MAX) (default 8)
  -skip_top          <int>        .D.V.... number of macroblock rows at the top which are skipped (from INT_MIN to INT_MAX) (default 0)
  -skip_bottom       <int>        .D.V.... number of macroblock rows at the bottom which are skipped (from INT_MIN to INT_MAX) (default 0)
  -profile           <int>        E..VA... (from INT_MIN to INT_MAX) (default -99)
     unknown                      E..VA...
     aac_main                     E...A...
     aac_low                      E...A...
     aac_ssr                      E...A...
     aac_ltp                      E...A...
     aac_he                       E...A...
     aac_he_v2                    E...A...
     aac_ld                       E...A...
     aac_eld                      E...A...
     mpeg2_aac_low                E...A...
     mpeg2_aac_he                 E...A...
     dts                          E...A...
     dts_es                       E...A...
     dts_96_24                    E...A...
     dts_hd_hra                   E...A...
     dts_hd_ma                    E...A...
  -level             <int>        E..VA... (from INT_MIN to INT_MAX) (default -99)
     unknown                      E..VA...
  -lowres            <int>        .D.VA... decode at 1= 1/2, 2=1/4, 3=1/8 resolutions (from 0 to INT_MAX) (default 0)
  -skip_threshold    <int>        E..V.... frame skip threshold (from INT_MIN to INT_MAX) (default 0)
  -skip_factor       <int>        E..V.... frame skip factor (from INT_MIN to INT_MAX) (default 0)
  -skip_exp          <int>        E..V.... frame skip exponent (from INT_MIN to INT_MAX) (default 0)
  -skipcmp           <int>        E..V.... frame skip compare function (from INT_MIN to INT_MAX) (default 13)
     sad                          E..V.... sum of absolute differences, fast (default)
     sse                          E..V.... sum of squared errors
     satd                         E..V.... sum of absolute Hadamard transformed differences
     dct                          E..V.... sum of absolute DCT transformed differences
     psnr                         E..V.... sum of squared quantization errors (avoid, low quality)
     bit                          E..V.... number of bits needed for the block
     rd                           E..V.... rate distortion optimal, slow
     zero                         E..V.... 0
     vsad                         E..V.... sum of absolute vertical differences
     vsse                         E..V.... sum of squared vertical differences
     nsse                         E..V.... noise preserving sum of squared differences
     w53                          E..V.... 5/3 wavelet, only used in snow
     w97                          E..V.... 9/7 wavelet, only used in snow
     dctmax                       E..V....
     chroma                       E..V....
  -border_mask       <float>      E..V.... increase the quantizer for macroblocks close to borders (from -FLT_MAX to FLT_MAX) (default 0)
  -mblmin            <int>        E..V.... minimum macroblock Lagrange factor (VBR) (from 1 to 32767) (default 236)
  -mblmax            <int>        E..V.... maximum macroblock Lagrange factor (VBR) (from 1 to 32767) (default 3658)
  -mepc              <int>        E..V.... motion estimation bitrate penalty compensation (1.0 = 256) (from INT_MIN to INT_MAX) (default 256)
  -skip_loop_filter  <int>        .D.V.... skip loop filtering process for the selected frames (from INT_MIN to INT_MAX) (default 0)
     none                         .D.V.... discard no frame
     default                      .D.V.... discard useless frames
     noref                        .D.V.... discard all non-reference frames
     bidir                        .D.V.... discard all bidirectional frames
     nokey                        .D.V.... discard all frames except keyframes
     nointra                      .D.V.... discard all frames except I frames
     all                          .D.V.... discard all frames
  -skip_idct         <int>        .D.V.... skip IDCT/dequantization for the selected frames (from INT_MIN to INT_MAX) (default 0)
     none                         .D.V.... discard no frame
     default                      .D.V.... discard useless frames
     noref                        .D.V.... discard all non-reference frames
     bidir                        .D.V.... discard all bidirectional frames
     nokey                        .D.V.... discard all frames except keyframes
     nointra                      .D.V.... discard all frames except I frames
     all                          .D.V.... discard all frames
  -skip_frame        <int>        .D.V.... skip decoding for the selected frames (from INT_MIN to INT_MAX) (default 0)
     none                         .D.V.... discard no frame
     default                      .D.V.... discard useless frames
     noref                        .D.V.... discard all non-reference frames
     bidir                        .D.V.... discard all bidirectional frames
     nokey                        .D.V.... discard all frames except keyframes
     nointra                      .D.V.... discard all frames except I frames
     all                          .D.V.... discard all frames
  -bidir_refine      <int>        E..V.... refine the two motion vectors used in bidirectional macroblocks (from 0 to 4) (default 1)
  -brd_scale         <int>        E..V.... downscale frames for dynamic B-frame decision (from 0 to 10) (default 0)
  -keyint_min        <int>        E..V.... minimum interval between IDR-frames (from INT_MIN to INT_MAX) (default 25)
  -refs              <int>        E..V.... reference frames to consider for motion compensation (from INT_MIN to INT_MAX) (default 1)
  -chromaoffset      <int>        E..V.... chroma QP offset from luma (from INT_MIN to INT_MAX) (default 0)
  -trellis           <int>        E..VA... rate-distortion optimal quantization (from INT_MIN to INT_MAX) (default 0)
  -sc_factor         <int>        E..V.... multiplied by qscale for each frame and added to scene_change_score (from 0 to INT_MAX) (default 6)
  -mv0_threshold     <int>        E..V.... (from 0 to INT_MAX) (default 256)
  -b_sensitivity     <int>        E..V.... adjust sensitivity of b_frame_strategy 1 (from 1 to INT_MAX) (default 40)
  -compression_level <int>        E..VA... (from INT_MIN to INT_MAX) (default -1)
  -min_prediction_order <int>        E...A... (from INT_MIN to INT_MAX) (default -1)
  -max_prediction_order <int>        E...A... (from INT_MIN to INT_MAX) (default -1)
  -timecode_frame_start <int64>      E..V.... GOP timecode frame start number, in non-drop-frame format (from 0 to I64_MAX) (default 0)
  -request_channels  <int>        .D..A... set desired number of audio channels (from 0 to INT_MAX) (default 0)
  -channel_layout    <int64>      ED..A... (from 0 to I64_MAX) (default 0)
  -request_channel_layout <int64>      .D..A... (from 0 to I64_MAX) (default 0)
  -rc_max_vbv_use    <float>      E..V.... (from 0 to FLT_MAX) (default 0)
  -rc_min_vbv_use    <float>      E..V.... (from 0 to FLT_MAX) (default 3)
  -ticks_per_frame   <int>        ED.VA... (from 1 to INT_MAX) (default 1)
  -color_primaries   <int>        ED.V.... color primaries (from 1 to 9) (default 2)
     bt709                        ED.V.... BT.709
     unspecified                  ED.V.... Unspecified
     bt470m                       ED.V.... BT.470 M
     bt470bg                      ED.V.... BT.470 BG
     smpte170m                    ED.V.... SMPTE 170 M
     smpte240m                    ED.V.... SMPTE 240 M
     film                         ED.V.... Film
     bt2020                       ED.V.... BT.2020
  -color_trc         <int>        ED.V.... color transfert characteristic (from 1 to 15) (default 2)
     bt709                        ED.V.... BT.709
     unspecified                  ED.V.... Unspecified
     gamma22                      ED.V.... Gamma 2.2
     gamma28                      ED.V.... Gamma 2.8
     smpte170m                    ED.V.... SMPTE 170 M
     smpte240m                    ED.V.... SMPTE 240 M
     linear                       ED.V.... Linear
     log                          ED.V.... SMPTE 240 M
     log_sqrt                     ED.V.... SMPTE 240 M
     iec61966_2_4                 ED.V.... SMPTE 240 M
     bt1361                       ED.V.... BT.1361
     iec61966_2_1                 ED.V.... SMPTE 240 M
     bt2020_10bit                 ED.V.... BT.2020 - 10 bit
     bt2020_12bit                 ED.V.... BT.2020 - 12 bit
  -colorspace        <int>        ED.V.... colorspace (from 1 to 10) (default 2)
     rgb                          ED.V.... RGB
     bt709                        ED.V.... BT.709
     unspecified                  ED.V.... Unspecified
     fcc                          ED.V.... FourCC
     bt470bg                      ED.V.... BT.470 BG
     smpte170m                    ED.V.... SMPTE 170 M
     smpte240m                    ED.V.... SMPTE 240 M
     ycocg                        ED.V.... YCOCG
     bt2020_ncl                   ED.V.... BT.2020 NCL
     bt2020_cl                    ED.V.... BT.2020 CL
  -color_range       <int>        ED.V.... color range (from 0 to 2) (default 0)
     unspecified                  ED.V.... Unspecified
     mpeg                         ED.V.... MPEG (219*2^(n-8))
     jpeg                         ED.V.... JPEG (2^n-1)
  -chroma_sample_location <int>        ED.V.... (from 0 to 6) (default 0)
  -slices            <int>        E..V.... number of slices, used in parallelized encoding (from 0 to INT_MAX) (default 0)
  -thread_type       <flags>      ED.VA... select multithreading type (default 3)
     slice                        ED.V....
     frame                        ED.V....
  -audio_service_type <int>        E...A... audio service type (from 0 to 8) (default 0)
     ma                           E...A... Main Audio Service
     ef                           E...A... Effects
     vi                           E...A... Visually Impaired
     hi                           E...A... Hearing Impaired
     di                           E...A... Dialogue
     co                           E...A... Commentary
     em                           E...A... Emergency
     vo                           E...A... Voice Over
     ka                           E...A... Karaoke
  -request_sample_fmt <sample_fmt> .D..A... sample format audio decoders should prefer (default none)
  -sub_charenc       <string>     .D...S.. set input text subtitles character encoding
  -sub_charenc_mode  <flags>      .D...S.. set input text subtitles character encoding mode (default 0)
     do_nothing                   .D...S..
     auto                         .D...S..
     pre_decoder                  .D...S..
  -refcounted_frames <int>        .D.VA... (from 0 to 1) (default 0)
  -side_data_only_packets <int>        E..VA... (from 0 to 1) (default 0)
  -skip_alpha        <int>        .D.V.... Skip processing alpha (from 0 to 1) (default 0)
  -field_order       <int>        ED.V.... Field order (from 0 to 5) (default 0)
     progressive                  ED.V....
     tt                           ED.V....
     bb                           ED.V....
     tb                           ED.V....
     bt                           ED.V....

cinepak AVOptions:
  -max_extra_cb_iterations <int>        E..V.... Max extra codebook recalculation passes, more is better and slower (from 0 to INT_MAX) (default 2)
  -skip_empty_cb     <int>        E..V.... Avoid wasting bytes, ignore vintage MacOS decoder (from 0 to 1) (default 0)
  -max_strips        <int>        E..V.... Limit strips/frame, vintage compatible is 1..3, otherwise the more the better (from 1 to 32) (default 3)
  -min_strips        <int>        E..V.... Enforce min strips/frame, more is worse and faster, must be <= max_strips (from 1 to 32) (default 1)
  -strip_number_adaptivity <int>        E..V.... How fast the strip number adapts, more is slightly better, much slower (from 0 to 31) (default 0)

cljr encoder AVOptions:
  -dither_type       <int>        E..V.... Dither type (from 0 to 2) (default 1)

dnxhd AVOptions:
  -nitris_compat     <int>        E..V.... encode with Avid Nitris compatibility (from 0 to 1) (default 0)

EXR AVOptions:
  -layer             <string>     .D.V.... Set the decoding layer (default "")
  -gamma             <float>      .D.V.... Set the float gamma value when decoding (experimental/unsupported) (from 0.001 to FLT_MAX) (default 1)

ffv1 encoder AVOptions:
  -slicecrc          <int>        E..V.... Protect slices with CRCs (from -1 to 1) (default -1)

ffvhuff AVOptions:
  -non_deterministic <int>        E..V.... Allow multithreading for e.g. context=1 at the expense of determinism (from 0 to 1) (default 1)

flv encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

frwu Decoder AVOptions:
  -change_field_order <int>        .D.V.... Change field order (from 0 to 1) (default 0)

GIF encoder AVOptions:
  -gifflags          <flags>      E..V.... set GIF flags (default 3)
     offsetting                   E..V.... enable picture offsetting
     transdiff                    E..V.... enable transparency detection between frames

gif decoder AVOptions:
  -trans_color       <int>        .D.V.... color value (ARGB) that is used instead of transparent color (from 0 to UINT32_MAX) (default 1.67772e+007)

h261 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

H.263 encoder AVOptions:
  -obmc              <int>        E..V.... use overlapped block motion compensation. (from 0 to 1) (default 0)
  -structured_slices <int>        E..V.... Write slice start position at every GOB header instead of just GOB number. (from 0 to 1) (default 0)
  -mb_info           <int>        E..V.... emit macroblock info for RFC 2190 packetization, the parameter value is the maximum payload size (from 0 to INT_MAX) (default 0)
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

H.263p encoder AVOptions:
  -umv               <int>        E..V.... Use unlimited motion vectors. (from 0 to 1) (default 0)
  -aiv               <int>        E..V.... Use alternative inter VLC. (from 0 to 1) (default 0)
  -obmc              <int>        E..V.... use overlapped block motion compensation. (from 0 to 1) (default 0)
  -structured_slices <int>        E..V.... Write slice start position at every GOB header instead of just GOB number. (from 0 to 1) (default 0)
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

H264 Decoder AVOptions:

HEVC decoder AVOptions:
  -apply_defdispwin  <int>        .D.V.... Apply default display window from VUI (from 0 to 1) (default 0)
  -strict-displaywin <int>        .D.V.... stricly apply default display window size (from 0 to 1) (default 0)

huffyuv AVOptions:
  -non_deterministic <int>        E..V.... Allow multithreading for e.g. context=1 at the expense of determinism (from 0 to 1) (default 1)

jpeg2000 AVOptions:
  -lowres            <int>        .D.V.... Lower the decoding resolution by a power of two (from 0 to 32) (default 0)

MJPEG decoder AVOptions:
  -extern_huff       <int>        .D.V.... Use external huffman table. (from 0 to 1) (default 0)

mpeg1video encoder AVOptions:
  -gop_timecode      <string>     E..V.... MPEG GOP Timecode in hh:mm:ss[:;.]ff format
  -intra_vlc         <int>        E..V.... Use MPEG-2 intra VLC table. (from 0 to 1) (default 0)
  -drop_frame_timecode <int>        E..V.... Timecode is in drop frame format. (from 0 to 1) (default 0)
  -scan_offset       <int>        E..V.... Reserve space for SVCD scan offset user data. (from 0 to 1) (default 0)
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

mpeg2video encoder AVOptions:
  -gop_timecode      <string>     E..V.... MPEG GOP Timecode in hh:mm:ss[:;.]ff format
  -intra_vlc         <int>        E..V.... Use MPEG-2 intra VLC table. (from 0 to 1) (default 0)
  -drop_frame_timecode <int>        E..V.... Timecode is in drop frame format. (from 0 to 1) (default 0)
  -scan_offset       <int>        E..V.... Reserve space for SVCD scan offset user data. (from 0 to 1) (default 0)
  -non_linear_quant  <int>        E..V.... Use nonlinear quantizer. (from 0 to 1) (default 0)
  -alternate_scan    <int>        E..V.... Enable alternate scantable. (from 0 to 1) (default 0)
  -seq_disp_ext      <int>        E..V.... Write sequence_display_extension blocks. (from -1 to 1) (default -1)
     auto                         E..V....
     never                        E..V....
     always                       E..V....
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

MPEG4 encoder AVOptions:
  -data_partitioning <int>        E..V.... Use data partitioning. (from 0 to 1) (default 0)
  -alternate_scan    <int>        E..V.... Enable alternate scantable. (from 0 to 1) (default 0)
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

MPEG4 Video Decoder AVOptions:

msmpeg4v2 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

msmpeg4v3 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

PNG encoder AVOptions:
  -dpi               <int>        E..V.... Set image resolution (in dots per inch) (from 0 to 65536) (default 0)
  -dpm               <int>        E..V.... Set image resolution (in dots per meter) (from 0 to 65536) (default 0)

ProRes encoder AVOptions:
  -mbs_per_slice     <int>        E..V.... macroblocks per slice (from 1 to 8) (default 8)
  -profile           <int>        E..V.... (from -1 to 4) (default -1)
     auto                         E..V....
     proxy                        E..V....
     lt                           E..V....
     standard                     E..V....
     hq                           E..V....
     4444                         E..V....
  -vendor            <string>     E..V.... vendor ID (default "Lavc")
  -bits_per_mb       <int>        E..V.... desired bits per macroblock (from 0 to 8192) (default 0)
  -quant_mat         <int>        E..V.... quantiser matrix (from -1 to 4) (default -1)
     auto                         E..V....
     proxy                        E..V....
     lt                           E..V....
     standard                     E..V....
     hq                           E..V....
     default                      E..V....
  -alpha_bits        <int>        E..V.... bits for alpha plane (from 0 to 16) (default 16)

rawdec AVOptions:
  -top               <int>        .D.V.... top field first (from -1 to 1) (default -1)

RoQ AVOptions:
  -quake3_compat     <int>        E..V.... Whether to respect known limitations in Quake 3 decoder (from 0 to 1) (default 1)

rv10 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

rv20 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

snow encoder AVOptions:
  -memc_only         <int>        E..V.... Only do ME/MC (I frames -> ref, P frame -> ME+MC). (from 0 to 1) (default 0)
  -no_bitstream      <int>        E..V.... Skip final bitstream writeout. (from 0 to 1) (default 0)

TIFF encoder AVOptions:
  -dpi               <int>        E..V.... set the image resolution (in dpi) (from 1 to 65536) (default 72)
  -compression_algo  <int>        E..V.... (from 1 to 32946) (default 32773)
     packbits                     E..V....
     raw                          E..V....
     lzw                          E..V....
     deflate                      E..V....

V210 Decoder AVOptions:
  -custom_stride     <int>        .D.V.... Custom V210 stride (from INT_MIN to INT_MAX) (default 0)

wmv1 encoder AVOptions:
  -mpv_flags         <flags>      E..V.... Flags common for all mpegvideo-based encoders. (default 0)
     skip_rd                      E..V.... RD optimal MB level residual skipping
     strict_gop                   E..V.... Strictly enforce gop size
     qp_rd                        E..V.... Use rate distortion optimization for qp selection
     cbp_rd                       E..V.... use rate distortion optimization for CBP
     naq                          E..V.... normalize adaptive quantization
     mv0                          E..V.... always try a mb with mv=<0,0>
  -luma_elim_threshold <int>        E..V.... single coefficient elimination threshold for luminance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -chroma_elim_threshold <int>        E..V.... single coefficient elimination threshold for chrominance (negative values also consider dc coefficient) (from INT_MIN to INT_MAX) (default 0)
  -quantizer_noise_shaping <int>        E..V.... (from 0 to INT_MAX) (default 0)
  -error_rate        <int>        E..V.... Simulate errors in the bitstream to test error concealment. (from 0 to INT_MAX) (default 0)

AAC encoder AVOptions:
  -stereo_mode       <int>        E...A... Stereo coding method (from -1 to 1) (default 0)
     auto                         E...A... Selected by the Encoder
     ms_off                       E...A... Disable Mid/Side coding
     ms_force                     E...A... Force Mid/Side for the whole frame if possible
  -aac_coder         <int>        E...A...  (from 0 to 3) (default 2)
     faac                         E...A... FAAC-inspired method
     anmr                         E...A... ANMR method
     twoloop                      E...A... Two loop searching method
     fast                         E...A... Constant quantizer

AAC decoder AVOptions:
  -dual_mono_mode    <int>        .D..A... Select the channel to decode for dual mono (from -1 to 2) (default -1)
     auto                         .D..A... autoselection
     main                         .D..A... Select Main/Left channel
     sub                          .D..A... Select Sub/Right channel
     both                         .D..A... Select both channels

AC-3 Encoder AVOptions:
  -per_frame_metadata <int>        E...A... Allow Changing Metadata Per-Frame (from 0 to 1) (default 0)
  -center_mixlev     <float>      E...A... Center Mix Level (from 0 to 1) (default 0.594604)
  -surround_mixlev   <float>      E...A... Surround Mix Level (from 0 to 1) (default 0.5)
  -mixing_level      <int>        E...A... Mixing Level (from -1 to 111) (default -1)
  -room_type         <int>        E...A... Room Type (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     large                        E...A... Large Room
     small                        E...A... Small Room
  -copyright         <int>        E...A... Copyright Bit (from -1 to 1) (default -1)
  -dialnorm          <int>        E...A... Dialogue Level (dB) (from -31 to -1) (default -31)
  -dsur_mode         <int>        E...A... Dolby Surround Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround Encoded
     off                          E...A... Not Dolby Surround Encoded
  -original          <int>        E...A... Original Bit Stream (from -1 to 1) (default -1)
  -dmix_mode         <int>        E...A... Preferred Stereo Downmix Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     ltrt                         E...A... Lt/Rt Downmix Preferred
     loro                         E...A... Lo/Ro Downmix Preferred
  -ltrt_cmixlev      <float>      E...A... Lt/Rt Center Mix Level (from -1 to 2) (default -1)
  -ltrt_surmixlev    <float>      E...A... Lt/Rt Surround Mix Level (from -1 to 2) (default -1)
  -loro_cmixlev      <float>      E...A... Lo/Ro Center Mix Level (from -1 to 2) (default -1)
  -loro_surmixlev    <float>      E...A... Lo/Ro Surround Mix Level (from -1 to 2) (default -1)
  -dsurex_mode       <int>        E...A... Dolby Surround EX Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround EX Encoded
     off                          E...A... Not Dolby Surround EX Encoded
  -dheadphone_mode   <int>        E...A... Dolby Headphone Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Headphone Encoded
     off                          E...A... Not Dolby Headphone Encoded
  -ad_conv_type      <int>        E...A... A/D Converter Type (from -1 to 1) (default -1)
     standard                     E...A... Standard (default)
     hdcd                         E...A... HDCD
  -stereo_rematrixing <int>        E...A... Stereo Rematrixing (from 0 to 1) (default 1)
  -channel_coupling  <int>        E...A... Channel Coupling (from -1 to 1) (default -1)
     auto                         E...A... Selected by the Encoder
  -cpl_start_band    <int>        E...A... Coupling Start Band (from -1 to 15) (default -1)
     auto                         E...A... Selected by the Encoder

AC3 decoder AVOptions:
  -drc_scale         <float>      .D..A... percentage of dynamic range compression to apply (from 0 to 6) (default 1)
  -heavy_compr       <int>        .D..A... heavy dynamic range compression enabled (from 0 to 1) (default 0)
  -target_level      <int>        .D..A... target level in -dBFS (0 not applied) (from -31 to 0) (default 0)

Fixed-Point AC-3 Encoder AVOptions:
  -per_frame_metadata <int>        E...A... Allow Changing Metadata Per-Frame (from 0 to 1) (default 0)
  -center_mixlev     <float>      E...A... Center Mix Level (from 0 to 1) (default 0.594604)
  -surround_mixlev   <float>      E...A... Surround Mix Level (from 0 to 1) (default 0.5)
  -mixing_level      <int>        E...A... Mixing Level (from -1 to 111) (default -1)
  -room_type         <int>        E...A... Room Type (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     large                        E...A... Large Room
     small                        E...A... Small Room
  -copyright         <int>        E...A... Copyright Bit (from -1 to 1) (default -1)
  -dialnorm          <int>        E...A... Dialogue Level (dB) (from -31 to -1) (default -31)
  -dsur_mode         <int>        E...A... Dolby Surround Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround Encoded
     off                          E...A... Not Dolby Surround Encoded
  -original          <int>        E...A... Original Bit Stream (from -1 to 1) (default -1)
  -dmix_mode         <int>        E...A... Preferred Stereo Downmix Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     ltrt                         E...A... Lt/Rt Downmix Preferred
     loro                         E...A... Lo/Ro Downmix Preferred
  -ltrt_cmixlev      <float>      E...A... Lt/Rt Center Mix Level (from -1 to 2) (default -1)
  -ltrt_surmixlev    <float>      E...A... Lt/Rt Surround Mix Level (from -1 to 2) (default -1)
  -loro_cmixlev      <float>      E...A... Lo/Ro Center Mix Level (from -1 to 2) (default -1)
  -loro_surmixlev    <float>      E...A... Lo/Ro Surround Mix Level (from -1 to 2) (default -1)
  -dsurex_mode       <int>        E...A... Dolby Surround EX Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround EX Encoded
     off                          E...A... Not Dolby Surround EX Encoded
  -dheadphone_mode   <int>        E...A... Dolby Headphone Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Headphone Encoded
     off                          E...A... Not Dolby Headphone Encoded
  -ad_conv_type      <int>        E...A... A/D Converter Type (from -1 to 1) (default -1)
     standard                     E...A... Standard (default)
     hdcd                         E...A... HDCD
  -stereo_rematrixing <int>        E...A... Stereo Rematrixing (from 0 to 1) (default 1)
  -channel_coupling  <int>        E...A... Channel Coupling (from -1 to 1) (default -1)
     auto                         E...A... Selected by the Encoder
  -cpl_start_band    <int>        E...A... Coupling Start Band (from -1 to 15) (default -1)
     auto                         E...A... Selected by the Encoder

Fixed-Point AC-3 Decoder AVOptions:
  -drc_scale         <float>      .D..A... percentage of dynamic range compression to apply (from 0 to 6) (default 1)
  -heavy_compr       <int>        .D..A... heavy dynamic range compression enabled (from 0 to 1) (default 0)

alac AVOptions:
  -extra_bits_bug    <int>        .D..A... Force non-standard decoding process (from 0 to 1) (default 0)

APE decoder AVOptions:
  -max_samples       <int>        .D..A... maximum number of samples decoded per call (from 1 to INT_MAX) (default 4608)
     all                          .D..A... no maximum. decode all samples for each packet at once

DCA decoder AVOptions:
  -disable_xch       <int>        .D..A... disable decoding of the XCh extension (from 0 to 1) (default 0)

E-AC-3 Encoder AVOptions:
  -per_frame_metadata <int>        E...A... Allow Changing Metadata Per-Frame (from 0 to 1) (default 0)
  -mixing_level      <int>        E...A... Mixing Level (from -1 to 111) (default -1)
  -room_type         <int>        E...A... Room Type (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     large                        E...A... Large Room
     small                        E...A... Small Room
  -copyright         <int>        E...A... Copyright Bit (from -1 to 1) (default -1)
  -dialnorm          <int>        E...A... Dialogue Level (dB) (from -31 to -1) (default -31)
  -dsur_mode         <int>        E...A... Dolby Surround Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround Encoded
     off                          E...A... Not Dolby Surround Encoded
  -original          <int>        E...A... Original Bit Stream (from -1 to 1) (default -1)
  -dmix_mode         <int>        E...A... Preferred Stereo Downmix Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     ltrt                         E...A... Lt/Rt Downmix Preferred
     loro                         E...A... Lo/Ro Downmix Preferred
  -ltrt_cmixlev      <float>      E...A... Lt/Rt Center Mix Level (from -1 to 2) (default -1)
  -ltrt_surmixlev    <float>      E...A... Lt/Rt Surround Mix Level (from -1 to 2) (default -1)
  -loro_cmixlev      <float>      E...A... Lo/Ro Center Mix Level (from -1 to 2) (default -1)
  -loro_surmixlev    <float>      E...A... Lo/Ro Surround Mix Level (from -1 to 2) (default -1)
  -dsurex_mode       <int>        E...A... Dolby Surround EX Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Surround EX Encoded
     off                          E...A... Not Dolby Surround EX Encoded
  -dheadphone_mode   <int>        E...A... Dolby Headphone Mode (from -1 to 2) (default -1)
     notindicated                 E...A... Not Indicated (default)
     on                           E...A... Dolby Headphone Encoded
     off                          E...A... Not Dolby Headphone Encoded
  -ad_conv_type      <int>        E...A... A/D Converter Type (from -1 to 1) (default -1)
     standard                     E...A... Standard (default)
     hdcd                         E...A... HDCD
  -stereo_rematrixing <int>        E...A... Stereo Rematrixing (from 0 to 1) (default 1)
  -channel_coupling  <int>        E...A... Channel Coupling (from -1 to 1) (default -1)
     auto                         E...A... Selected by the Encoder
  -cpl_start_band    <int>        E...A... Coupling Start Band (from -1 to 15) (default -1)
     auto                         E...A... Selected by the Encoder

E-AC3 decoder AVOptions:
  -drc_scale         <float>      .D..A... percentage of dynamic range compression to apply (from 0 to 6) (default 1)
  -heavy_compr       <int>        .D..A... heavy dynamic range compression enabled (from 0 to 1) (default 0)
  -target_level      <int>        .D..A... target level in -dBFS (0 not applied) (from -31 to 0) (default 0)

FLAC encoder AVOptions:
  -lpc_coeff_precision <int>        E...A... LPC coefficient precision (from 0 to 15) (default 15)
  -lpc_type          <int>        E...A... LPC algorithm (from -1 to 3) (default -1)
     none                         E...A...
     fixed                        E...A...
     levinson                     E...A...
     cholesky                     E...A...
  -lpc_passes        <int>        E...A... Number of passes to use for Cholesky factorization during LPC analysis (from 1 to INT_MAX) (default 2)
  -min_partition_order <int>        E...A... (from -1 to 8) (default -1)
  -max_partition_order <int>        E...A... (from -1 to 8) (default -1)
  -prediction_order_method <int>        E...A... Search method for selecting prediction order (from -1 to 5) (default -1)
     estimation                   E...A...
     2level                       E...A...
     4level                       E...A...
     8level                       E...A...
     search                       E...A...
     log                          E...A...
  -ch_mode           <int>        E...A... Stereo decorrelation mode (from -1 to 3) (default -1)
     auto                         E...A...
     indep                        E...A...
     left_side                    E...A...
     right_side                   E...A...
     mid_side                     E...A...

G.723.1 decoder AVOptions:
  -postfilter        <int>        .D..A... postfilter on/off (from 0 to 1) (default 1)

TTA Decoder AVOptions:
  -password          <string>     .D..A... Set decoding password

WavPack encoder AVOptions:
  -joint_stereo      <int>        E...A...  (from -1 to 1) (default 0)
     on                           E...A... mid/side
     off                          E...A... left/right
     auto                         E...A...
  -optimize_mono     <int>        E...A...  (from 0 to 1) (default 0)
     on                           E...A...
     off                          E...A...

g722 decoder AVOptions:
  -bits_per_codeword <int>        .D..A... Bits per G722 codeword (from 6 to 8) (default 8)

g726 AVOptions:
  -code_size         <int>        E...A... Bits per code (from 2 to 5) (default 4)

DVB Sub Decoder AVOptions:

VOBSUB subtitle encoder AVOptions:
  -even_rows_fix     <int>        E....S.. Make number of rows even (workaround for some players) (from 0 to 1) (default 0)

dvdsubdec AVOptions:
  -palette           <string>     .D...S.. set the global palette

PGS subtitle decoder AVOptions:
  -forced_subs_only  <int>        .D...S.. Only show forced subtitles (from 0 to 1) (default 0)

pjs decoder AVOptions:
  -keep_ass_markup   <int>        .D...S.. Set if ASS tags must be escaped (from 0 to 1) (default 0)

subviewer1 decoder AVOptions:
  -keep_ass_markup   <int>        .D...S.. Set if ASS tags must be escaped (from 0 to 1) (default 0)

text decoder AVOptions:
  -keep_ass_markup   <int>        .D...S.. Set if ASS tags must be escaped (from 0 to 1) (default 0)

vplayer decoder AVOptions:
  -keep_ass_markup   <int>        .D...S.. Set if ASS tags must be escaped (from 0 to 1) (default 0)

libmp3lame encoder AVOptions:
  -reservoir         <int>        E...A... use bit reservoir (from 0 to 1) (default 1)
  -joint_stereo      <int>        E...A... use joint stereo (from 0 to 1) (default 1)
  -abr               <int>        E...A... use ABR (from 0 to 1) (default 0)

libx264 AVOptions:
  -preset            <string>     E..V.... Set the encoding preset (cf. x264 --fullhelp) (default "medium")
  -tune              <string>     E..V.... Tune the encoding params (cf. x264 --fullhelp)
  -profile           <string>     E..V.... Set profile restrictions (cf. x264 --fullhelp) 
  -fastfirstpass     <int>        E..V.... Use fast settings when encoding first pass (from 0 to 1) (default 1)
  -level             <string>     E..V.... Specify level (as defined by Annex A)
  -passlogfile       <string>     E..V.... Filename for 2 pass stats
  -wpredp            <string>     E..V.... Weighted prediction for P-frames
  -x264opts          <string>     E..V.... x264 options
  -crf               <float>      E..V.... Select the quality for constant quality mode (from -1 to FLT_MAX) (default -1)
  -crf_max           <float>      E..V.... In CRF mode, prevents VBV from lowering quality beyond this point. (from -1 to FLT_MAX) (default -1)
  -qp                <int>        E..V.... Constant quantization parameter rate control method (from -1 to INT_MAX) (default -1)
  -aq-mode           <int>        E..V.... AQ method (from -1 to INT_MAX) (default -1)
     none                         E..V....
     variance                     E..V.... Variance AQ (complexity mask)
     autovariance                 E..V.... Auto-variance AQ (experimental)
  -aq-strength       <float>      E..V.... AQ strength. Reduces blocking and blurring in flat and textured areas. (from -1 to FLT_MAX) (default -1)
  -psy               <int>        E..V.... Use psychovisual optimizations. (from -1 to 1) (default -1)
  -psy-rd            <string>     E..V.... Strength of psychovisual optimization, in <psy-rd>:<psy-trellis> format.
  -rc-lookahead      <int>        E..V.... Number of frames to look ahead for frametype and ratecontrol (from -1 to INT_MAX) (default -1)
  -weightb           <int>        E..V.... Weighted prediction for B-frames. (from -1 to 1) (default -1)
  -weightp           <int>        E..V.... Weighted prediction analysis method. (from -1 to INT_MAX) (default -1)
     none                         E..V....
     simple                       E..V....
     smart                        E..V....
  -ssim              <int>        E..V.... Calculate and print SSIM stats. (from -1 to 1) (default -1)
  -intra-refresh     <int>        E..V.... Use Periodic Intra Refresh instead of IDR frames. (from -1 to 1) (default -1)
  -bluray-compat     <int>        E..V.... Bluray compatibility workarounds. (from -1 to 1) (default -1)
  -b-bias            <int>        E..V.... Influences how often B-frames are used (from INT_MIN to INT_MAX) (default INT_MIN)
  -b-pyramid         <int>        E..V.... Keep some B-frames as references. (from -1 to INT_MAX) (default -1)
     none                         E..V....
     strict                       E..V.... Strictly hierarchical pyramid
     normal                       E..V.... Non-strict (not Blu-ray compatible)
  -mixed-refs        <int>        E..V.... One reference per partition, as opposed to one reference per macroblock (from -1 to 1) (default -1)
  -8x8dct            <int>        E..V.... High profile 8x8 transform. (from -1 to 1) (default -1)
  -fast-pskip        <int>        E..V.... (from -1 to 1) (default -1)
  -aud               <int>        E..V.... Use access unit delimiters. (from -1 to 1) (default -1)
  -mbtree            <int>        E..V.... Use macroblock tree ratecontrol. (from -1 to 1) (default -1)
  -deblock           <string>     E..V.... Loop filter parameters, in <alpha:beta> form.
  -cplxblur          <float>      E..V.... Reduce fluctuations in QP (before curve compression) (from -1 to FLT_MAX) (default -1)
  -partitions        <string>     E..V.... A comma-separated list of partitions to consider. Possible values: p8x8, p4x4, b8x8, i8x8, i4x4, none, all
  -direct-pred       <int>        E..V.... Direct MV prediction mode (from -1 to INT_MAX) (default -1)
     none                         E..V....
     spatial                      E..V....
     temporal                     E..V....
     auto                         E..V....
  -slice-max-size    <int>        E..V.... Limit the size of each slice in bytes (from -1 to INT_MAX) (default -1)
  -stats             <string>     E..V.... Filename for 2 pass stats
  -nal-hrd           <int>        E..V.... Signal HRD information (requires vbv-bufsize; cbr not allowed in .mp4) (from -1 to INT_MAX) (default -1)
     none                         E..V....
     vbr                          E..V....
     cbr                          E..V....
  -x264-params       <string>     E..V.... Override the x264 configuration using a :-separated list of key=value parameters

libx264rgb AVOptions:
  -preset            <string>     E..V.... Set the encoding preset (cf. x264 --fullhelp) (default "medium")
  -tune              <string>     E..V.... Tune the encoding params (cf. x264 --fullhelp)
  -profile           <string>     E..V.... Set profile restrictions (cf. x264 --fullhelp) 
  -fastfirstpass     <int>        E..V.... Use fast settings when encoding first pass (from 0 to 1) (default 1)
  -level             <string>     E..V.... Specify level (as defined by Annex A)
  -passlogfile       <string>     E..V.... Filename for 2 pass stats
  -wpredp            <string>     E..V.... Weighted prediction for P-frames
  -x264opts          <string>     E..V.... x264 options
  -crf               <float>      E..V.... Select the quality for constant quality mode (from -1 to FLT_MAX) (default -1)
  -crf_max           <float>      E..V.... In CRF mode, prevents VBV from lowering quality beyond this point. (from -1 to FLT_MAX) (default -1)
  -qp                <int>        E..V.... Constant quantization parameter rate control method (from -1 to INT_MAX) (default -1)
  -aq-mode           <int>        E..V.... AQ method (from -1 to INT_MAX) (default -1)
     none                         E..V....
     variance                     E..V.... Variance AQ (complexity mask)
     autovariance                 E..V.... Auto-variance AQ (experimental)
  -aq-strength       <float>      E..V.... AQ strength. Reduces blocking and blurring in flat and textured areas. (from -1 to FLT_MAX) (default -1)
  -psy               <int>        E..V.... Use psychovisual optimizations. (from -1 to 1) (default -1)
  -psy-rd            <string>     E..V.... Strength of psychovisual optimization, in <psy-rd>:<psy-trellis> format.
  -rc-lookahead      <int>        E..V.... Number of frames to look ahead for frametype and ratecontrol (from -1 to INT_MAX) (default -1)
  -weightb           <int>        E..V.... Weighted prediction for B-frames. (from -1 to 1) (default -1)
  -weightp           <int>        E..V.... Weighted prediction analysis method. (from -1 to INT_MAX) (default -1)
     none                         E..V....
     simple                       E..V....
     smart                        E..V....
  -ssim              <int>        E..V.... Calculate and print SSIM stats. (from -1 to 1) (default -1)
  -intra-refresh     <int>        E..V.... Use Periodic Intra Refresh instead of IDR frames. (from -1 to 1) (default -1)
  -bluray-compat     <int>        E..V.... Bluray compatibility workarounds. (from -1 to 1) (default -1)
  -b-bias            <int>        E..V.... Influences how often B-frames are used (from INT_MIN to INT_MAX) (default INT_MIN)
  -b-pyramid         <int>        E..V.... Keep some B-frames as references. (from -1 to INT_MAX) (default -1)
     none                         E..V....
     strict                       E..V.... Strictly hierarchical pyramid
     normal                       E..V.... Non-strict (not Blu-ray compatible)
  -mixed-refs        <int>        E..V.... One reference per partition, as opposed to one reference per macroblock (from -1 to 1) (default -1)
  -8x8dct            <int>        E..V.... High profile 8x8 transform. (from -1 to 1) (default -1)
  -fast-pskip        <int>        E..V.... (from -1 to 1) (default -1)
  -aud               <int>        E..V.... Use access unit delimiters. (from -1 to 1) (default -1)
  -mbtree            <int>        E..V.... Use macroblock tree ratecontrol. (from -1 to 1) (default -1)
  -deblock           <string>     E..V.... Loop filter parameters, in <alpha:beta> form.
  -cplxblur          <float>      E..V.... Reduce fluctuations in QP (before curve compression) (from -1 to FLT_MAX) (default -1)
  -partitions        <string>     E..V.... A comma-separated list of partitions to consider. Possible values: p8x8, p4x4, b8x8, i8x8, i4x4, none, all
  -direct-pred       <int>        E..V.... Direct MV prediction mode (from -1 to INT_MAX) (default -1)
     none                         E..V....
     spatial                      E..V....
     temporal                     E..V....
     auto                         E..V....
  -slice-max-size    <int>        E..V.... Limit the size of each slice in bytes (from -1 to INT_MAX) (default -1)
  -stats             <string>     E..V.... Filename for 2 pass stats
  -nal-hrd           <int>        E..V.... Signal HRD information (requires vbv-bufsize; cbr not allowed in .mp4) (from -1 to INT_MAX) (default -1)
     none                         E..V....
     vbr                          E..V....
     cbr                          E..V....
  -x264-params       <string>     E..V.... Override the x264 configuration using a :-separated list of key=value parameters

libxvid AVOptions:
  -lumi_aq           <int>        E..V.... Luminance masking AQ (from 0 to 1) (default 0)
  -variance_aq       <int>        E..V.... Variance AQ (from 0 to 1) (default 0)
  -ssim              <int>        E..V.... Show SSIM information to stdout (from 0 to 2) (default 0)
     off                          E..V....
     avg                          E..V....
     frame                        E..V....
  -ssim_acc          <int>        E..V.... SSIM accuracy (from 0 to 4) (default 2)
  -gmc               <int>        E..V.... use GMC (from 0 to 1) (default 0)

AVFormatContext AVOptions:
  -avioflags         <flags>      ED...... (default 0)
     direct                       ED...... reduce buffering
  -probesize         <int64>      .D...... set probing size (from 32 to I64_MAX) (default 5e+006)
  -formatprobesize   <int>        .D...... number of bytes to probe file format (from 0 to 2.14748e+009) (default 1.04858e+006)
  -packetsize        <int>        E....... set packet size (from 0 to INT_MAX) (default 0)
  -fflags            <flags>      ED...... (default 200)
     flush_packets                E....... reduce the latency by flushing out packets immediately
     ignidx                       .D...... ignore index
     genpts                       .D...... generate pts
     nofillin                     .D...... do not fill in missing values that can be exactly calculated
     noparse                      .D...... disable AVParsers, this needs nofillin too
     igndts                       .D...... ignore dts
     discardcorrupt               .D...... discard corrupted frames
     sortdts                      .D...... try to interleave outputted packets by dts
     keepside                     .D...... don't merge side data
     latm                         E....... enable RTP MP4A-LATM payload
     nobuffer                     .D...... reduce the latency introduced by optional buffering
     bitexact                     E....... do not write random/volatile data
  -seek2any          <int>        .D...... allow seeking to non-keyframes on demuxer level when supported (from 0 to 1) (default 0)
  -analyzeduration   <int64>      .D...... specify how many microseconds are analyzed to probe the input (from 0 to I64_MAX) (default 0)
  -cryptokey         <binary>     .D...... decryption key
  -indexmem          <int>        .D...... max memory used for timestamp index (per stream) (from 0 to INT_MAX) (default 1.04858e+006)
  -rtbufsize         <int>        .D...... max memory used for buffering real-time frames (from 0 to INT_MAX) (default 3.04128e+006)
  -fdebug            <flags>      ED...... print specific debug info (default 0)
     ts                           ED......
  -max_delay         <int>        ED...... maximum muxing or demuxing delay in microseconds (from -1 to INT_MAX) (default -1)
  -start_time_realtime <int64>      E....... wall-clock time when stream begins (PTS==0) (from I64_MIN to I64_MAX) (default I64_MIN)
  -fpsprobesize      <int>        .D...... number of frames used to probe fps (from -1 to 2.14748e+009) (default -1)
  -audio_preload     <int>        E....... microseconds by which audio packets should be interleaved earlier (from 0 to 2.14748e+009) (default 0)
  -chunk_duration    <int>        E....... microseconds for each chunk (from 0 to 2.14748e+009) (default 0)
  -chunk_size        <int>        E....... size in bytes for each chunk (from 0 to 2.14748e+009) (default 0)
  -f_err_detect      <flags>      .D...... set error detection flags (deprecated; use err_detect, save via avconv) (default 1)
     crccheck                     .D...... verify embedded CRCs
     bitstream                    .D...... detect bitstream specification deviations
     buffer                       .D...... detect improper bitstream length
     explode                      .D...... abort decoding on minor error detection
     ignore_err                   .D...... ignore errors
     careful                      .D...... consider things that violate the spec, are fast to check and have not been seen in the wild as errors
     compliant                    .D...... consider all spec non compliancies as errors
     aggressive                   .D...... consider things that a sane encoder shouldn't do as an error
  -err_detect        <flags>      .D...... set error detection flags (default 1)
     crccheck                     .D...... verify embedded CRCs
     bitstream                    .D...... detect bitstream specification deviations
     buffer                       .D...... detect improper bitstream length
     explode                      .D...... abort decoding on minor error detection
     ignore_err                   .D...... ignore errors
     careful                      .D...... consider things that violate the spec, are fast to check and have not been seen in the wild as errors
     compliant                    .D...... consider all spec non compliancies as errors
     aggressive                   .D...... consider things that a sane encoder shouldn't do as an error
  -use_wallclock_as_timestamps <int>        .D...... use wallclock as timestamps (from 0 to 2.14748e+009) (default 0)
  -avoid_negative_ts <int>        E....... shift timestamps so they start at 0 (from -1 to 2) (default -1)
     auto                         E....... enabled when required by target format
     disabled                     E....... do not change timestamps
     make_zero                    E....... shift timestamps so they start at 0
     make_non_negative              E....... shift timestamps so they are non negative
  -skip_initial_bytes <int64>      .D...... set number of bytes to skip before reading header and frames (from 0 to I64_MAX) (default 0)
  -correct_ts_overflow <int>        .D...... correct single timestamp overflows (from 0 to 1) (default 1)
  -flush_packets     <int>        E....... enable flushing of the I/O context after each packet (from 0 to 1) (default 1)
  -metadata_header_padding <int>        E....... set number of bytes to be written as padding in a metadata header (from -1 to INT_MAX) (default -1)
  -output_ts_offset  <duration>   E....... set output timestamp offset (default 0)
  -max_interleave_delta <int64>      E....... maximum buffering duration for interleaving (from 0 to I64_MAX) (default 1e+007)
  -f_strict          <int>        ED...... how strictly to follow the standards (deprecated; use strict, save via avconv) (from INT_MIN to INT_MAX) (default 0)
     strict                       ED...... strictly conform to all the things in the spec no matter what the consequences
     normal                       ED......
     experimental                 ED...... allow non-standardized experimental variants
  -strict            <int>        ED...... how strictly to follow the standards (from INT_MIN to INT_MAX) (default 0)
     strict                       ED...... strictly conform to all the things in the spec no matter what the consequences
     normal                       ED......
     experimental                 ED...... allow non-standardized experimental variants
  -max_ts_probe      <int>        .D...... maximum number of packets to read while waiting for the first timestamp (from 0 to INT_MAX) (default 50)

AVIOContext AVOptions:

URLContext AVOptions:

crypto AVOptions:
  -key               <binary>     .D...... AES decryption key
  -iv                <binary>     .D...... AES decryption initialization vector

ffrtmphttp AVOptions:
  -ffrtmphttp_tls    <int>        .D...... Use a HTTPS tunneling connection (RTMPTS). (from 0 to 1) (default 0)

file AVOptions:
  -truncate          <int>        E....... truncate existing files on write (from 0 to 1) (default 1)
  -blocksize         <int>        E....... set I/O operation maximum block size (from 1 to INT_MAX) (default INT_MAX)

ftp AVOptions:
  -timeout           <int>        ED...... set timeout of socket I/O operations (from -1 to INT_MAX) (default -1)
  -ftp-write-seekable <int>        E....... control seekability of connection during encoding (from 0 to 1) (default 0)
  -ftp-anonymous-password <string>     ED...... password for anonymous login. E-mail address should be used.

http AVOptions:
  -seekable          <int>        .D...... control seekability of connection (from -1 to 1) (default -1)
  -chunked_post      <int>        E....... use chunked transfer-encoding for posts (from 0 to 1) (default 1)
  -headers           <string>     ED...... set custom HTTP headers, can override built in default headers
  -content_type      <string>     ED...... set a specific content type for the POST messages
  -user_agent        <string>     .D...... override User-Agent header (default "Lavf/56.3.100")
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf/56.3.100")
  -multiple_requests <int>        ED...... use persistent connections (from 0 to 1) (default 0)
  -post_data         <binary>     ED...... set custom HTTP post data
  -cookies           <string>     .D...... set cookies to be sent in applicable future requests, use newline delimited Set-Cookie HTTP field value syntax
  -icy               <int>        .D...... request ICY metadata (from 0 to 1) (default 1)
  -auth_type         <int>        ED...... HTTP authentication type (from 0 to 1) (default 0)
     none                         ED...... No auth method set, autodetect
     basic                        ED...... HTTP basic authentication
  -send_expect_100   <int>        E....... Force sending an Expect: 100-continue header for POST (from 0 to 1) (default 0)
  -location          <string>     ED...... The actual location of the data received
  -offset            <int64>      .D...... initial byte offset (from 0 to I64_MAX) (default 0)
  -end_offset        <int64>      .D...... try to limit the request to bytes preceding this offset (from 0 to I64_MAX) (default 0)
  -method            <string>     E....... Override the HTTP method

icecast AVOptions:
  -ice_genre         <string>     E....... set stream genre
  -ice_name          <string>     E....... set stream description
  -ice_description   <string>     E....... set stream description
  -ice_url           <string>     E....... set stream website
  -ice_public        <int>        E....... set if stream is public (from 0 to 1) (default 0)
  -user_agent        <string>     E....... override User-Agent header
  -password          <string>     E....... set password
  -content_type      <string>     E....... set content-type, MUST be set if not audio/mpeg
  -legacy_icecast    <int>        E....... use legacy SOURCE method, for Icecast < v2.4 (from 0 to 1) (default 0)

pipe AVOptions:
  -blocksize         <int>        E....... set I/O operation maximum block size (from 1 to INT_MAX) (default INT_MAX)

rtmp AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <int>        ED...... Set buffer time in milliseconds. The default is 3000. (from 0 to INT_MAX) (default 3000)
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_flush_interval <int>        E....... Number of packets flushed in the same request (RTMPT only). (from 0 to INT_MAX) (default 10)
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default -2)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfhash      <binary>     .D...... SHA256 hash of the decompressed SWF file (32 bytes).
  -rtmp_swfsize      <int>        .D...... Size of the decompressed SWF file, required for SWFVerification. (from 0 to INT_MAX) (default 0)
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically.
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_listen       <int>        .D...... Listen for incoming rtmp connections (from INT_MIN to INT_MAX) (default 0)
  -listen            <int>        .D...... Listen for incoming rtmp connections (from INT_MIN to INT_MAX) (default 0)
  -timeout           <int>        .D...... Maximum timeout (in seconds) to wait for incoming connections. -1 is infinite. Implies -rtmp_listen 1 (from INT_MIN to INT_MAX) (default -1)

rtmpt AVOptions:
  -rtmp_app          <string>     ED...... Name of application to connect to on the RTMP server
  -rtmp_buffer       <int>        ED...... Set buffer time in milliseconds. The default is 3000. (from 0 to INT_MAX) (default 3000)
  -rtmp_conn         <string>     ED...... Append arbitrary AMF data to the Connect message
  -rtmp_flashver     <string>     ED...... Version of the Flash plugin used to run the SWF player.
  -rtmp_flush_interval <int>        E....... Number of packets flushed in the same request (RTMPT only). (from 0 to INT_MAX) (default 10)
  -rtmp_live         <int>        .D...... Specify that the media is a live stream. (from INT_MIN to INT_MAX) (default -2)
     any                          .D...... both
     live                         .D...... live stream
     recorded                     .D...... recorded stream
  -rtmp_pageurl      <string>     .D...... URL of the web page in which the media was embedded. By default no value will be sent.
  -rtmp_playpath     <string>     ED...... Stream identifier to play or to publish
  -rtmp_subscribe    <string>     .D...... Name of live stream to subscribe to. Defaults to rtmp_playpath.
  -rtmp_swfhash      <binary>     .D...... SHA256 hash of the decompressed SWF file (32 bytes).
  -rtmp_swfsize      <int>        .D...... Size of the decompressed SWF file, required for SWFVerification. (from 0 to INT_MAX) (default 0)
  -rtmp_swfurl       <string>     ED...... URL of the SWF player. By default no value will be sent
  -rtmp_swfverify    <string>     .D...... URL to player swf file, compute hash/size automatically.
  -rtmp_tcurl        <string>     ED...... URL of the target stream. Defaults to proto://host[:port]/app.
  -rtmp_listen       <int>        .D...... Listen for incoming rtmp connections (from INT_MIN to INT_MAX) (default 0)
  -listen            <int>        .D...... Listen for incoming rtmp connections (from INT_MIN to INT_MAX) (default 0)
  -timeout           <int>        .D...... Maximum timeout (in seconds) to wait for incoming connections. -1 is infinite. Implies -rtmp_listen 1 (from INT_MIN to INT_MAX) (default -1)

srtp AVOptions:
  -srtp_out_suite    <string>     E....... 
  -srtp_out_params   <string>     E....... 
  -srtp_in_suite     <string>     E....... 
  -srtp_in_params    <string>     E....... 

subfile AVOptions:
  -start             <int64>      .D...... start offset (from 0 to I64_MAX) (default 0)
  -end               <int64>      .D...... end offset (from 0 to I64_MAX) (default 0)

tcp AVOptions:
  -listen            <int>        ED...... listen on port instead of connecting (from 0 to 1) (default 0)
  -timeout           <int>        ED...... set timeout of socket I/O operations (from -1 to INT_MAX) (default -1)
  -listen_timeout    <int>        ED...... set connection awaiting timeout (from -1 to INT_MAX) (default -1)

udp AVOptions:
  -buffer_size       <int>        ED...... set packet buffer size in bytes (from 0 to INT_MAX) (default 0)
  -localport         <int>        ED...... set local port to bind to (from 0 to INT_MAX) (default 0)
  -localaddr         <string>     ED...... choose local IP address (default "")
  -pkt_size          <int>        ED...... set size of UDP packets (from 0 to INT_MAX) (default 1472)
  -reuse             <int>        ED...... explicitly allow or disallow reusing UDP sockets (from 0 to 1) (default 0)
  -broadcast         <int>        E....... explicitly allow or disallow broadcast destination (from 0 to 1) (default 0)
  -ttl               <int>        E....... set the time to live value (for multicast only) (from 0 to INT_MAX) (default 16)
  -connect           <int>        ED...... set if connect() should be called on socket (from 0 to 1) (default 0)
  -fifo_size         <int>        .D...... set the UDP receiving circular buffer size, expressed as a number of packets with size of 188 bytes (from 0 to INT_MAX) (default 28672)
  -overrun_nonfatal  <int>        .D...... survive in case of UDP receiving circular buffer overrun (from 0 to 1) (default 0)
  -timeout           <int>        .D...... set raise error timeout (only in read mode) (from 0 to INT_MAX) (default 0)

dshow indev AVOptions:
  -video_size        <image_size> .D...... set video size given a string such as 640x480 or hd720.
  -pixel_format      <pix_fmt>    .D...... set video pixel format (default none)
  -framerate         <string>     .D...... set video frame rate
  -sample_rate       <int>        .D...... set audio sample rate (from 0 to INT_MAX) (default 0)
  -sample_size       <int>        .D...... set audio sample size (from 0 to 16) (default 0)
  -channels          <int>        .D...... set number of audio channels, such as 1 or 2 (from 0 to INT_MAX) (default 0)
  -list_devices      <int>        .D...... list available devices (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -list_options      <int>        .D...... list available options for specified device (from 0 to 1) (default 0)
     true                         .D...... 
     false                        .D...... 
  -video_device_number <int>        .D...... set video device number for devices with same name (starts at 0) (from 0 to INT_MAX) (default 0)
  -audio_device_number <int>        .D...... set audio device number for devices with same name (starts at 0) (from 0 to INT_MAX) (default 0)
  -audio_buffer_size <int>        .D...... set audio device buffer latency size in milliseconds (default is the device's default) (from 0 to INT_MAX) (default 0)

GDIgrab indev AVOptions:
  -draw_mouse        <int>        .D...... draw the mouse pointer (from 0 to 1) (default 1)
  -show_region       <int>        .D...... draw border around capture area (from 0 to 1) (default 0)
  -framerate         <video_rate> .D...... set video frame rate (default "ntsc")
  -video_size        <image_size> .D...... set video frame size
  -offset_x          <int>        .D...... capture area x offset (from INT_MIN to INT_MAX) (default 0)
  -offset_y          <int>        .D...... capture area y offset (from INT_MIN to INT_MAX) (default 0)

lavfi indev AVOptions:
  -graph             <string>     .D...... set libavfilter graph
  -graph_file        <string>     .D...... set libavfilter graph filename
  -dumpgraph         <string>     .D...... dump graph to stderr

VFW indev AVOptions:
  -video_size        <string>     .D...... A string describing frame size, such as 640x480 or hd720.
  -framerate         <string>     .D......  (default "ntsc")

Artworx Data Format demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

aqtdec AVOptions:
  -subfps            <rational>   .D...S.. set the movie frame rate (from 0 to INT_MAX) (default 25/1)

asf demuxer AVOptions:
  -no_resync_search  <int>        .D...... Don't try to resynchronize by looking for a certain optional start code (from 0 to 1) (default 0)

avi AVOptions:
  -use_odml          <int>        .D...... use odml index (from -1 to 1) (default 1)

Binary text demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

cavsvideo demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

CDXL demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 1 to INT_MAX) (default 11025)
  -framerate         <string>     .D...... 

concat demuxer AVOptions:
  -safe              <int>        .D...... enable safe mode (from -1 to 1) (default -1)
  -auto_convert      <int>        .D...... automatically convert bitstream format (from 0 to 1) (default 0)

dirac demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

dnxhd demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

flvdec AVOptions:
  -flv_metadata      <int>        .D.V.... Allocate streams according to the onMetaData array (from 0 to 1) (default 0)

live_flvdec AVOptions:
  -flv_metadata      <int>        .D.V.... Allocate streams according to the onMetaData array (from 0 to 1) (default 0)

g729 demuxer AVOptions:
  -bit_rate          <int>        .D......  (from 0 to INT_MAX) (default 0)

GIF demuxer AVOptions:
  -min_delay         <int>        .D...... minimum valid delay between frames (in hundredths of second) (from 0 to 6000) (default 2)
  -default_delay     <int>        .D...... default delay between frames (in hundredths of second) (from 0 to 6000) (default 10)
  -ignore_loop       <int>        .D...... ignore loop setting (netscape extension) (from 0 to 1) (default 1)

gsm demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 1 to 6.50753e+007) (default 8000)

h261 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

h263 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

h264 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

hevc demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

iCE Draw File demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

image2 demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

image2pipe demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

ingenient demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

m4v demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

microdvddec AVOptions:
  -subfps            <rational>   .D...S.. set the movie frame rate fallback (from 0 to INT_MAX) (default 0/1)

mjpeg demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

mov,mp4,m4a,3gp,3g2,mj2 AVOptions:
  -use_absolute_path <int>        .D.V.... allow using absolute path when opening alias, this is a possible security issue (from 0 to 1) (default 0)
  -ignore_editlist   <int>        .D.V....  (from 0 to 1) (default 0)

mp3 AVOptions:
  -usetoc            <int>        .D...... use table of contents (from -1 to 1) (default -1)

mpegts demuxer AVOptions:
  -fix_teletext_pts  <int>        .D...... Try to fix pts values of dvb teletext streams. (from 0 to 1) (default 1)
  -ts_packetsize     <int>        .D....XR Output option carrying the raw packet size. (from 0 to 0) (default 0)

mpegtsraw demuxer AVOptions:
  -compute_pcr       <int>        .D...... Compute exact PCR for each transport stream packet. (from 0 to 1) (default 0)
  -ts_packetsize     <int>        .D....XR Output option carrying the raw packet size. (from 0 to 0) (default 0)

mpegvideo demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

alaw demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

mulaw demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f64be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f64le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

f32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s24be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s24le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s16be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s16le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

s8 demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u32be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u32le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u24be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u24le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u16be demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u16le demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

u8 demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 44100)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

rawvideo demuxer AVOptions:
  -video_size        <image_size> .D...... set frame size
  -pixel_format      <string>     .D...... set pixel format (default "yuv420p")
  -framerate         <video_rate> .D...... set frame rate (default "25")

RTP demuxer AVOptions:
  -rtp_flags         <flags>      .D...... set RTP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)

RTSP demuxer AVOptions:
  -initial_pause     <int>        .D...... do not start playing the stream immediately (from 0 to 1) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -rtsp_transport    <flags>      ED...... set RTSP transport protocols (default 0)
     udp                          ED...... UDP
     tcp                          ED...... TCP
     udp_multicast                .D...... UDP multicast
     http                         .D...... HTTP tunneling
  -rtsp_flags        <flags>      .D...... set RTSP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     listen                       .D...... wait for incoming connections
     prefer_tcp                   ED...... try RTP via TCP first, if available
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default 7)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
  -min_port          <int>        ED...... set minimum local UDP port (from 0 to 65535) (default 5000)
  -max_port          <int>        ED...... set maximum local UDP port (from 0 to 65535) (default 65000)
  -timeout           <int>        .D...... set maximum timeout (in seconds) to wait for incoming connections (-1 is infinite, imply flag listen) (from INT_MIN to INT_MAX) (default -1)
  -stimeout          <int>        .D...... set timeout (in microseconds) of socket TCP I/O operations (from INT_MIN to INT_MAX) (default 0)
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf56.3.100")

sbg_demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 0)
  -frame_size        <int>        .D......  (from 0 to INT_MAX) (default 0)
  -max_file_size     <int>        .D......  (from 0 to INT_MAX) (default 5e+006)

SDP demuxer AVOptions:
  -sdp_flags         <flags>      .D...... SDP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     custom_io                    .D...... use custom I/O
     rtcp_to_source               .D...... send RTCP packets to the source address of received packets
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default 7)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)

sln demuxer AVOptions:
  -sample_rate       <int>        .D......  (from 0 to INT_MAX) (default 8000)
  -channels          <int>        .D......  (from 0 to INT_MAX) (default 1)

tedcaptions_demuxer AVOptions:
  -start_time        <int64>      .D...S.. set the start time (offset) of the subtitles, in ms (from I64_MIN to I64_MAX) (default 15000)

TTY demuxer AVOptions:
  -chars_per_frame   <int>        .D......  (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... A string describing frame size, such as 640x480 or hd720.
  -framerate         <video_rate> .D......  (default "25")

vc1 demuxer AVOptions:
  -framerate         <video_rate> .D......  (default "25")

WAV demuxer AVOptions:
  -ignore_length     <int>        .D...... Ignore length (from 0 to 1) (default 0)

WebVTT demuxer AVOptions:

eXtended BINary text (XBIN) demuxer AVOptions:
  -linespeed         <int>        .D...... set simulated line speed (bytes per second) (from 1 to INT_MAX) (default 6000)
  -video_size        <image_size> .D...... set video size, such as 640x480 or hd720.
  -framerate         <video_rate> .D...... set framerate (frames per second) (default "25")

bmp demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

dpx demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

exr demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

j2k demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

jpegls demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

pictor demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

png demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

sgi demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

sunrast demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

tiff demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

webp demuxer AVOptions:
  -framerate         <video_rate> .D...... set the video framerate (default "25")
  -loop              <int>        .D...... force loop over input file sequence (from 0 to 1) (default 0)
  -pattern_type      <int>        .D...... set pattern type (from 0 to INT_MAX) (default 0)
     glob_sequence                .D...... select glob/sequence pattern type
     glob                         .D...... select glob pattern type
     sequence                     .D...... select sequence pattern type
  -pixel_format      <string>     .D...... set video pixel format
  -start_number      <int>        .D...... set first number in the sequence (from 0 to INT_MAX) (default 0)
  -start_number_range <int>        .D...... set range for looking at the first sequence number (from 1 to INT_MAX) (default 5)
  -video_size        <image_size> .D...... set video size
  -frame_size        <int>        .D...... force frame size in bytes (from 0 to INT_MAX) (default 0)
  -ts_from_file      <int>        .D...... set frame timestamp from file's one (from 0 to 2) (default 0)
     none                         .D...... none
     sec                          .D...... second precision
     ns                           .D...... nano second precision

sdl outdev AVOptions:
  -window_title      <string>     E....... set SDL window title
  -icon_title        <string>     E....... set SDL iconified window title
  -window_size       <image_size> E....... set SDL window forced size
  -window_fullscreen <int>        E....... set SDL window fullscreen (from INT_MIN to INT_MAX) (default 0)

ADTS muxer AVOptions:
  -write_id3v2       <int>        E....... Enable ID3v2 tag writing (from 0 to 1) (default 0)
  -write_apetag      <int>        E....... Enable APE tag writing (from 0 to 1) (default 0)

AIFF muxer AVOptions:
  -write_id3v2       <int>        E....... Enable ID3 tags writing. (from 0 to 1) (default 0)
  -id3v2_version     <int>        E....... Select ID3v2 version to write. Currently 3 and 4 are supported. (from 3 to 4) (default 4)

AST muxer AVOptions:
  -loopstart         <int64>      E....... Loopstart position in milliseconds. (from -1 to INT_MAX) (default -1)
  -loopend           <int64>      E....... Loopend position in milliseconds. (from 0 to INT_MAX) (default 0)

f4v muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

flac muxer AVOptions:
  -write_header      <int>        E....... Write the file header (from 0 to 1) (default 1)

frame hash encoder class AVOptions:
  -hash              <string>     E....... set hash to use (default "md5")
  -format_version    <int>        E....... file format version (from 1 to 1) (default 1)

GIF muxer AVOptions:
  -loop              <int>        E....... Number of times to loop the output: -1 - no loop, 0 - infinite loop (from -1 to 65535) (default 0)
  -final_delay       <int>        E....... Force delay (in centiseconds) after the last frame (from -1 to 65535) (default -1)

HDS muxer AVOptions:
  -window_size       <int>        E....... number of fragments kept in the manifest (from 0 to INT_MAX) (default 0)
  -extra_window_size <int>        E....... number of fragments kept outside of the manifest before removing from disk (from 0 to INT_MAX) (default 5)
  -min_frag_duration <int64>      E....... minimum fragment duration (in microseconds) (from 0 to INT_MAX) (default 1e+007)
  -remove_at_exit    <int>        E....... remove all fragments when finished (from 0 to 1) (default 0)

hls muxer AVOptions:
  -start_number      <int64>      E....... set first number in the sequence (from 0 to I64_MAX) (default 0)
  -hls_time          <float>      E....... set segment length in seconds (from 0 to FLT_MAX) (default 2)
  -hls_list_size     <int>        E....... set maximum number of playlist entries (from 0 to INT_MAX) (default 5)
  -hls_wrap          <int>        E....... set number after which the index wraps (from 0 to INT_MAX) (default 0)
  -hls_base_url      <string>     E....... url to prepend to each playlist entry

image2 muxer AVOptions:
  -updatefirst       <int>        E....... continuously overwrite one file (from 0 to 1) (default 0)
  -update            <int>        E....... continuously overwrite one file (from 0 to 1) (default 0)
  -start_number      <int>        E....... set first number in the sequence (from 0 to INT_MAX) (default 1)
  -strftime          <int>        E....... use strftime for filename (from 0 to 1) (default 0)

ipod muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

ismv muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

LATM/LOAS muxer AVOptions:
  -smc-interval      <int>        E....... StreamMuxConfig interval. (from 1 to 65535) (default 20)

hash encoder class AVOptions:
  -hash              <string>     E....... set hash to use (default "md5")
  -format_version    <int>        E....... file format version (from 1 to 1) (default 1)

matroska muxer AVOptions:
  -reserve_index_space <int>        E....... Reserve a given amount of space (in bytes) at the beginning of the file for the index (cues). (from 0 to INT_MAX) (default 0)
  -cluster_size_limit <int>        E....... Store at most the provided amount of bytes in a cluster.  (from -1 to INT_MAX) (default -1)
  -cluster_time_limit <int64>      E....... Store at most the provided number of milliseconds in a cluster. (from -1 to I64_MAX) (default -1)
  -dash              <int>        E....... Create a WebM file conforming to WebM DASH specification (from 0 to 1) (default 0)
  -dash_track_number <int>        E....... Track number for the DASH stream (from 0 to 127) (default 1)

matroska audio muxer AVOptions:
  -reserve_index_space <int>        E....... Reserve a given amount of space (in bytes) at the beginning of the file for the index (cues). (from 0 to INT_MAX) (default 0)
  -cluster_size_limit <int>        E....... Store at most the provided amount of bytes in a cluster.  (from -1 to INT_MAX) (default -1)
  -cluster_time_limit <int64>      E....... Store at most the provided number of milliseconds in a cluster. (from -1 to I64_MAX) (default -1)
  -dash              <int>        E....... Create a WebM file conforming to WebM DASH specification (from 0 to 1) (default 0)
  -dash_track_number <int>        E....... Track number for the DASH stream (from 0 to 127) (default 1)

mov muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

MP3 muxer AVOptions:
  -id3v2_version     <int>        E....... Select ID3v2 version to write. Currently 3 and 4 are supported. (from 0 to 4) (default 4)
  -write_id3v1       <int>        E....... Enable ID3v1 writing. ID3v1 tags are written in UTF-8 which may not be supported by most software. (from 0 to 1) (default 0)
  -write_xing        <int>        E....... Write the Xing header containing file duration. (from 0 to 1) (default 1)

mp4 muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

mpeg muxer AVOptions:
  -muxrate           <int>        E....... (from 0 to 1.67772e+009) (default 0)
  -preload           <int>        E....... Initial demux-decode delay in microseconds. (from 0 to INT_MAX) (default 500000)

vcd muxer AVOptions:
  -muxrate           <int>        E....... (from 0 to 1.67772e+009) (default 0)
  -preload           <int>        E....... Initial demux-decode delay in microseconds. (from 0 to INT_MAX) (default 500000)

dvd muxer AVOptions:
  -muxrate           <int>        E....... (from 0 to 1.67772e+009) (default 0)
  -preload           <int>        E....... Initial demux-decode delay in microseconds. (from 0 to INT_MAX) (default 500000)

svcd muxer AVOptions:
  -muxrate           <int>        E....... (from 0 to 1.67772e+009) (default 0)
  -preload           <int>        E....... Initial demux-decode delay in microseconds. (from 0 to INT_MAX) (default 500000)

vob muxer AVOptions:
  -muxrate           <int>        E....... (from 0 to 1.67772e+009) (default 0)
  -preload           <int>        E....... Initial demux-decode delay in microseconds. (from 0 to INT_MAX) (default 500000)

MPEGTS muxer AVOptions:
  -mpegts_transport_stream_id <int>        E....... Set transport_stream_id field. (from 1 to 65535) (default 1)
  -mpegts_original_network_id <int>        E....... Set original_network_id field. (from 1 to 65535) (default 1)
  -mpegts_service_id <int>        E....... Set service_id field. (from 1 to 65535) (default 1)
  -mpegts_pmt_start_pid <int>        E....... Set the first pid of the PMT. (from 16 to 7936) (default 4096)
  -mpegts_start_pid  <int>        E....... Set the first pid. (from 256 to 3840) (default 256)
  -mpegts_m2ts_mode  <int>        E....... Enable m2ts mode. (from -1 to 1) (default -1)
  -muxrate           <int>        E....... (from 0 to INT_MAX) (default 1)
  -pes_payload_size  <int>        E....... Minimum PES packet payload in bytes (from 0 to INT_MAX) (default 2930)
  -mpegts_flags      <flags>      E....... MPEG-TS muxing flags (default 0)
     resend_headers               E....... Reemit PAT/PMT before writing the next packet
     latm                         E....... Use LATM packetization for AAC
  -resend_headers    <int>        E....... Reemit PAT/PMT before writing the next packet (from 0 to INT_MAX) (default 0)
  -mpegts_copyts     <int>        E....... don't offset dts/pts (from -1 to 1) (default -1)
  -tables_version    <int>        E....... set PAT, PMT and SDT version (from 0 to 31) (default 0)
  -omit_video_pes_length <int>        E....... Omit the PES packet length for video packets (from 0 to 1) (default 1)
  -pcr_period        <int>        E....... PCR retransmission time (from 0 to INT_MAX) (default 20)

MXF-D10 muxer AVOptions:
  -d10_channelcount  <int>        E....... Force/set channelcount in generic sound essence descriptor (from -1 to 8) (default -1)

nutenc AVOptions:
  -syncpoints        <flags>      E....... NUT syncpoint behaviour (default 0)
     default                      E....... 
     none                         E....... Disable syncpoints, low overhead and unseekable
     timestamped                  E....... Extend syncpoints with a wallclock timestamp
  -write_index       <int>        E....... Write index (from 0 to 1) (default 1)

Ogg audio muxer AVOptions:
  -oggpagesize       <int>        E....... Set preferred Ogg page size. (from 0 to 65025) (default 0)
  -pagesize          <int>        E....... preferred page size in bytes (deprecated) (from 0 to 65025) (default 0)
  -page_duration     <int64>      E....... preferred page duration, in microseconds (from 0 to I64_MAX) (default 1e+006)

Ogg muxer AVOptions:
  -oggpagesize       <int>        E....... Set preferred Ogg page size. (from 0 to 65025) (default 0)
  -pagesize          <int>        E....... preferred page size in bytes (deprecated) (from 0 to 65025) (default 0)
  -page_duration     <int64>      E....... preferred page duration, in microseconds (from 0 to I64_MAX) (default 1e+006)

Ogg Opus muxer AVOptions:
  -oggpagesize       <int>        E....... Set preferred Ogg page size. (from 0 to 65025) (default 0)
  -pagesize          <int>        E....... preferred page size in bytes (deprecated) (from 0 to 65025) (default 0)
  -page_duration     <int64>      E....... preferred page duration, in microseconds (from 0 to I64_MAX) (default 1e+006)

psp muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

RTP muxer AVOptions:
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -payload_type      <int>        E....... Specify RTP payload type (from -1 to 127) (default -1)
  -ssrc              <int>        E....... Stream identifier (from INT_MIN to INT_MAX) (default 0)
  -cname             <string>     E....... CNAME to include in RTCP SR packets
  -seq               <int>        E....... Starting sequence number (from -1 to 65535) (default -1)

RTSP muxer AVOptions:
  -initial_pause     <int>        .D...... do not start playing the stream immediately (from 0 to 1) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -rtsp_transport    <flags>      ED...... set RTSP transport protocols (default 0)
     udp                          ED...... UDP
     tcp                          ED...... TCP
     udp_multicast                .D...... UDP multicast
     http                         .D...... HTTP tunneling
  -rtsp_flags        <flags>      .D...... set RTSP flags (default 0)
     filter_src                   .D...... only receive packets from the negotiated peer IP
     listen                       .D...... wait for incoming connections
     prefer_tcp                   ED...... try RTP via TCP first, if available
  -allowed_media_types <flags>      .D...... set media types to accept from the server (default 7)
     video                        .D...... Video
     audio                        .D...... Audio
     data                         .D...... Data
  -min_port          <int>        ED...... set minimum local UDP port (from 0 to 65535) (default 5000)
  -max_port          <int>        ED...... set maximum local UDP port (from 0 to 65535) (default 65000)
  -timeout           <int>        .D...... set maximum timeout (in seconds) to wait for incoming connections (-1 is infinite, imply flag listen) (from INT_MIN to INT_MAX) (default -1)
  -stimeout          <int>        .D...... set timeout (in microseconds) of socket TCP I/O operations (from INT_MIN to INT_MAX) (default 0)
  -reorder_queue_size <int>        .D...... set number of packets to buffer for handling of reordered packets (from -1 to INT_MAX) (default -1)
  -user-agent        <string>     .D...... override User-Agent header (default "Lavf56.3.100")

segment muxer AVOptions:
  -reference_stream  <string>     E....... set reference stream (default "auto")
  -segment_format    <string>     E....... set container format used for the segments
  -segment_list      <string>     E....... set the segment list filename
  -segment_list_flags <flags>      E....... set flags affecting segment list generation (default 1)
     cache                        E....... allow list caching
     live                         E....... enable live-friendly list generation (useful for HLS)
  -segment_list_size <int>        E....... set the maximum number of playlist entries (from 0 to INT_MAX) (default 0)
  -segment_list_type <int>        E....... set the segment list type (from -1 to 4) (default -1)
     flat                         E....... flat format
     csv                          E....... csv format
     ext                          E....... extended format
     ffconcat                     E....... ffconcat format
     m3u8                         E....... M3U8 format
     hls                          E....... Apple HTTP Live Streaming compatible
  -segment_atclocktime <int>        E....... set segment to be cut at clocktime (from 0 to 1) (default 0)
  -segment_time      <string>     E....... set segment duration
  -segment_time_delta <duration>   E....... set approximation value used for the segment times (default 0)
  -segment_times     <string>     E....... set segment split time points
  -segment_frames    <string>     E....... set segment split frame numbers
  -segment_wrap      <int>        E....... set number after which the index wraps (from 0 to INT_MAX) (default 0)
  -segment_list_entry_prefix <string>     E....... set base url prefix for segments
  -segment_start_number <int>        E....... set the sequence number of the first segment (from 0 to INT_MAX) (default 0)
  -segment_wrap_number <int>        E....... set the number of wrap before the first segment (from 0 to INT_MAX) (default 0)
  -individual_header_trailer <int>        E....... write header/trailer to each segment (from 0 to 1) (default 1)
  -write_header_trailer <int>        E....... write a header to the first segment and a trailer to the last one (from 0 to 1) (default 1)
  -reset_timestamps  <int>        E....... reset timestamps at the begin of each segment (from 0 to 1) (default 0)
  -initial_offset    <duration>   E....... set initial timestamp offset (default 0)

stream_segment muxer AVOptions:
  -reference_stream  <string>     E....... set reference stream (default "auto")
  -segment_format    <string>     E....... set container format used for the segments
  -segment_list      <string>     E....... set the segment list filename
  -segment_list_flags <flags>      E....... set flags affecting segment list generation (default 1)
     cache                        E....... allow list caching
     live                         E....... enable live-friendly list generation (useful for HLS)
  -segment_list_size <int>        E....... set the maximum number of playlist entries (from 0 to INT_MAX) (default 0)
  -segment_list_type <int>        E....... set the segment list type (from -1 to 4) (default -1)
     flat                         E....... flat format
     csv                          E....... csv format
     ext                          E....... extended format
     ffconcat                     E....... ffconcat format
     m3u8                         E....... M3U8 format
     hls                          E....... Apple HTTP Live Streaming compatible
  -segment_atclocktime <int>        E....... set segment to be cut at clocktime (from 0 to 1) (default 0)
  -segment_time      <string>     E....... set segment duration
  -segment_time_delta <duration>   E....... set approximation value used for the segment times (default 0)
  -segment_times     <string>     E....... set segment split time points
  -segment_frames    <string>     E....... set segment split frame numbers
  -segment_wrap      <int>        E....... set number after which the index wraps (from 0 to INT_MAX) (default 0)
  -segment_list_entry_prefix <string>     E....... set base url prefix for segments
  -segment_start_number <int>        E....... set the sequence number of the first segment (from 0 to INT_MAX) (default 0)
  -segment_wrap_number <int>        E....... set the number of wrap before the first segment (from 0 to INT_MAX) (default 0)
  -individual_header_trailer <int>        E....... write header/trailer to each segment (from 0 to 1) (default 1)
  -write_header_trailer <int>        E....... write a header to the first segment and a trailer to the last one (from 0 to 1) (default 1)
  -reset_timestamps  <int>        E....... reset timestamps at the begin of each segment (from 0 to 1) (default 0)
  -initial_offset    <duration>   E....... set initial timestamp offset (default 0)

smooth streaming muxer AVOptions:
  -window_size       <int>        E....... number of fragments kept in the manifest (from 0 to INT_MAX) (default 0)
  -extra_window_size <int>        E....... number of fragments kept outside of the manifest before removing from disk (from 0 to INT_MAX) (default 5)
  -lookahead_count   <int>        E....... number of lookahead fragments (from 0 to INT_MAX) (default 2)
  -min_frag_duration <int64>      E....... minimum fragment duration (in microseconds) (from 0 to INT_MAX) (default 5e+006)
  -remove_at_exit    <int>        E....... remove all fragments when finished (from 0 to 1) (default 0)

Ogg Speex muxer AVOptions:
  -oggpagesize       <int>        E....... Set preferred Ogg page size. (from 0 to 65025) (default 0)
  -pagesize          <int>        E....... preferred page size in bytes (deprecated) (from 0 to 65025) (default 0)
  -page_duration     <int64>      E....... preferred page duration, in microseconds (from 0 to I64_MAX) (default 1e+006)

spdif AVOptions:
  -spdif_flags       <flags>      E....... IEC 61937 encapsulation flags (default 0)
     be                           E....... output in big-endian format (for use as s16be)
  -dtshd_rate        <int>        E....... mux complete DTS frames in HD mode at the specified IEC958 rate (in Hz, default 0=disabled) (from 0 to 768000) (default 0)
  -dtshd_fallback_time <int>        E....... min secs to strip HD for after an overflow (-1: till the end, default 60) (from -1 to INT_MAX) (default 60)

tg2 muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

tgp muxer AVOptions:
  -movflags          <flags>      E....... MOV muxer flags (default 0)
     rtphint                      E....... Add RTP hint tracks
     empty_moov                   E....... Make the initial moov atom empty (not supported by QuickTime)
     frag_keyframe                E....... Fragment at video keyframes
     separate_moof                E....... Write separate moof/mdat atoms for each track
     frag_custom                  E....... Flush fragments on caller requests
     isml                         E....... Create a live smooth streaming feed (for pushing to a publishing point)
     faststart                    E....... Run a second pass to put the index (moov atom) at the beginning of the file
     omit_tfhd_offset              E....... Omit the base data offset in tfhd atoms
     disable_chpl                 E....... Disable Nero chapter atom
  -moov_size         <int>        E....... maximum moov size so it can be placed at the begin (from 0 to INT_MAX) (default 0)
  -rtpflags          <flags>      E....... RTP muxer flags (default 0)
     latm                         E....... Use MP4A-LATM packetization instead of MPEG4-GENERIC for AAC
     rfc2190                      E....... Use RFC 2190 packetization instead of RFC 4629 for H.263
     skip_rtcp                    E....... Don't send RTCP sender reports
     h264_mode0                   E....... Use mode 0 for H264 in RTP
     send_bye                     E....... Send RTCP BYE packets when finishing
  -skip_iods         <int>        E....... Skip writing iods atom. (from 0 to 1) (default 1)
  -iods_audio_profile <int>        E....... iods audio profile atom. (from -1 to 255) (default -1)
  -iods_video_profile <int>        E....... iods video profile atom. (from -1 to 255) (default -1)
  -frag_duration     <int>        E....... Maximum fragment duration (from 0 to INT_MAX) (default 0)
  -min_frag_duration <int>        E....... Minimum fragment duration (from 0 to INT_MAX) (default 0)
  -frag_size         <int>        E....... Maximum fragment size (from 0 to INT_MAX) (default 0)
  -ism_lookahead     <int>        E....... Number of lookahead entries for ISM files (from 0 to INT_MAX) (default 0)
  -use_editlist      <int>        E....... use edit list (from -1 to 1) (default -1)
  -video_track_timescale <int>        E....... set timescale of all video tracks (from 0 to INT_MAX) (default 0)
  -brand             <string>     E....... Override major brand

WAV muxer AVOptions:
  -write_bext        <int>        E....... Write BEXT chunk. (from 0 to 1) (default 0)
  -write_peak        <int>        E....... Write Peak Envelope chunk. (from 0 to 2) (default 0)
     off                          E....... Do not write peak chunk.
     on                           E....... Append peak chunk after wav data.
     only                         E....... Write only peak chunk, omit wav data.
  -rf64              <int>        E....... Use RF64 header rather than RIFF for large files. (from -1 to 1) (default 0)
     auto                         E....... Write RF64 header if file grows large enough.
     always                       E....... Always write RF64 header regardless of file size.
     never                        E....... Never write RF64 header regardless of file size.
  -peak_block_size   <int>        E....... Number of audio samples used to generate each peak frame. (from 0 to 65536) (default 256)
  -peak_format       <int>        E....... The format of the peak envelope data (1: uint8, 2: uint16). (from 1 to 2) (default 2)
  -peak_ppv          <int>        E....... Number of peak points per peak value (1 or 2). (from 1 to 2) (default 2)

webm muxer AVOptions:
  -reserve_index_space <int>        E....... Reserve a given amount of space (in bytes) at the beginning of the file for the index (cues). (from 0 to INT_MAX) (default 0)
  -cluster_size_limit <int>        E....... Store at most the provided amount of bytes in a cluster.  (from -1 to INT_MAX) (default -1)
  -cluster_time_limit <int64>      E....... Store at most the provided number of milliseconds in a cluster. (from -1 to I64_MAX) (default -1)
  -dash              <int>        E....... Create a WebM file conforming to WebM DASH specification (from 0 to 1) (default 0)
  -dash_track_number <int>        E....... Track number for the DASH stream (from 0 to 127) (default 1)

WebM DASH Manifest muxer AVOptions:
  -adaptation_sets   <string>     E....... Adaptation sets. Syntax: id=0,streams=0,1,2 id=1,streams=3,4 and so on

SWScaler AVOptions:
  -sws_flags         <flags>      E..V.... scaler flags (default 4)
     fast_bilinear                E..V.... fast bilinear
     bilinear                     E..V.... bilinear
     bicubic                      E..V.... bicubic
     experimental                 E..V.... experimental
     neighbor                     E..V.... nearest neighbor
     area                         E..V.... averaging area
     bicublin                     E..V.... luma bicubic, chroma bilinear
     gauss                        E..V.... gaussian
     sinc                         E..V.... sinc
     lanczos                      E..V.... lanczos
     spline                       E..V.... natural bicubic spline
     print_info                   E..V.... print info
     accurate_rnd                 E..V.... accurate rounding
     full_chroma_int              E..V.... full chroma interpolation
     full_chroma_inp              E..V.... full chroma input
     bitexact                     E..V.... 
     error_diffusion              E..V.... error diffusion dither
  -srcw              <int>        E..V.... source width (from 1 to INT_MAX) (default 16)
  -srch              <int>        E..V.... source height (from 1 to INT_MAX) (default 16)
  -dstw              <int>        E..V.... destination width (from 1 to INT_MAX) (default 16)
  -dsth              <int>        E..V.... destination height (from 1 to INT_MAX) (default 16)
  -src_format        <int>        E..V.... source format (from 0 to 332) (default 0)
  -dst_format        <int>        E..V.... destination format (from 0 to 332) (default 0)
  -src_range         <int>        E..V.... source range (from 0 to 1) (default 0)
  -dst_range         <int>        E..V.... destination range (from 0 to 1) (default 0)
  -param0            <double>     E..V.... scaler param 0 (from INT_MIN to INT_MAX) (default 123456)
  -param1            <double>     E..V.... scaler param 1 (from INT_MIN to INT_MAX) (default 123456)
  -src_v_chr_pos     <int>        E..V.... source vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  -src_h_chr_pos     <int>        E..V.... source horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  -dst_v_chr_pos     <int>        E..V.... destination vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  -dst_h_chr_pos     <int>        E..V.... destination horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  -sws_dither        <int>        E..V.... set dithering algorithm (from 0 to 6) (default 1)
     auto                         E..V.... leave choice to sws
     bayer                        E..V.... bayer dither
     ed                           E..V.... error diffusion
     a_dither                     E..V.... arithmetic addition dither
     x_dither                     E..V.... arithmetic xor dither

SWResampler AVOptions:
  -ich               <int>        ....A... set input channel count (from 0 to 32) (default 0)
  -in_channel_count  <int>        ....A... set input channel count (from 0 to 32) (default 0)
  -och               <int>        ....A... set output channel count (from 0 to 32) (default 0)
  -out_channel_count <int>        ....A... set output channel count (from 0 to 32) (default 0)
  -uch               <int>        ....A... set used channel count (from 0 to 32) (default 0)
  -used_channel_count <int>        ....A... set used channel count (from 0 to 32) (default 0)
  -isr               <int>        ....A... set input sample rate (from 0 to INT_MAX) (default 0)
  -in_sample_rate    <int>        ....A... set input sample rate (from 0 to INT_MAX) (default 0)
  -osr               <int>        ....A... set output sample rate (from 0 to INT_MAX) (default 0)
  -out_sample_rate   <int>        ....A... set output sample rate (from 0 to INT_MAX) (default 0)
  -isf               <sample_fmt> ....A... set input sample format (default none)
  -in_sample_fmt     <sample_fmt> ....A... set input sample format (default none)
  -osf               <sample_fmt> ....A... set output sample format (default none)
  -out_sample_fmt    <sample_fmt> ....A... set output sample format (default none)
  -tsf               <sample_fmt> ....A... set internal sample format (default none)
  -internal_sample_fmt <sample_fmt> ....A... set internal sample format (default none)
  -icl               <channel_layout> ....A... set input channel layout (default 0x0)
  -in_channel_layout <channel_layout> ....A... set input channel layout (default 0x0)
  -ocl               <channel_layout> ....A... set output channel layout (default 0x0)
  -out_channel_layout <channel_layout> ....A... set output channel layout (default 0x0)
  -clev              <float>      ....A... set center mix level (from -32 to 32) (default 0.707107)
  -center_mix_level  <float>      ....A... set center mix level (from -32 to 32) (default 0.707107)
  -slev              <float>      ....A... set surround mix level (from -32 to 32) (default 0.707107)
  -surround_mix_level <float>      ....A... set surround mix Level (from -32 to 32) (default 0.707107)
  -lfe_mix_level     <float>      ....A... set LFE mix level (from -32 to 32) (default 0)
  -rmvol             <float>      ....A... set rematrix volume (from -1000 to 1000) (default 1)
  -rematrix_volume   <float>      ....A... set rematrix volume (from -1000 to 1000) (default 1)
  -rematrix_maxval   <float>      ....A... set rematrix maxval (from 0 to 1000) (default 0)
  -flags             <flags>      ....A... set flags (default 0)
     res                          ....A... force resampling
  -swr_flags         <flags>      ....A... set flags (default 0)
     res                          ....A... force resampling
  -dither_scale      <float>      ....A... set dither scale (from 0 to INT_MAX) (default 1)
  -dither_method     <int>        ....A... set dither method (from 0 to 71) (default 0)
     rectangular                  ....A... select rectangular dither
     triangular                   ....A... select triangular dither
     triangular_hp                ....A... select triangular dither with high pass
     lipshitz                     ....A... select lipshitz noise shaping dither
     shibata                      ....A... select shibata noise shaping dither
     low_shibata                  ....A... select low shibata noise shaping dither
     high_shibata                 ....A... select high shibata noise shaping dither
     f_weighted                   ....A... select f-weighted noise shaping dither
     modified_e_weighted              ....A... select modified-e-weighted noise shaping dither
     improved_e_weighted              ....A... select improved-e-weighted noise shaping dither
  -filter_size       <int>        ....A... set swr resampling filter size (from 0 to INT_MAX) (default 32)
  -phase_shift       <int>        ....A... set swr resampling phase shift (from 0 to 24) (default 10)
  -linear_interp     <int>        ....A... enable linear interpolation (from 0 to 1) (default 0)
  -cutoff            <double>     ....A... set cutoff frequency ratio (from 0 to 1) (default 0)
  -resample_cutoff   <double>     ....A... set cutoff frequency ratio (from 0 to 1) (default 0)
  -resampler         <int>        ....A... set resampling Engine (from 0 to 1) (default 0)
     swr                          ....A... select SW Resampler
     soxr                         ....A... select SoX Resampler
  -precision         <double>     ....A... set soxr resampling precision (in bits) (from 15 to 33) (default 20)
  -cheby             <int>        ....A... enable soxr Chebyshev passband & higher-precision irrational ratio approximation (from 0 to 1) (default 0)
  -min_comp          <float>      ....A... set minimum difference between timestamps and audio data (in seconds) below which no timestamp compensation of either kind is applied (from 0 to FLT_MAX) (default FLT_MAX)
  -min_hard_comp     <float>      ....A... set minimum difference between timestamps and audio data (in seconds) to trigger padding/trimming the data. (from 0 to INT_MAX) (default 0.1)
  -comp_duration     <float>      ....A... set duration (in seconds) over which data is stretched/squeezed to make it match the timestamps. (from 0 to INT_MAX) (default 1)
  -max_soft_comp     <float>      ....A... set maximum factor by which data is stretched/squeezed to make it match the timestamps. (from INT_MIN to INT_MAX) (default 0)
  -async             <float>      ....A... simplified 1 parameter audio timestamp matching, 0(disabled), 1(filling and trimming), >1(maximum stretch/squeeze in samples per second) (from INT_MIN to INT_MAX) (default 0)
  -first_pts         <int64>      ....A... Assume the first pts should be this value (in samples). (from I64_MIN to I64_MAX) (default I64_MIN)
  -matrix_encoding   <int>        ....A... set matrixed stereo encoding (from 0 to 6) (default 0)
     none                         ....A... select none
     dolby                        ....A... select Dolby
     dplii                        ....A... select Dolby Pro Logic II
  -filter_type       <int>        ....A... select swr filter type (from 0 to 2) (default 2)
     cubic                        ....A... select cubic
     blackman_nuttall              ....A... select Blackman Nuttall Windowed Sinc
     kaiser                       ....A... select Kaiser Windowed Sinc
  -kaiser_beta       <int>        ....A... set swr Kaiser Window Beta (from 2 to 16) (default 9)
  -output_sample_bits <int>        ....A... set swr number of output sample bits (from 0 to 64) (default 0)

AVFilter AVOptions:
  thread_type       <flags>      ..F..... Allowed thread types (default 1)
  enable            <string>     ..F..... set enable expression

adelay AVOptions:
  delays            <string>     ..F.A... set list of delays for each channel

aecho AVOptions:
  in_gain           <float>      ..F.A... set signal input gain (from 0 to 1) (default 0.6)
  out_gain          <float>      ..F.A... set signal output gain (from 0 to 1) (default 0.3)
  delays            <string>     ..F.A... set list of signal delays (default "1000")
  decays            <string>     ..F.A... set list of signal decays (default "0.5")

aeval AVOptions:
  exprs             <string>     ..F.A... set the '|'-separated list of channels expressions
  channel_layout    <string>     ..F.A... set channel layout
  c                 <string>     ..F.A... set channel layout

afade AVOptions:
  type              <int>        ..F.A... set the fade direction (from 0 to 1) (default 0)
     in                           ..F.A... fade-in
     out                          ..F.A... fade-out
  t                 <int>        ..F.A... set the fade direction (from 0 to 1) (default 0)
     in                           ..F.A... fade-in
     out                          ..F.A... fade-out
  start_sample      <int64>      ..F.A... set number of first sample to start fading (from 0 to I64_MAX) (default 0)
  ss                <int64>      ..F.A... set number of first sample to start fading (from 0 to I64_MAX) (default 0)
  nb_samples        <int>        ..F.A... set number of samples for fade duration (from 1 to INT_MAX) (default 44100)
  ns                <int>        ..F.A... set number of samples for fade duration (from 1 to INT_MAX) (default 44100)
  start_time        <duration>   ..F.A... set time to start fading (default 0)
  st                <duration>   ..F.A... set time to start fading (default 0)
  duration          <duration>   ..F.A... set fade duration (default 0)
  d                 <duration>   ..F.A... set fade duration (default 0)
  curve             <int>        ..F.A... set fade curve type (from 0 to 9) (default 0)
     tri                          ..F.A... linear slope
     qsin                         ..F.A... quarter of sine wave
     esin                         ..F.A... exponential sine wave
     hsin                         ..F.A... half of sine wave
     log                          ..F.A... logarithmic
     par                          ..F.A... inverted parabola
     qua                          ..F.A... quadratic
     cub                          ..F.A... cubic
     squ                          ..F.A... square root
     cbr                          ..F.A... cubic root
  c                 <int>        ..F.A... set fade curve type (from 0 to 9) (default 0)
     tri                          ..F.A... linear slope
     qsin                         ..F.A... quarter of sine wave
     esin                         ..F.A... exponential sine wave
     hsin                         ..F.A... half of sine wave
     log                          ..F.A... logarithmic
     par                          ..F.A... inverted parabola
     qua                          ..F.A... quadratic
     cub                          ..F.A... cubic
     squ                          ..F.A... square root
     cbr                          ..F.A... cubic root

aformat AVOptions:
  sample_fmts       <string>     ..F.A... A comma-separated list of sample formats.
  sample_rates      <string>     ..F.A... A comma-separated list of sample rates.
  channel_layouts   <string>     ..F.A... A comma-separated list of channel layouts.

ainterleave AVOptions:
  nb_inputs         <int>        ..F.A... set number of inputs (from 1 to INT_MAX) (default 2)
  n                 <int>        ..F.A... set number of inputs (from 1 to INT_MAX) (default 2)

allpass AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 1)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set filter-width (from 0 to 99999) (default 707.1)
  w                 <double>     ..F.A... set filter-width (from 0 to 99999) (default 707.1)

amerge AVOptions:
  inputs            <int>        ..F.A... specify the number of inputs (from 2 to 32) (default 2)

amix AVOptions:
  inputs            <int>        ..F.A... Number of inputs. (from 1 to 32) (default 2)
  duration          <int>        ..F.A... How to determine the end-of-stream. (from 0 to 2) (default 0)
     longest                      ..F.A... Duration of longest input.
     shortest                     ..F.A... Duration of shortest input.
     first                        ..F.A... Duration of first input.
  dropout_transition <float>      ..F.A... Transition time, in seconds, for volume renormalization when an input stream ends. (from 0 to INT_MAX) (default 2)

apad AVOptions:
  packet_size       <int>        ..F.A... set silence packet size (from 0 to INT_MAX) (default 4096)
  pad_len           <int64>      ..F.A... set number of samples of silence to add (from -1 to I64_MAX) (default -1)
  whole_len         <int64>      ..F.A... set minimum target number of samples in the audio stream (from -1 to I64_MAX) (default -1)

aperms AVOptions:
  mode              <int>        ..FVA... select permissions mode (from 0 to 4) (default 0)
     none                         ..FVA... do nothing
     ro                           ..FVA... set all output frames read-only
     rw                           ..FVA... set all output frames writable
     toggle                       ..FVA... switch permissions
     random                       ..FVA... set permissions randomly
  seed              <int64>      ..FVA... set the seed for the random mode (from -1 to UINT32_MAX) (default -1)

aphaser AVOptions:
  in_gain           <double>     ..F.A... set input gain (from 0 to 1) (default 0.4)
  out_gain          <double>     ..F.A... set output gain (from 0 to 1e+009) (default 0.74)
  delay             <double>     ..F.A... set delay in milliseconds (from 0 to 5) (default 3)
  decay             <double>     ..F.A... set decay (from 0 to 0.99) (default 0.4)
  speed             <double>     ..F.A... set modulation speed (from 0.1 to 2) (default 0.5)
  type              <int>        ..F.A... set modulation type (from 0 to 1) (default 1)
     triangular                   ..F.A...
     t                            ..F.A...
     sinusoidal                   ..F.A...
     s                            ..F.A...

aresample AVOptions:
  sample_rate       <int>        ..F.A... (from 0 to INT_MAX) (default 0)

SWResampler AVOptions:
  -ich               <int>        ....A... set input channel count (from 0 to 32) (default 0)
  -in_channel_count  <int>        ....A... set input channel count (from 0 to 32) (default 0)
  -och               <int>        ....A... set output channel count (from 0 to 32) (default 0)
  -out_channel_count <int>        ....A... set output channel count (from 0 to 32) (default 0)
  -uch               <int>        ....A... set used channel count (from 0 to 32) (default 0)
  -used_channel_count <int>        ....A... set used channel count (from 0 to 32) (default 0)
  -isr               <int>        ....A... set input sample rate (from 0 to INT_MAX) (default 0)
  -in_sample_rate    <int>        ....A... set input sample rate (from 0 to INT_MAX) (default 0)
  -osr               <int>        ....A... set output sample rate (from 0 to INT_MAX) (default 0)
  -out_sample_rate   <int>        ....A... set output sample rate (from 0 to INT_MAX) (default 0)
  -isf               <sample_fmt> ....A... set input sample format (default none)
  -in_sample_fmt     <sample_fmt> ....A... set input sample format (default none)
  -osf               <sample_fmt> ....A... set output sample format (default none)
  -out_sample_fmt    <sample_fmt> ....A... set output sample format (default none)
  -tsf               <sample_fmt> ....A... set internal sample format (default none)
  -internal_sample_fmt <sample_fmt> ....A... set internal sample format (default none)
  -icl               <channel_layout> ....A... set input channel layout (default 0x0)
  -in_channel_layout <channel_layout> ....A... set input channel layout (default 0x0)
  -ocl               <channel_layout> ....A... set output channel layout (default 0x0)
  -out_channel_layout <channel_layout> ....A... set output channel layout (default 0x0)
  -clev              <float>      ....A... set center mix level (from -32 to 32) (default 0.707107)
  -center_mix_level  <float>      ....A... set center mix level (from -32 to 32) (default 0.707107)
  -slev              <float>      ....A... set surround mix level (from -32 to 32) (default 0.707107)
  -surround_mix_level <float>      ....A... set surround mix Level (from -32 to 32) (default 0.707107)
  -lfe_mix_level     <float>      ....A... set LFE mix level (from -32 to 32) (default 0)
  -rmvol             <float>      ....A... set rematrix volume (from -1000 to 1000) (default 1)
  -rematrix_volume   <float>      ....A... set rematrix volume (from -1000 to 1000) (default 1)
  -rematrix_maxval   <float>      ....A... set rematrix maxval (from 0 to 1000) (default 0)
  -flags             <flags>      ....A... set flags (default 0)
     res                          ....A... force resampling
  -swr_flags         <flags>      ....A... set flags (default 0)
     res                          ....A... force resampling
  -dither_scale      <float>      ....A... set dither scale (from 0 to INT_MAX) (default 1)
  -dither_method     <int>        ....A... set dither method (from 0 to 71) (default 0)
     rectangular                  ....A... select rectangular dither
     triangular                   ....A... select triangular dither
     triangular_hp                ....A... select triangular dither with high pass
     lipshitz                     ....A... select lipshitz noise shaping dither
     shibata                      ....A... select shibata noise shaping dither
     low_shibata                  ....A... select low shibata noise shaping dither
     high_shibata                 ....A... select high shibata noise shaping dither
     f_weighted                   ....A... select f-weighted noise shaping dither
     modified_e_weighted              ....A... select modified-e-weighted noise shaping dither
     improved_e_weighted              ....A... select improved-e-weighted noise shaping dither
  -filter_size       <int>        ....A... set swr resampling filter size (from 0 to INT_MAX) (default 32)
  -phase_shift       <int>        ....A... set swr resampling phase shift (from 0 to 24) (default 10)
  -linear_interp     <int>        ....A... enable linear interpolation (from 0 to 1) (default 0)
  -cutoff            <double>     ....A... set cutoff frequency ratio (from 0 to 1) (default 0)
  -resample_cutoff   <double>     ....A... set cutoff frequency ratio (from 0 to 1) (default 0)
  -resampler         <int>        ....A... set resampling Engine (from 0 to 1) (default 0)
     swr                          ....A... select SW Resampler
     soxr                         ....A... select SoX Resampler
  -precision         <double>     ....A... set soxr resampling precision (in bits) (from 15 to 33) (default 20)
  -cheby             <int>        ....A... enable soxr Chebyshev passband & higher-precision irrational ratio approximation (from 0 to 1) (default 0)
  -min_comp          <float>      ....A... set minimum difference between timestamps and audio data (in seconds) below which no timestamp compensation of either kind is applied (from 0 to FLT_MAX) (default FLT_MAX)
  -min_hard_comp     <float>      ....A... set minimum difference between timestamps and audio data (in seconds) to trigger padding/trimming the data. (from 0 to INT_MAX) (default 0.1)
  -comp_duration     <float>      ....A... set duration (in seconds) over which data is stretched/squeezed to make it match the timestamps. (from 0 to INT_MAX) (default 1)
  -max_soft_comp     <float>      ....A... set maximum factor by which data is stretched/squeezed to make it match the timestamps. (from INT_MIN to INT_MAX) (default 0)
  -async             <float>      ....A... simplified 1 parameter audio timestamp matching, 0(disabled), 1(filling and trimming), >1(maximum stretch/squeeze in samples per second) (from INT_MIN to INT_MAX) (default 0)
  -first_pts         <int64>      ....A... Assume the first pts should be this value (in samples). (from I64_MIN to I64_MAX) (default I64_MIN)
  -matrix_encoding   <int>        ....A... set matrixed stereo encoding (from 0 to 6) (default 0)
     none                         ....A... select none
     dolby                        ....A... select Dolby
     dplii                        ....A... select Dolby Pro Logic II
  -filter_type       <int>        ....A... select swr filter type (from 0 to 2) (default 2)
     cubic                        ....A... select cubic
     blackman_nuttall              ....A... select Blackman Nuttall Windowed Sinc
     kaiser                       ....A... select Kaiser Windowed Sinc
  -kaiser_beta       <int>        ....A... set swr Kaiser Window Beta (from 2 to 16) (default 9)
  -output_sample_bits <int>        ....A... set swr number of output sample bits (from 0 to 64) (default 0)

aselect AVOptions:
  expr              <string>     ..F.A... set an expression to use for selecting frames (default "1")
  e                 <string>     ..F.A... set an expression to use for selecting frames (default "1")
  outputs           <int>        ..F.A... set the number of outputs (from 1 to INT_MAX) (default 1)
  n                 <int>        ..F.A... set the number of outputs (from 1 to INT_MAX) (default 1)

asendcmd AVOptions:
  commands          <string>     ..FVA... set commands
  c                 <string>     ..FVA... set commands
  filename          <string>     ..FVA... set commands file
  f                 <string>     ..FVA... set commands file

asetnsamples AVOptions:
  nb_out_samples    <int>        ..F.A... set the number of per-frame output samples (from 1 to INT_MAX) (default 1024)
  n                 <int>        ..F.A... set the number of per-frame output samples (from 1 to INT_MAX) (default 1024)
  pad               <int>        ..F.A... pad last frame with zeros (from 0 to 1) (default 1)
  p                 <int>        ..F.A... pad last frame with zeros (from 0 to 1) (default 1)

asetpts AVOptions:
  expr              <string>     ..FVA... Expression determining the frame timestamp (default "PTS")

asetrate AVOptions:
  sample_rate       <int>        ..F.A... set the sample rate (from 1 to INT_MAX) (default 44100)
  r                 <int>        ..F.A... set the sample rate (from 1 to INT_MAX) (default 44100)

asettb AVOptions:
  expr              <string>     ..F.A... set expression determining the output timebase (default "intb")
  tb                <string>     ..F.A... set expression determining the output timebase (default "intb")

asplit AVOptions:
  -outputs           <int>        ...VA... set number of outputs (from 1 to INT_MAX) (default 2)

astats AVOptions:
  length            <double>     ..F.A... set the window length (from 0.01 to 10) (default 0.05)

astreamsync AVOptions:
  expr              <string>     ..F.A... set stream selection expression (default "t1-t2")
  e                 <string>     ..F.A... set stream selection expression (default "t1-t2")

atempo AVOptions:
  tempo             <double>     ..F.A... set tempo scale factor (from 0.5 to 2) (default 1)

atrim AVOptions:
  starti            <duration>   ..F.A... Timestamp of the first frame that should be passed (default I64_MAX)
  endi              <duration>   ..F.A... Timestamp of the first frame that should be dropped again (default I64_MAX)
  start_pts         <int64>      ..F.A... Timestamp of the first frame that should be  passed (from I64_MIN to I64_MAX) (default I64_MIN)
  end_pts           <int64>      ..F.A... Timestamp of the first frame that should be dropped again (from I64_MIN to I64_MAX) (default I64_MIN)
  durationi         <duration>   ..F.A... Maximum duration of the output (default 0)
  start_sample      <int64>      ..F.A... Number of the first audio sample that should be passed to the output (from -1 to I64_MAX) (default -1)
  end_sample        <int64>      ..F.A... Number of the first audio sample that should be dropped again (from 0 to I64_MAX) (default I64_MAX)
  start             <double>     ..F.A... Timestamp in seconds of the first frame that should be passed (from -DBL_MAX to DBL_MAX) (default DBL_MAX)
  end               <double>     ..F.A... Timestamp in seconds of the first frame that should be dropped again (from -DBL_MAX to DBL_MAX) (default DBL_MAX)
  duration          <double>     ..F.A... Maximum duration of the output in seconds (from 0 to DBL_MAX) (default 0)

bandpass AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set band-width (from 0 to 999) (default 0.5)
  w                 <double>     ..F.A... set band-width (from 0 to 999) (default 0.5)
  csg               <int>        ..F.A... use constant skirt gain (from 0 to 1) (default 0)

bandreject AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set band-width (from 0 to 999) (default 0.5)
  w                 <double>     ..F.A... set band-width (from 0 to 999) (default 0.5)

bass AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 100)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 100)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set shelf transition steep (from 0 to 99999) (default 0.5)
  w                 <double>     ..F.A... set shelf transition steep (from 0 to 99999) (default 0.5)
  gain              <double>     ..F.A... set gain (from -900 to 900) (default 0)
  g                 <double>     ..F.A... set gain (from -900 to 900) (default 0)

biquad AVOptions:
  a0                <double>     ..F.A... (from -32768 to 32767) (default 1)
  a1                <double>     ..F.A... (from -32768 to 32767) (default 1)
  a2                <double>     ..F.A... (from -32768 to 32767) (default 1)
  b0                <double>     ..F.A... (from -32768 to 32767) (default 1)
  b1                <double>     ..F.A... (from -32768 to 32767) (default 1)
  b2                <double>     ..F.A... (from -32768 to 32767) (default 1)

channelmap AVOptions:
  map               <string>     ..F.A... A comma-separated list of input channel numbers in output order.
  channel_layout    <string>     ..F.A... Output channel layout.

channelsplit AVOptions:
  channel_layout    <string>     ..F.A... Input channel layout. (default "stereo")

compand AVOptions:
  attacks           <string>     ..F.A... set time over which increase of volume is determined (default "0.3")
  decays            <string>     ..F.A... set time over which decrease of volume is determined (default "0.8")
  points            <string>     ..F.A... set points of transfer function (default "-70/-70|-60/-20")
  soft-knee         <double>     ..F.A... set soft-knee (from 0.01 to 900) (default 0.01)
  gain              <double>     ..F.A... set output gain (from -900 to 900) (default 0)
  volume            <double>     ..F.A... set initial volume (from -900 to 0) (default 0)
  delay             <double>     ..F.A... set delay for samples before sending them to volume adjuster (from 0 to 20) (default 0)

ebur128 AVOptions:
  video             <int>        ..FV.... set video output (from 0 to 1) (default 0)
  size              <image_size> ..FV.... set video size (default "640x480")
  meter             <int>        ..FV.... set scale meter (+9 to +18) (from 9 to 18) (default 9)
  framelog          <int>        ..FVA... force frame logging level (from INT_MIN to INT_MAX) (default -1)
     info                         ..FVA... information logging level
     verbose                      ..FVA... verbose logging level
  metadata          <int>        ..FVA... inject metadata in the filtergraph (from 0 to 1) (default 0)
  peak              <flags>      ..F.A... set peak mode (default 0)
     none                         ..F.A... disable any peak mode
     sample                       ..F.A... enable peak-sample mode
     true                         ..F.A... enable true-peak mode

equalizer AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 0)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 0)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set band-width (from 0 to 999) (default 1)
  w                 <double>     ..F.A... set band-width (from 0 to 999) (default 1)
  gain              <double>     ..F.A... set gain (from -900 to 900) (default 0)
  g                 <double>     ..F.A... set gain (from -900 to 900) (default 0)

flanger AVOptions:
  delay             <double>     ..F.A... base delay in milliseconds (from 0 to 30) (default 0)
  depth             <double>     ..F.A... added swept delay in milliseconds (from 0 to 10) (default 2)
  regen             <double>     ..F.A... percentage regeneration (delayed signal feedback) (from -95 to 95) (default 0)
  width             <double>     ..F.A... percentage of delayed signal mixed with original (from 0 to 100) (default 71)
  speed             <double>     ..F.A... sweeps per second (Hz) (from 0.1 to 10) (default 0.5)
  shape             <int>        ..F.A... swept wave shape (from 0 to 1) (default 0)
     triangular                   ..F.A...
     t                            ..F.A...
     sinusoidal                   ..F.A...
     s                            ..F.A...
  phase             <double>     ..F.A... swept wave percentage phase-shift for multi-channel (from 0 to 100) (default 25)
  interp            <int>        ..F.A... delay-line interpolation (from 0 to 1) (default 0)
     linear                       ..F.A...
     quadratic                    ..F.A...

highpass AVOptions:
  frequency         <double>     ..F.A... set frequency (from 0 to 999999) (default 3000)
  f                 <double>     ..F.A... set frequency (from 0 to 999999) (default 3000)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set width (from 0 to 99999) (default 0.707)
  w                 <double>     ..F.A... set width (from 0 to 99999) (default 0.707)
  poles             <int>        ..F.A... set number of poles (from 1 to 2) (default 2)
  p                 <int>        ..F.A... set number of poles (from 1 to 2) (default 2)

join AVOptions:
  inputs            <int>        ..F.A... Number of input streams. (from 1 to INT_MAX) (default 2)
  channel_layout    <string>     ..F.A... Channel layout of the output stream. (default "stereo")
  map               <string>     ..F.A... A comma-separated list of channels maps in the format 'input_stream.input_channel-output_channel.

lowpass AVOptions:
  frequency         <double>     ..F.A... set frequency (from 0 to 999999) (default 500)
  f                 <double>     ..F.A... set frequency (from 0 to 999999) (default 500)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set width (from 0 to 99999) (default 0.707)
  w                 <double>     ..F.A... set width (from 0 to 99999) (default 0.707)
  poles             <int>        ..F.A... set number of poles (from 1 to 2) (default 2)
  p                 <int>        ..F.A... set number of poles (from 1 to 2) (default 2)

pan AVOptions:
  args              <string>     ..F.A...

silencedetect AVOptions:
  n                 <double>     ..F.A... set noise tolerance (from 0 to DBL_MAX) (default 0.001)
  noise             <double>     ..F.A... set noise tolerance (from 0 to DBL_MAX) (default 0.001)
  d                 <double>     ..F.A... set minimum duration in seconds (from 0 to 86400) (default 2)
  duration          <double>     ..F.A... set minimum duration in seconds (from 0 to 86400) (default 2)

treble AVOptions:
  frequency         <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  f                 <double>     ..F.A... set central frequency (from 0 to 999999) (default 3000)
  width_type        <int>        ..F.A... set filter-width type (from 1 to 4) (default 3)
     h                            ..F.A... Hz
     q                            ..F.A... Q-Factor
     o                            ..F.A... octave
     s                            ..F.A... slope
  width             <double>     ..F.A... set shelf transition steep (from 0 to 99999) (default 0.5)
  w                 <double>     ..F.A... set shelf transition steep (from 0 to 99999) (default 0.5)
  gain              <double>     ..F.A... set gain (from -900 to 900) (default 0)
  g                 <double>     ..F.A... set gain (from -900 to 900) (default 0)

volume AVOptions:
  volume            <string>     ..F.A... set volume adjustment expression (default "1.0")
  precision         <int>        ..F.A... select mathematical precision (from 0 to 2) (default 1)
     fixed                        ..F.A... select 8-bit fixed-point
     float                        ..F.A... select 32-bit floating-point
     double                       ..F.A... select 64-bit floating-point
  eval              <int>        ..F.A... specify when to evaluate expressions (from 0 to 1) (default 0)
     once                         ..F.A... eval volume expression once
     frame                        ..F.A... eval volume expression per-frame
  -replaygain        <int>        ....A... Apply replaygain side data when present (from 0 to 3) (default 0)
     drop                         ....A... replaygain side data is dropped
     ignore                       ....A... replaygain side data is ignored
     track                        ....A... track gain is preferred
     album                        ....A... album gain is preferred
  -replaygain_preamp <double>     ....A... Apply replaygain pre-amplification (from -15 to 15) (default 0)
  -replaygain_noclip <int>        ....A... Apply replaygain clipping prevention (from 0 to 1) (default 1)

aevalsrc AVOptions:
  exprs             <string>     ..F.A... set the '|'-separated list of channels expressions
  nb_samples        <int>        ..F.A... set the number of samples per requested frame (from 0 to INT_MAX) (default 1024)
  n                 <int>        ..F.A... set the number of samples per requested frame (from 0 to INT_MAX) (default 1024)
  sample_rate       <string>     ..F.A... set the sample rate (default "44100")
  s                 <string>     ..F.A... set the sample rate (default "44100")
  duration          <duration>   ..F.A... set audio duration (default -1)
  d                 <duration>   ..F.A... set audio duration (default -1)
  channel_layout    <string>     ..F.A... set channel layout
  c                 <string>     ..F.A... set channel layout

anullsrc AVOptions:
  channel_layout    <string>     ..F.A... set channel_layout (default "stereo")
  cl                <string>     ..F.A... set channel_layout (default "stereo")
  sample_rate       <string>     ..F.A... set sample rate (default "44100")
  r                 <string>     ..F.A... set sample rate (default "44100")
  nb_samples        <int>        ..F.A... set the number of samples per requested frame (from 0 to INT_MAX) (default 1024)
  n                 <int>        ..F.A... set the number of samples per requested frame (from 0 to INT_MAX) (default 1024)

sine AVOptions:
  frequency         <double>     ..F.A... set the sine frequency (from 0 to DBL_MAX) (default 440)
  f                 <double>     ..F.A... set the sine frequency (from 0 to DBL_MAX) (default 440)
  beep_factor       <double>     ..F.A... set the beep fequency factor (from 0 to DBL_MAX) (default 0)
  b                 <double>     ..F.A... set the beep fequency factor (from 0 to DBL_MAX) (default 0)
  sample_rate       <int>        ..F.A... set the sample rate (from 1 to INT_MAX) (default 44100)
  r                 <int>        ..F.A... set the sample rate (from 1 to INT_MAX) (default 44100)
  duration          <duration>   ..F.A... set the audio duration (default 0)
  d                 <duration>   ..F.A... set the audio duration (default 0)
  samples_per_frame <int>        ..F.A... set the number of samples per frame (from 0 to INT_MAX) (default 1024)

bbox AVOptions:
  min_val           <int>        ..FV.... set minimum luminance value for bounding box (from 0 to 254) (default 16)

blackdetect AVOptions:
  d                 <double>     ..FV.... set minimum detected black duration in seconds (from 0 to DBL_MAX) (default 2)
  black_min_duration <double>     ..FV.... set minimum detected black duration in seconds (from 0 to DBL_MAX) (default 2)
  picture_black_ratio_th <double>     ..FV.... set the picture black ratio threshold (from 0 to 1) (default 0.98)
  pic_th            <double>     ..FV.... set the picture black ratio threshold (from 0 to 1) (default 0.98)
  pixel_black_th    <double>     ..FV.... set the pixel black threshold (from 0 to 1) (default 0.1)
  pix_th            <double>     ..FV.... set the pixel black threshold (from 0 to 1) (default 0.1)

blackframe AVOptions:
  amount            <int>        ..FV.... Percentage of the pixels that have to be below the threshold for the frame to be considered black. (from 0 to 100) (default 98)
  threshold         <int>        ..FV.... threshold below which a pixel value is considered black (from 0 to 255) (default 32)
  thresh            <int>        ..FV.... threshold below which a pixel value is considered black (from 0 to 255) (default 32)

blend AVOptions:
  c0_mode           <int>        ..FV.... set component #0 blend mode (from 0 to 23) (default 0)
     addition                     ..FV.... 
     and                          ..FV.... 
     average                      ..FV.... 
     burn                         ..FV.... 
     darken                       ..FV.... 
     difference                   ..FV.... 
     divide                       ..FV.... 
     dodge                        ..FV.... 
     exclusion                    ..FV.... 
     hardlight                    ..FV.... 
     lighten                      ..FV.... 
     multiply                     ..FV.... 
     negation                     ..FV.... 
     normal                       ..FV.... 
     or                           ..FV.... 
     overlay                      ..FV.... 
     phoenix                      ..FV.... 
     pinlight                     ..FV.... 
     reflect                      ..FV.... 
     screen                       ..FV.... 
     softlight                    ..FV.... 
     subtract                     ..FV.... 
     vividlight                   ..FV.... 
     xor                          ..FV.... 
  c1_mode           <int>        ..FV.... set component #1 blend mode (from 0 to 23) (default 0)
     addition                     ..FV.... 
     and                          ..FV.... 
     average                      ..FV.... 
     burn                         ..FV.... 
     darken                       ..FV.... 
     difference                   ..FV.... 
     divide                       ..FV.... 
     dodge                        ..FV.... 
     exclusion                    ..FV.... 
     hardlight                    ..FV.... 
     lighten                      ..FV.... 
     multiply                     ..FV.... 
     negation                     ..FV.... 
     normal                       ..FV.... 
     or                           ..FV.... 
     overlay                      ..FV.... 
     phoenix                      ..FV.... 
     pinlight                     ..FV.... 
     reflect                      ..FV.... 
     screen                       ..FV.... 
     softlight                    ..FV.... 
     subtract                     ..FV.... 
     vividlight                   ..FV.... 
     xor                          ..FV.... 
  c2_mode           <int>        ..FV.... set component #2 blend mode (from 0 to 23) (default 0)
     addition                     ..FV.... 
     and                          ..FV.... 
     average                      ..FV.... 
     burn                         ..FV.... 
     darken                       ..FV.... 
     difference                   ..FV.... 
     divide                       ..FV.... 
     dodge                        ..FV.... 
     exclusion                    ..FV.... 
     hardlight                    ..FV.... 
     lighten                      ..FV.... 
     multiply                     ..FV.... 
     negation                     ..FV.... 
     normal                       ..FV.... 
     or                           ..FV.... 
     overlay                      ..FV.... 
     phoenix                      ..FV.... 
     pinlight                     ..FV.... 
     reflect                      ..FV.... 
     screen                       ..FV.... 
     softlight                    ..FV.... 
     subtract                     ..FV.... 
     vividlight                   ..FV.... 
     xor                          ..FV.... 
  c3_mode           <int>        ..FV.... set component #3 blend mode (from 0 to 23) (default 0)
     addition                     ..FV.... 
     and                          ..FV.... 
     average                      ..FV.... 
     burn                         ..FV.... 
     darken                       ..FV.... 
     difference                   ..FV.... 
     divide                       ..FV.... 
     dodge                        ..FV.... 
     exclusion                    ..FV.... 
     hardlight                    ..FV.... 
     lighten                      ..FV.... 
     multiply                     ..FV.... 
     negation                     ..FV.... 
     normal                       ..FV.... 
     or                           ..FV.... 
     overlay                      ..FV.... 
     phoenix                      ..FV.... 
     pinlight                     ..FV.... 
     reflect                      ..FV.... 
     screen                       ..FV.... 
     softlight                    ..FV.... 
     subtract                     ..FV.... 
     vividlight                   ..FV.... 
     xor                          ..FV.... 
  all_mode          <int>        ..FV.... set blend mode for all components (from -1 to 23) (default -1)
     addition                     ..FV.... 
     and                          ..FV.... 
     average                      ..FV.... 
     burn                         ..FV.... 
     darken                       ..FV.... 
     difference                   ..FV.... 
     divide                       ..FV.... 
     dodge                        ..FV.... 
     exclusion                    ..FV.... 
     hardlight                    ..FV.... 
     lighten                      ..FV.... 
     multiply                     ..FV.... 
     negation                     ..FV.... 
     normal                       ..FV.... 
     or                           ..FV.... 
     overlay                      ..FV.... 
     phoenix                      ..FV.... 
     pinlight                     ..FV.... 
     reflect                      ..FV.... 
     screen                       ..FV.... 
     softlight                    ..FV.... 
     subtract                     ..FV.... 
     vividlight                   ..FV.... 
     xor                          ..FV.... 
  c0_expr           <string>     ..FV.... set color component #0 expression
  c1_expr           <string>     ..FV.... set color component #1 expression
  c2_expr           <string>     ..FV.... set color component #2 expression
  c3_expr           <string>     ..FV.... set color component #3 expression
  all_expr          <string>     ..FV.... set expression for all color components
  c0_opacity        <double>     ..FV.... set color component #0 opacity (from 0 to 1) (default 1)
  c1_opacity        <double>     ..FV.... set color component #1 opacity (from 0 to 1) (default 1)
  c2_opacity        <double>     ..FV.... set color component #2 opacity (from 0 to 1) (default 1)
  c3_opacity        <double>     ..FV.... set color component #3 opacity (from 0 to 1) (default 1)
  all_opacity       <double>     ..FV.... set opacity for all color components (from 0 to 1) (default 1)
  shortest          <int>        ..FV.... force termination when the shortest input terminates (from 0 to 1) (default 0)
  repeatlast        <int>        ..FV.... repeat last bottom frame (from 0 to 1) (default 1)

boxblur AVOptions:
  luma_radius       <string>     ..FV.... Radius of the luma blurring box (default "2")
  lr                <string>     ..FV.... Radius of the luma blurring box (default "2")
  luma_power        <int>        ..FV.... How many times should the boxblur be applied to luma (from 0 to INT_MAX) (default 2)
  lp                <int>        ..FV.... How many times should the boxblur be applied to luma (from 0 to INT_MAX) (default 2)
  chroma_radius     <string>     ..FV.... Radius of the chroma blurring box
  cr                <string>     ..FV.... Radius of the chroma blurring box
  chroma_power      <int>        ..FV.... How many times should the boxblur be applied to chroma (from -1 to INT_MAX) (default -1)
  cp                <int>        ..FV.... How many times should the boxblur be applied to chroma (from -1 to INT_MAX) (default -1)
  alpha_radius      <string>     ..FV.... Radius of the alpha blurring box
  ar                <string>     ..FV.... Radius of the alpha blurring box
  alpha_power       <int>        ..FV.... How many times should the boxblur be applied to alpha (from -1 to INT_MAX) (default -1)
  ap                <int>        ..FV.... How many times should the boxblur be applied to alpha (from -1 to INT_MAX) (default -1)

codecview AVOptions:
  mv                <flags>      ..FV.... set motion vectors to visualize (default 0)
     pf                           ..FV.... forward predicted MVs of P-frames
     bf                           ..FV.... forward predicted MVs of B-frames
     bb                           ..FV.... backward predicted MVs of B-frames

colorbalance AVOptions:
  rs                <double>     ..FV.... set red shadows (from -1 to 1) (default 0)
  gs                <double>     ..FV.... set green shadows (from -1 to 1) (default 0)
  bs                <double>     ..FV.... set blue shadows (from -1 to 1) (default 0)
  rm                <double>     ..FV.... set red midtones (from -1 to 1) (default 0)
  gm                <double>     ..FV.... set green midtones (from -1 to 1) (default 0)
  bm                <double>     ..FV.... set blue midtones (from -1 to 1) (default 0)
  rh                <double>     ..FV.... set red highlights (from -1 to 1) (default 0)
  gh                <double>     ..FV.... set green highlights (from -1 to 1) (default 0)
  bh                <double>     ..FV.... set blue highlights (from -1 to 1) (default 0)

colorchannelmixer AVOptions:
  rr                <double>     ..FV.... set the red gain for the red channel (from -2 to 2) (default 1)
  rg                <double>     ..FV.... set the green gain for the red channel (from -2 to 2) (default 0)
  rb                <double>     ..FV.... set the blue gain for the red channel (from -2 to 2) (default 0)
  ra                <double>     ..FV.... set the alpha gain for the red channel (from -2 to 2) (default 0)
  gr                <double>     ..FV.... set the red gain for the green channel (from -2 to 2) (default 0)
  gg                <double>     ..FV.... set the green gain for the green channel (from -2 to 2) (default 1)
  gb                <double>     ..FV.... set the blue gain for the green channel (from -2 to 2) (default 0)
  ga                <double>     ..FV.... set the alpha gain for the green channel (from -2 to 2) (default 0)
  br                <double>     ..FV.... set the red gain for the blue channel (from -2 to 2) (default 0)
  bg                <double>     ..FV.... set the green gain for the blue channel (from -2 to 2) (default 0)
  bb                <double>     ..FV.... set the blue gain for the blue channel (from -2 to 2) (default 1)
  ba                <double>     ..FV.... set the alpha gain for the blue channel (from -2 to 2) (default 0)
  ar                <double>     ..FV.... set the red gain for the alpha channel (from -2 to 2) (default 0)
  ag                <double>     ..FV.... set the green gain for the alpha channel (from -2 to 2) (default 0)
  ab                <double>     ..FV.... set the blue gain for the alpha channel (from -2 to 2) (default 0)
  aa                <double>     ..FV.... set the alpha gain for the alpha channel (from -2 to 2) (default 1)

colormatrix AVOptions:
  src               <int>        ..FV.... set source color matrix (from -1 to 3) (default -1)
     bt709                        ..FV.... set BT.709 colorspace
     fcc                          ..FV.... set FCC colorspace   
     bt601                        ..FV.... set BT.601 colorspace
     smpte240m                    ..FV.... set SMPTE-240M colorspace
  dst               <int>        ..FV.... set destination color matrix (from -1 to 3) (default -1)
     bt709                        ..FV.... set BT.709 colorspace
     fcc                          ..FV.... set FCC colorspace   
     bt601                        ..FV.... set BT.601 colorspace
     smpte240m                    ..FV.... set SMPTE-240M colorspace

crop AVOptions:
  out_w             <string>     ..FV.... set the width crop area expression (default "iw")
  w                 <string>     ..FV.... set the width crop area expression (default "iw")
  out_h             <string>     ..FV.... set the height crop area expression (default "ih")
  h                 <string>     ..FV.... set the height crop area expression (default "ih")
  x                 <string>     ..FV.... set the x crop area expression (default "(in_w-out_w)/2")
  y                 <string>     ..FV.... set the y crop area expression (default "(in_h-out_h)/2")
  keep_aspect       <int>        ..FV.... keep aspect ratio (from 0 to 1) (default 0)

cropdetect AVOptions:
  limit             <int>        ..FV.... Threshold below which the pixel is considered black (from 0 to 255) (default 24)
  round             <int>        ..FV.... Value by which the width/height should be divisible (from 0 to INT_MAX) (default 16)
  reset             <int>        ..FV.... Recalculate the crop area after this many frames (from 0 to INT_MAX) (default 0)
  reset_count       <int>        ..FV.... Recalculate the crop area after this many frames (from 0 to INT_MAX) (default 0)

curves AVOptions:
  preset            <int>        ..FV.... select a color curves preset (from 0 to 10) (default 0)
     none                         ..FV....
     color_negative               ..FV....
     cross_process                ..FV....
     darker                       ..FV....
     increase_contrast              ..FV....
     lighter                      ..FV....
     linear_contrast              ..FV....
     medium_contrast              ..FV....
     negative                     ..FV....
     strong_contrast              ..FV....
     vintage                      ..FV....
  master            <string>     ..FV.... set master points coordinates
  m                 <string>     ..FV.... set master points coordinates
  red               <string>     ..FV.... set red points coordinates
  r                 <string>     ..FV.... set red points coordinates
  green             <string>     ..FV.... set green points coordinates
  g                 <string>     ..FV.... set green points coordinates
  blue              <string>     ..FV.... set blue points coordinates
  b                 <string>     ..FV.... set blue points coordinates
  all               <string>     ..FV.... set points coordinates for all components
  psfile            <string>     ..FV.... set Photoshop curves file name

dctdnoiz AVOptions:
  sigma             <float>      ..FV.... set noise sigma constant (from 0 to 999) (default 0)
  s                 <float>      ..FV.... set noise sigma constant (from 0 to 999) (default 0)
  overlap           <int>        ..FV.... set number of block overlapping pixels (from -1 to 15) (default -1)
  expr              <string>     ..FV.... set coefficient factor expression
  e                 <string>     ..FV.... set coefficient factor expression
  n                 <int>        ..FV.... set the block size, expressed in bits (from 3 to 4) (default 3)

decimate AVOptions:
  cycle             <int>        ..FV.... set the number of frame from which one will be dropped (from 2 to 25) (default 5)
  dupthresh         <double>     ..FV.... set duplicate threshold (from 0 to 100) (default 1.1)
  scthresh          <double>     ..FV.... set scene change threshold (from 0 to 100) (default 15)
  blockx            <int>        ..FV.... set the size of the x-axis blocks used during metric calculations (from 4 to 512) (default 32)
  blocky            <int>        ..FV.... set the size of the y-axis blocks used during metric calculations (from 4 to 512) (default 32)
  ppsrc             <int>        ..FV.... mark main input as a pre-processed input and activate clean source input stream (from 0 to 1) (default 0)
  chroma            <int>        ..FV.... set whether or not chroma is considered in the metric calculations (from 0 to 1) (default 1)

dejudder AVOptions:
  cycle             <int>        ..FV.... set the length of the cycle to use for dejuddering (from 2 to 240) (default 4)

delogo AVOptions:
  x                 <int>        ..FV.... set logo x position (from -1 to INT_MAX) (default -1)
  y                 <int>        ..FV.... set logo y position (from -1 to INT_MAX) (default -1)
  w                 <int>        ..FV.... set logo width (from -1 to INT_MAX) (default -1)
  h                 <int>        ..FV.... set logo height (from -1 to INT_MAX) (default -1)
  band              <int>        ..FV.... set delogo area band size (from 1 to INT_MAX) (default 4)
  t                 <int>        ..FV.... set delogo area band size (from 1 to INT_MAX) (default 4)
  show              <int>        ..FV.... show delogo area (from 0 to 1) (default 0)

deshake AVOptions:
  x                 <int>        ..FV.... set x for the rectangular search area (from -1 to INT_MAX) (default -1)
  y                 <int>        ..FV.... set y for the rectangular search area (from -1 to INT_MAX) (default -1)
  w                 <int>        ..FV.... set width for the rectangular search area (from -1 to INT_MAX) (default -1)
  h                 <int>        ..FV.... set height for the rectangular search area (from -1 to INT_MAX) (default -1)
  rx                <int>        ..FV.... set x for the rectangular search area (from 0 to 64) (default 16)
  ry                <int>        ..FV.... set y for the rectangular search area (from 0 to 64) (default 16)
  edge              <int>        ..FV.... set edge mode (from 0 to 3) (default 3)
     blank                        ..FV.... fill zeroes at blank locations
     original                     ..FV.... original image at blank locations
     clamp                        ..FV.... extruded edge value at blank locations
     mirror                       ..FV.... mirrored edge at blank locations
  blocksize         <int>        ..FV.... set motion search blocksize (from 4 to 128) (default 8)
  contrast          <int>        ..FV.... set contrast threshold for blocks (from 1 to 255) (default 125)
  search            <int>        ..FV.... set search strategy (from 0 to 1) (default 0)
     exhaustive                   ..FV.... exhaustive search
     less                         ..FV.... less exhaustive search
  filename          <string>     ..FV.... set motion search detailed log file name
  opencl            <int>        ..FV.... use OpenCL filtering capabilities (from 0 to 1) (default 0)

drawbox AVOptions:
  x                 <string>     ..FV.... set horizontal position of the left box edge (default "0")
  y                 <string>     ..FV.... set vertical position of the top box edge (default "0")
  width             <string>     ..FV.... set width of the box (default "0")
  w                 <string>     ..FV.... set width of the box (default "0")
  height            <string>     ..FV.... set height of the box (default "0")
  h                 <string>     ..FV.... set height of the box (default "0")
  color             <string>     ..FV.... set color of the box (default "black")
  c                 <string>     ..FV.... set color of the box (default "black")
  thickness         <string>     ..FV.... set the box thickness (default "3")
  t                 <string>     ..FV.... set the box thickness (default "3")

drawgrid AVOptions:
  x                 <string>     ..FV.... set horizontal offset (default "0")
  y                 <string>     ..FV.... set vertical offset (default "0")
  width             <string>     ..FV.... set width of grid cell (default "0")
  w                 <string>     ..FV.... set width of grid cell (default "0")
  height            <string>     ..FV.... set height of grid cell (default "0")
  h                 <string>     ..FV.... set height of grid cell (default "0")
  color             <string>     ..FV.... set color of the grid (default "black")
  c                 <string>     ..FV.... set color of the grid (default "black")
  thickness         <string>     ..FV.... set grid line thickness (default "1")
  t                 <string>     ..FV.... set grid line thickness (default "1")

edgedetect AVOptions:
  high              <double>     ..FV.... set high threshold (from 0 to 1) (default 0.196078)
  low               <double>     ..FV.... set low threshold (from 0 to 1) (default 0.0784314)
  mode              <int>        ..FV.... set mode (from 0 to 1) (default 0)
     wires                        ..FV.... white/gray wires on black
     colormix                     ..FV.... mix colors

elbg AVOptions:
  codebook_length   <int>        ..FV.... set codebook length (from 1 to INT_MAX) (default 256)
  l                 <int>        ..FV.... set codebook length (from 1 to INT_MAX) (default 256)
  nb_steps          <int>        ..FV.... set max number of steps used to compute the mapping (from 1 to INT_MAX) (default 1)
  n                 <int>        ..FV.... set max number of steps used to compute the mapping (from 1 to INT_MAX) (default 1)
  seed              <int>        ..FV.... set the random seed (from -1 to UINT32_MAX) (default -1)
  s                 <int>        ..FV.... set the random seed (from -1 to UINT32_MAX) (default -1)

extractplanes AVOptions:
  planes            <flags>      ..FV.... set planes (default 1)
     y                            ..FV.... set luma plane
     u                            ..FV.... set u plane
     v                            ..FV.... set v plane
     r                            ..FV.... set red plane
     g                            ..FV.... set green plane
     b                            ..FV.... set blue plane
     a                            ..FV.... set alpha plane

fade AVOptions:
  type              <int>        ..FV.... 'in' or 'out' for fade-in/fade-out (from 0 to 1) (default 0)
  t                 <int>        ..FV.... 'in' or 'out' for fade-in/fade-out (from 0 to 1) (default 0)
  start_frame       <int>        ..FV.... Number of the first frame to which to apply the effect. (from 0 to INT_MAX) (default 0)
  s                 <int>        ..FV.... Number of the first frame to which to apply the effect. (from 0 to INT_MAX) (default 0)
  nb_frames         <int>        ..FV.... Number of frames to which the effect should be applied. (from 0 to INT_MAX) (default 25)
  n                 <int>        ..FV.... Number of frames to which the effect should be applied. (from 0 to INT_MAX) (default 25)
  alpha             <int>        ..FV.... fade alpha if it is available on the input (from 0 to 1) (default 0)
  start_time        <duration>   ..FV.... Number of seconds of the beginning of the effect. (default 0)
  st                <duration>   ..FV.... Number of seconds of the beginning of the effect. (default 0)
  duration          <duration>   ..FV.... Duration of the effect in seconds. (default 0)
  d                 <duration>   ..FV.... Duration of the effect in seconds. (default 0)
  color             <color>      ..FV.... set color (default "black")
  c                 <color>      ..FV.... set color (default "black")

field AVOptions:
  type              <int>        ..FV.... set field type (top or bottom) (from 0 to 1) (default 0)
     top                          ..FV.... select top field
     bottom                       ..FV.... select bottom field

fieldmatch AVOptions:
  order             <int>        ..FV.... specify the assumed field order (from -1 to 1) (default -1)
     auto                         ..FV.... auto detect parity
     bff                          ..FV.... assume bottom field first
     tff                          ..FV.... assume top field first
  mode              <int>        ..FV.... set the matching mode or strategy to use (from 0 to 5) (default 1)
     pc                           ..FV.... 2-way match (p/c)
     pc_n                         ..FV.... 2-way match + 3rd match on combed (p/c + u)
     pc_u                         ..FV.... 2-way match + 3rd match (same order) on combed (p/c + u)
     pc_n_ub                      ..FV.... 2-way match + 3rd match on combed + 4th/5th matches if still combed (p/c + u + u/b)
     pcn                          ..FV.... 3-way match (p/c/n)
     pcn_ub                       ..FV.... 3-way match + 4th/5th matches on combed (p/c/n + u/b)
  ppsrc             <int>        ..FV.... mark main input as a pre-processed input and activate clean source input stream (from 0 to 1) (default 0)
  field             <int>        ..FV.... set the field to match from (from -1 to 1) (default -1)
     auto                         ..FV.... automatic (same value as 'order')
     bottom                       ..FV.... bottom field
     top                          ..FV.... top field
  mchroma           <int>        ..FV.... set whether or not chroma is included during the match comparisons (from 0 to 1) (default 1)
  y0                <int>        ..FV.... define an exclusion band which excludes the lines between y0 and y1 from the field matching decision (from 0 to INT_MAX) (default 0)
  y1                <int>        ..FV.... define an exclusion band which excludes the lines between y0 and y1 from the field matching decision (from 0 to INT_MAX) (default 0)
  scthresh          <double>     ..FV.... set scene change detection threshold (from 0 to 100) (default 12)
  combmatch         <int>        ..FV.... set combmatching mode (from 0 to 2) (default 1)
     none                         ..FV.... disable combmatching
     sc                           ..FV.... enable combmatching only on scene change
     full                         ..FV.... enable combmatching all the time
  combdbg           <int>        ..FV.... enable comb debug (from 0 to 2) (default 0)
     none                         ..FV.... no forced calculation
     pcn                          ..FV.... calculate p/c/n
     pcnub                        ..FV.... calculate p/c/n/u/b
  cthresh           <int>        ..FV.... set the area combing threshold used for combed frame detection (from -1 to 255) (default 9)
  chroma            <int>        ..FV.... set whether or not chroma is considered in the combed frame decision (from 0 to 1) (default 0)
  blockx            <int>        ..FV.... set the x-axis size of the window used during combed frame detection (from 4 to 512) (default 16)
  blocky            <int>        ..FV.... set the y-axis size of the window used during combed frame detection (from 4 to 512) (default 16)
  combpel           <int>        ..FV.... set the number of combed pixels inside any of the blocky by blockx size blocks on the frame for the frame to be detected as combed (from 0 to INT_MAX) (default 80)

fieldorder AVOptions:
  order             <int>        ..FV.... output field order (from 0 to 1) (default 1)
     bff                          ..FV.... bottom field first
     tff                          ..FV.... top field first

format AVOptions:
  -pix_fmts          <string>     ...V.... A '|'-separated list of pixel formats

fps AVOptions:
  fps               <video_rate> ..FV.... A string describing desired output framerate (default "25")
  -start_time        <double>     ...V.... Assume the first PTS should be this value. (from -DBL_MAX to DBL_MAX) (default DBL_MAX)
  round             <int>        ..FV.... set rounding method for timestamps (from 0 to 5) (default 5)
     zero                         ..FV.... round towards 0
     inf                          ..FV.... round away from 0
     down                         ..FV.... round towards -infty
     up                           ..FV.... round towards +infty
     near                         ..FV.... round to nearest

framepack AVOptions:
  -format            <int>        ...V.... Frame pack output format (from 0 to INT_MAX) (default 1)
     sbs                          ...V.... Views are packed next to each other
     tab                          ...V.... Views are packed on top of each other
     frameseq                     ...V.... Views are one after the other
     lines                        ...V.... Views are interleaved by lines
     columns                      ...V.... Views are interleaved by columns

framestep AVOptions:
  step              <int>        ..FV.... set frame step (from 1 to INT_MAX) (default 1)

geq AVOptions:
  lum_expr          <string>     ..FV.... set luminance expression
  lum               <string>     ..FV.... set luminance expression
  cb_expr           <string>     ..FV.... set chroma blue expression
  cb                <string>     ..FV.... set chroma blue expression
  cr_expr           <string>     ..FV.... set chroma red expression
  cr                <string>     ..FV.... set chroma red expression
  alpha_expr        <string>     ..FV.... set alpha expression
  a                 <string>     ..FV.... set alpha expression
  red_expr          <string>     ..FV.... set red expression
  r                 <string>     ..FV.... set red expression
  green_expr        <string>     ..FV.... set green expression
  g                 <string>     ..FV.... set green expression
  blue_expr         <string>     ..FV.... set blue expression
  b                 <string>     ..FV.... set blue expression

gradfun AVOptions:
  strength          <float>      ..FV.... The maximum amount by which the filter will change any one pixel. (from 0.51 to 64) (default 1.2)
  radius            <int>        ..FV.... The neighborhood to fit the gradient to. (from 4 to 32) (default 16)

haldclut AVOptions:
  shortest          <int>        ..FV.... force termination when the shortest input terminates (from 0 to 1) (default 0)
  repeatlast        <int>        ..FV.... continue applying the last clut after eos (from 0 to 1) (default 1)
  interp            <int>        ..FV.... select interpolation mode (from 0 to 2) (default 2)
     nearest                      ..FV.... use values from the nearest defined points
     trilinear                    ..FV.... interpolate values using the 8 points defining a cube
     tetrahedral                  ..FV.... interpolate values using a tetrahedron

histeq AVOptions:
  strength          <float>      ..FV.... set the strength (from 0 to 1) (default 0.2)
  intensity         <float>      ..FV.... set the intensity (from 0 to 1) (default 0.21)
  antibanding       <int>        ..FV.... set the antibanding level (from 0 to 2) (default 0)
     none                         ..FV.... apply no antibanding
     weak                         ..FV.... apply weak antibanding
     strong                       ..FV.... apply strong antibanding

histogram AVOptions:
  mode              <int>        ..FV.... set histogram mode (from 0 to 3) (default 0)
     levels                       ..FV.... standard histogram
     waveform                     ..FV.... per row/column luminance graph
     color                        ..FV.... chroma values in vectorscope
     color2                       ..FV.... chroma values in vectorscope
  level_height      <int>        ..FV.... set level height (from 50 to 2048) (default 200)
  scale_height      <int>        ..FV.... set scale height (from 0 to 40) (default 12)
  step              <int>        ..FV.... set waveform step value (from 1 to 255) (default 10)
  waveform_mode     <int>        ..FV.... set waveform mode (from 0 to 1) (default 0)
     row                          ..FV....
     column                       ..FV....
  waveform_mirror   <int>        ..FV.... set waveform mirroring (from 0 to 1) (default 0)
  display_mode      <int>        ..FV.... set display mode (from 0 to 1) (default 1)
     parade                       ..FV....
     overlay                      ..FV....
  levels_mode       <int>        ..FV.... set levels mode (from 0 to 1) (default 0)
     linear                       ..FV....
     logarithmic                  ..FV....

hqdn3d AVOptions:
  luma_spatial      <double>     ..FV.... spatial luma strength (from 0 to DBL_MAX) (default 0)
  chroma_spatial    <double>     ..FV.... spatial chroma strength (from 0 to DBL_MAX) (default 0)
  luma_tmp          <double>     ..FV.... temporal luma strength (from 0 to DBL_MAX) (default 0)
  chroma_tmp        <double>     ..FV.... temporal chroma strength (from 0 to DBL_MAX) (default 0)

hqx AVOptions:
  n                 <int>        ..FV.... set scale factor (from 2 to 4) (default 3)

hue AVOptions:
  h                 <string>     ..FV.... set the hue angle degrees expression
  s                 <string>     ..FV.... set the saturation expression (default "1")
  H                 <string>     ..FV.... set the hue angle radians expression
  b                 <string>     ..FV.... set the brightness expression (default "0")

idet AVOptions:
  intl_thres        <float>      ..FV.... set interlacing threshold (from -1 to FLT_MAX) (default 1.04)
  prog_thres        <float>      ..FV.... set progressive threshold (from -1 to FLT_MAX) (default 1.5)

il AVOptions:
  luma_mode         <int>        ..FV.... select luma mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  l                 <int>        ..FV.... select luma mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  chroma_mode       <int>        ..FV.... select chroma mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  c                 <int>        ..FV.... select chroma mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  alpha_mode        <int>        ..FV.... select alpha mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  a                 <int>        ..FV.... select alpha mode (from 0 to 2) (default 0)
     none                         ..FV....
     interleave                   ..FV....
     i                            ..FV....
     deinterleave                 ..FV....
     d                            ..FV....
  luma_swap         <int>        ..FV.... swap luma fields (from 0 to 1) (default 0)
  ls                <int>        ..FV.... swap luma fields (from 0 to 1) (default 0)
  chroma_swap       <int>        ..FV.... swap chroma fields (from 0 to 1) (default 0)
  cs                <int>        ..FV.... swap chroma fields (from 0 to 1) (default 0)
  alpha_swap        <int>        ..FV.... swap alpha fields (from 0 to 1) (default 0)
  as                <int>        ..FV.... swap alpha fields (from 0 to 1) (default 0)

interlace AVOptions:
  -scan              <int>        ...V.... scanning mode (from 0 to 1) (default 0)
     tff                          ...V.... top field first
     bff                          ...V.... bottom field first
  -lowpass           <int>        ...V.... enable vertical low-pass filter (from 0 to 1) (default 1)

interleave AVOptions:
  nb_inputs         <int>        ..FV.... set number of inputs (from 1 to INT_MAX) (default 2)
  n                 <int>        ..FV.... set number of inputs (from 1 to INT_MAX) (default 2)

kerndeint AVOptions:
  thresh            <int>        ..FV.... set the threshold (from 0 to 255) (default 10)
  map               <int>        ..FV.... set the map (from 0 to 1) (default 0)
  order             <int>        ..FV.... set the order (from 0 to 1) (default 0)
  sharp             <int>        ..FV.... enable sharpening (from 0 to 1) (default 0)
  twoway            <int>        ..FV.... enable twoway (from 0 to 1) (default 0)

lenscorrection AVOptions:
  cx                <double>     ..FV.... set relative center x (from 0 to 1) (default 0.5)
  cy                <double>     ..FV.... set relative center y (from 0 to 1) (default 0.5)
  k1                <double>     ..FV.... set quadratic distortion factor (from -1 to 1) (default 0)
  k2                <double>     ..FV.... set double quadratic distortion factor (from -1 to 1) (default 0)

lut3d AVOptions:
  file              <string>     ..FV.... set 3D LUT file name
  interp            <int>        ..FV.... select interpolation mode (from 0 to 2) (default 2)
     nearest                      ..FV.... use values from the nearest defined points
     trilinear                    ..FV.... interpolate values using the 8 points defining a cube
     tetrahedral                  ..FV.... interpolate values using a tetrahedron

lut AVOptions:
  c0                <string>     ..FV.... set component #0 expression (default "val")
  c1                <string>     ..FV.... set component #1 expression (default "val")
  c2                <string>     ..FV.... set component #2 expression (default "val")
  c3                <string>     ..FV.... set component #3 expression (default "val")
  y                 <string>     ..FV.... set Y expression (default "val")
  u                 <string>     ..FV.... set U expression (default "val")
  v                 <string>     ..FV.... set V expression (default "val")
  r                 <string>     ..FV.... set R expression (default "val")
  g                 <string>     ..FV.... set G expression (default "val")
  b                 <string>     ..FV.... set B expression (default "val")
  a                 <string>     ..FV.... set A expression (default "val")

lutrgb AVOptions:
  c0                <string>     ..FV.... set component #0 expression (default "val")
  c1                <string>     ..FV.... set component #1 expression (default "val")
  c2                <string>     ..FV.... set component #2 expression (default "val")
  c3                <string>     ..FV.... set component #3 expression (default "val")
  y                 <string>     ..FV.... set Y expression (default "val")
  u                 <string>     ..FV.... set U expression (default "val")
  v                 <string>     ..FV.... set V expression (default "val")
  r                 <string>     ..FV.... set R expression (default "val")
  g                 <string>     ..FV.... set G expression (default "val")
  b                 <string>     ..FV.... set B expression (default "val")
  a                 <string>     ..FV.... set A expression (default "val")

lutyuv AVOptions:
  c0                <string>     ..FV.... set component #0 expression (default "val")
  c1                <string>     ..FV.... set component #1 expression (default "val")
  c2                <string>     ..FV.... set component #2 expression (default "val")
  c3                <string>     ..FV.... set component #3 expression (default "val")
  y                 <string>     ..FV.... set Y expression (default "val")
  u                 <string>     ..FV.... set U expression (default "val")
  v                 <string>     ..FV.... set V expression (default "val")
  r                 <string>     ..FV.... set R expression (default "val")
  g                 <string>     ..FV.... set G expression (default "val")
  b                 <string>     ..FV.... set B expression (default "val")
  a                 <string>     ..FV.... set A expression (default "val")

mcdeint AVOptions:
  mode              <int>        ..FV.... set mode (from 0 to 3) (default 0)
     fast                         ..FV....
     medium                       ..FV....
     slow                         ..FV....
     extra_slow                   ..FV....
  parity            <int>        ..FV.... set the assumed picture field parity (from -1 to 1) (default 1)
     tff                          ..FV.... assume top field first
     bff                          ..FV.... assume bottom field first
  qp                <int>        ..FV.... set qp (from INT_MIN to INT_MAX) (default 1)

mergeplanes AVOptions:
  mapping           <int>        ..FV.... set input to output plane mapping (from 0 to 8.58993e+008) (default 0)
  format            <pix_fmt>    ..FV.... set output pixel format (default yuva444p)

mp AVOptions:
  filter            <string>     ..FV.... set MPlayer filter name and parameters

mpdecimate AVOptions:
  max               <int>        ..FV.... set the maximum number of consecutive dropped frames (positive), or the minimum interval between dropped frames (negative) (from INT_MIN to INT_MAX) (default 0)
  hi                <int>        ..FV.... set high dropping threshold (from INT_MIN to INT_MAX) (default 768)
  lo                <int>        ..FV.... set low dropping threshold (from INT_MIN to INT_MAX) (default 320)
  frac              <float>      ..FV.... set fraction dropping threshold (from 0 to 1) (default 0.33)

negate AVOptions:
  negate_alpha      <int>        ..FV.... (from 0 to 1) (default 0)

noformat AVOptions:
  -pix_fmts          <string>     ...V.... A '|'-separated list of pixel formats

noise AVOptions:
  all_seed          <int>        ..FV.... set component #0 noise seed (from -1 to INT_MAX) (default -1)
  all_strength      <int>        ..FV.... set component #0 strength (from 0 to 100) (default 0)
  alls              <int>        ..FV.... set component #0 strength (from 0 to 100) (default 0)
  all_flags         <flags>      ..FV.... set component #0 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  allf              <flags>      ..FV.... set component #0 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c0_seed           <int>        ..FV.... set component #0 noise seed (from -1 to INT_MAX) (default -1)
  c0_strength       <int>        ..FV.... set component #0 strength (from 0 to 100) (default 0)
  c0s               <int>        ..FV.... set component #0 strength (from 0 to 100) (default 0)
  c0_flags          <flags>      ..FV.... set component #0 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c0f               <flags>      ..FV.... set component #0 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c1_seed           <int>        ..FV.... set component #1 noise seed (from -1 to INT_MAX) (default -1)
  c1_strength       <int>        ..FV.... set component #1 strength (from 0 to 100) (default 0)
  c1s               <int>        ..FV.... set component #1 strength (from 0 to 100) (default 0)
  c1_flags          <flags>      ..FV.... set component #1 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c1f               <flags>      ..FV.... set component #1 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c2_seed           <int>        ..FV.... set component #2 noise seed (from -1 to INT_MAX) (default -1)
  c2_strength       <int>        ..FV.... set component #2 strength (from 0 to 100) (default 0)
  c2s               <int>        ..FV.... set component #2 strength (from 0 to 100) (default 0)
  c2_flags          <flags>      ..FV.... set component #2 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c2f               <flags>      ..FV.... set component #2 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c3_seed           <int>        ..FV.... set component #3 noise seed (from -1 to INT_MAX) (default -1)
  c3_strength       <int>        ..FV.... set component #3 strength (from 0 to 100) (default 0)
  c3s               <int>        ..FV.... set component #3 strength (from 0 to 100) (default 0)
  c3_flags          <flags>      ..FV.... set component #3 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise
  c3f               <flags>      ..FV.... set component #3 flags (default 0)
     a                            ..FV.... averaged noise
     p                            ..FV.... (semi)regular pattern
     t                            ..FV.... temporal noise
     u                            ..FV.... uniform noise

overlay AVOptions:
  x                 <string>     ..FV.... set the x expression (default "0")
  y                 <string>     ..FV.... set the y expression (default "0")
  eof_action        <int>        ..FV.... Action to take when encountering EOF from secondary input  (from 0 to 2) (default 0)
     repeat                       ..FV.... Repeat the previous frame.
     endall                       ..FV.... End both streams.
     pass                         ..FV.... Pass through the main input.
  eval              <int>        ..FV.... specify when to evaluate expressions (from 0 to 1) (default 1)
     init                         ..FV.... eval expressions once during initialization
     frame                        ..FV.... eval expressions per-frame
  rgb               <int>        ..FV.... force packed RGB in input and output (deprecated) (from 0 to 1) (default 0)
  shortest          <int>        ..FV.... force termination when the shortest input terminates (from 0 to 1) (default 0)
  format            <int>        ..FV.... set output format (from 0 to 3) (default 0)
     yuv420                       ..FV.... 
     yuv422                       ..FV.... 
     yuv444                       ..FV.... 
     rgb                          ..FV.... 
  repeatlast        <int>        ..FV.... repeat overlay of the last overlay frame (from 0 to 1) (default 1)

owdenoise AVOptions:
  depth             <int>        ..FV.... set depth (from 8 to 16) (default 8)
  luma_strength     <double>     ..FV.... set luma strength (from 0 to 1000) (default 1)
  ls                <double>     ..FV.... set luma strength (from 0 to 1000) (default 1)
  chroma_strength   <double>     ..FV.... set chroma strength (from 0 to 1000) (default 1)
  cs                <double>     ..FV.... set chroma strength (from 0 to 1000) (default 1)

pad AVOptions:
  width             <string>     ..FV.... set the pad area width expression (default "iw")
  w                 <string>     ..FV.... set the pad area width expression (default "iw")
  height            <string>     ..FV.... set the pad area height expression (default "ih")
  h                 <string>     ..FV.... set the pad area height expression (default "ih")
  x                 <string>     ..FV.... set the x offset expression for the input image position (default "0")
  y                 <string>     ..FV.... set the y offset expression for the input image position (default "0")
  color             <color>      ..FV.... set the color of the padded area border (default "black")

perms AVOptions:
  mode              <int>        ..FVA... select permissions mode (from 0 to 4) (default 0)
     none                         ..FVA... do nothing
     ro                           ..FVA... set all output frames read-only
     rw                           ..FVA... set all output frames writable
     toggle                       ..FVA... switch permissions
     random                       ..FVA... set permissions randomly
  seed              <int64>      ..FVA... set the seed for the random mode (from -1 to UINT32_MAX) (default -1)

perspective AVOptions:
  x0                <string>     ..FV.... set top left x coordinate (default "0")
  y0                <string>     ..FV.... set top left y coordinate (default "0")
  x1                <string>     ..FV.... set top right x coordinate (default "W")
  y1                <string>     ..FV.... set top right y coordinate (default "0")
  x2                <string>     ..FV.... set bottom left x coordinate (default "0")
  y2                <string>     ..FV.... set bottom left y coordinate (default "H")
  x3                <string>     ..FV.... set bottom right x coordinate (default "W")
  y3                <string>     ..FV.... set bottom right y coordinate (default "H")
  interpolation     <int>        ..FV.... set interpolation (from 0 to 1) (default 0)
     linear                       ..FV.... 
     cubic                        ..FV.... 

phase AVOptions:
  mode              <int>        ..FV.... set phase mode (from 0 to 8) (default 8)
     p                            ..FV.... progressive
     t                            ..FV.... top first
     b                            ..FV.... bottom first
     T                            ..FV.... top first analyze
     B                            ..FV.... bottom first analyze
     u                            ..FV.... analyze
     U                            ..FV.... full analyze
     a                            ..FV.... auto
     A                            ..FV.... auto analyze

pp AVOptions:
  subfilters        <string>     ..FV.... set postprocess subfilters (default "de")

psnr AVOptions:
  stats_file        <string>     ..FV.... Set file where to store per-frame difference information
  f                 <string>     ..FV.... Set file where to store per-frame difference information

pullup AVOptions:
  jl                <int>        ..FV.... set left junk size (from 0 to INT_MAX) (default 1)
  jr                <int>        ..FV.... set right junk size (from 0 to INT_MAX) (default 1)
  jt                <int>        ..FV.... set top junk size (from 1 to INT_MAX) (default 4)
  jb                <int>        ..FV.... set bottom junk size (from 1 to INT_MAX) (default 4)
  sb                <int>        ..FV.... set strict breaks (from -1 to 1) (default 0)
  mp                <int>        ..FV.... set metric plane (from 0 to 2) (default 0)
     y                            ..FV.... luma
     u                            ..FV.... chroma blue
     v                            ..FV.... chroma red

removelogo AVOptions:
  filename          <string>     ..FV.... set bitmap filename
  f                 <string>     ..FV.... set bitmap filename

rotate AVOptions:
  angle             <string>     ..FV.... set angle (in radians) (default "0")
  a                 <string>     ..FV.... set angle (in radians) (default "0")
  out_w             <string>     ..FV.... set output width expression (default "iw")
  ow                <string>     ..FV.... set output width expression (default "iw")
  out_h             <string>     ..FV.... set output height expression (default "ih")
  oh                <string>     ..FV.... set output height expression (default "ih")
  fillcolor         <string>     ..FV.... set background fill color (default "black")
  c                 <string>     ..FV.... set background fill color (default "black")
  bilinear          <int>        ..FV.... use bilinear interpolation (from 0 to 1) (default 1)

sab AVOptions:
  luma_radius       <float>      ..FV.... set luma radius (from 0.1 to 4) (default 1)
  lr                <float>      ..FV.... set luma radius (from 0.1 to 4) (default 1)
  luma_pre_filter_radius <float>      ..FV.... set luma pre-filter radius (from 0.1 to 2) (default 1)
  lpfr              <float>      ..FV.... set luma pre-filter radius (from 0.1 to 2) (default 1)
  luma_strength     <float>      ..FV.... set luma strength (from 0.1 to 100) (default 1)
  ls                <float>      ..FV.... set luma strength (from 0.1 to 100) (default 1)
  chroma_radius     <float>      ..FV.... set chroma radius (from -0.9 to 4) (default -0.9)
  cr                <float>      ..FV.... set chroma radius (from -0.9 to 4) (default -0.9)
  chroma_pre_filter_radius <float>      ..FV.... set chroma pre-filter radius (from -0.9 to 2) (default -0.9)
  cpfr              <float>      ..FV.... set chroma pre-filter radius (from -0.9 to 2) (default -0.9)
  chroma_strength   <float>      ..FV.... set chroma strength (from -0.9 to 100) (default -0.9)
  cs                <float>      ..FV.... set chroma strength (from -0.9 to 100) (default -0.9)

scale AVOptions:
  w                 <string>     ..FV.... Output video width
  width             <string>     ..FV.... Output video width
  h                 <string>     ..FV.... Output video height
  height            <string>     ..FV.... Output video height
  flags             <string>     ..FV.... Flags to pass to libswscale (default "bilinear")
  interl            <int>        ..FV.... set interlacing (from -1 to 1) (default 0)
  in_color_matrix   <string>     ..FV.... set input YCbCr type (default "auto")
  out_color_matrix  <string>     ..FV.... set output YCbCr type
  in_range          <int>        ..FV.... set input color range (from 0 to 2) (default 0)
     auto                         ..FV....
     full                         ..FV....
     jpeg                         ..FV....
     mpeg                         ..FV....
     tv                           ..FV....
     pc                           ..FV....
  out_range         <int>        ..FV.... set output color range (from 0 to 2) (default 0)
     auto                         ..FV....
     full                         ..FV....
     jpeg                         ..FV....
     mpeg                         ..FV....
     tv                           ..FV....
     pc                           ..FV....
  in_v_chr_pos      <int>        ..FV.... input vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  in_h_chr_pos      <int>        ..FV.... input horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  out_v_chr_pos     <int>        ..FV.... output vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  out_h_chr_pos     <int>        ..FV.... output horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  force_original_aspect_ratio <int>        ..FV.... decrease or increase w/h if necessary to keep the original AR (from 0 to 2) (default 0)
     disable                      ..FV....
     decrease                     ..FV....
     increase                     ..FV....

SWScaler AVOptions:
  -sws_flags         <flags>      E..V.... scaler flags (default 4)
     fast_bilinear                E..V.... fast bilinear
     bilinear                     E..V.... bilinear
     bicubic                      E..V.... bicubic
     experimental                 E..V.... experimental
     neighbor                     E..V.... nearest neighbor
     area                         E..V.... averaging area
     bicublin                     E..V.... luma bicubic, chroma bilinear
     gauss                        E..V.... gaussian
     sinc                         E..V.... sinc
     lanczos                      E..V.... lanczos
     spline                       E..V.... natural bicubic spline
     print_info                   E..V.... print info
     accurate_rnd                 E..V.... accurate rounding
     full_chroma_int              E..V.... full chroma interpolation
     full_chroma_inp              E..V.... full chroma input
     bitexact                     E..V.... 
     error_diffusion              E..V.... error diffusion dither
  -srcw              <int>        E..V.... source width (from 1 to INT_MAX) (default 16)
  -srch              <int>        E..V.... source height (from 1 to INT_MAX) (default 16)
  -dstw              <int>        E..V.... destination width (from 1 to INT_MAX) (default 16)
  -dsth              <int>        E..V.... destination height (from 1 to INT_MAX) (default 16)
  -src_format        <int>        E..V.... source format (from 0 to 332) (default 0)
  -dst_format        <int>        E..V.... destination format (from 0 to 332) (default 0)
  -src_range         <int>        E..V.... source range (from 0 to 1) (default 0)
  -dst_range         <int>        E..V.... destination range (from 0 to 1) (default 0)
  -param0            <double>     E..V.... scaler param 0 (from INT_MIN to INT_MAX) (default 123456)
  -param1            <double>     E..V.... scaler param 1 (from INT_MIN to INT_MAX) (default 123456)
  -src_v_chr_pos     <int>        E..V.... source vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  -src_h_chr_pos     <int>        E..V.... source horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  -dst_v_chr_pos     <int>        E..V.... destination vertical chroma position in luma grid/256 (from -1 to 512) (default -1)
  -dst_h_chr_pos     <int>        E..V.... destination horizontal chroma position in luma grid/256 (from -1 to 512) (default -1)
  -sws_dither        <int>        E..V.... set dithering algorithm (from 0 to 6) (default 1)
     auto                         E..V.... leave choice to sws
     bayer                        E..V.... bayer dither
     ed                           E..V.... error diffusion
     a_dither                     E..V.... arithmetic addition dither
     x_dither                     E..V.... arithmetic xor dither

select AVOptions:
  expr              <string>     ..FV.... set an expression to use for selecting frames (default "1")
  e                 <string>     ..FV.... set an expression to use for selecting frames (default "1")
  outputs           <int>        ..FV.... set the number of outputs (from 1 to INT_MAX) (default 1)
  n                 <int>        ..FV.... set the number of outputs (from 1 to INT_MAX) (default 1)

sendcmd AVOptions:
  commands          <string>     ..FVA... set commands
  c                 <string>     ..FVA... set commands
  filename          <string>     ..FVA... set commands file
  f                 <string>     ..FVA... set commands file

setdar AVOptions:
  dar               <string>     ..FV.... set display aspect ratio (default "0")
  ratio             <string>     ..FV.... set display aspect ratio (default "0")
  r                 <string>     ..FV.... set display aspect ratio (default "0")
  dar_den           <float>      ..FV.... (from 0 to FLT_MAX) (default 0)
  max               <int>        ..FV.... set max value for nominator or denominator in the ratio (from 1 to INT_MAX) (default 100)

setfield AVOptions:
  mode              <int>        ..FV.... select interlace mode (from -1 to 2) (default -1)
     auto                         ..FV.... keep the same input field
     bff                          ..FV.... mark as bottom-field-first
     tff                          ..FV.... mark as top-field-first
     prog                         ..FV.... mark as progressive

setpts AVOptions:
  expr              <string>     ..FVA... Expression determining the frame timestamp (default "PTS")

setsar AVOptions:
  sar               <string>     ..FV.... set sample (pixel) aspect ratio (default "0")
  ratio             <string>     ..FV.... set sample (pixel) aspect ratio (default "0")
  r                 <string>     ..FV.... set sample (pixel) aspect ratio (default "0")
  sar_den           <float>      ..FV.... (from 0 to FLT_MAX) (default 0)
  max               <int>        ..FV.... set max value for nominator or denominator in the ratio (from 1 to INT_MAX) (default 100)

settb AVOptions:
  expr              <string>     ..FV.... set expression determining the output timebase (default "intb")
  tb                <string>     ..FV.... set expression determining the output timebase (default "intb")

shuffleplanes AVOptions:
  map0              <int>        ..FV.... Index of the input plane to be used as the first output plane  (from 0 to 4) (default 0)
  map1              <int>        ..FV.... Index of the input plane to be used as the second output plane  (from 0 to 4) (default 1)
  map2              <int>        ..FV.... Index of the input plane to be used as the third output plane  (from 0 to 4) (default 2)
  map3              <int>        ..FV.... Index of the input plane to be used as the fourth output plane  (from 0 to 4) (default 3)

signalstats AVOptions:
  stat              <flags>      ..FV.... set statistics filters (default 0)
     tout                         ..FV.... analyze pixels for temporal outliers
     vrep                         ..FV.... analyze video lines for vertical line repitition
     brng                         ..FV.... analyze for pixels outside of broadcast range
  out               <int>        ..FV.... set video filter (from -1 to 2) (default -1)
     tout                         ..FV.... highlight pixels that depict temporal outliers
     vrep                         ..FV.... highlight video lines that depict vertical line repitition
     brng                         ..FV.... highlight pixels that are outside of broadcast range
  c                 <color>      ..FV.... set highlight color (default "yellow")
  color             <color>      ..FV.... set highlight color (default "yellow")

smartblur AVOptions:
  luma_radius       <float>      ..FV.... set luma radius (from 0.1 to 5) (default 1)
  lr                <float>      ..FV.... set luma radius (from 0.1 to 5) (default 1)
  luma_strength     <float>      ..FV.... set luma strength (from -1 to 1) (default 1)
  ls                <float>      ..FV.... set luma strength (from -1 to 1) (default 1)
  luma_threshold    <int>        ..FV.... set luma threshold (from -30 to 30) (default 0)
  lt                <int>        ..FV.... set luma threshold (from -30 to 30) (default 0)
  chroma_radius     <float>      ..FV.... set chroma radius (from -0.9 to 5) (default -0.9)
  cr                <float>      ..FV.... set chroma radius (from -0.9 to 5) (default -0.9)
  chroma_strength   <float>      ..FV.... set chroma strength (from -2 to 1) (default -2)
  cs                <float>      ..FV.... set chroma strength (from -2 to 1) (default -2)
  chroma_threshold  <int>        ..FV.... set chroma threshold (from -31 to 30) (default -31)
  ct                <int>        ..FV.... set chroma threshold (from -31 to 30) (default -31)

split AVOptions:
  -outputs           <int>        ...VA... set number of outputs (from 1 to INT_MAX) (default 2)

spp AVOptions:
  quality           <int>        ..FV.... set quality (from 0 to 6) (default 3)
  qp                <int>        ..FV.... force a constant quantizer parameter (from 0 to 63) (default 0)
  mode              <int>        ..FV.... set thresholding mode (from 0 to 1) (default 0)
     hard                         ..FV.... hard thresholding
     soft                         ..FV.... soft thresholding
  use_bframe_qp     <int>        ..FV.... use B-frames' QP (from 0 to 1) (default 0)

AVDCT AVOptions:
  -dct               <int>        E..V.... DCT algorithm (from 0 to INT_MAX) (default 0)
     auto                         E..V.... autoselect a good one (default)
     fastint                      E..V.... fast integer (experimental / for debugging)
     int                          E..V.... accurate integer
     mmx                          E..V.... experimental / for debugging
     altivec                      E..V.... experimental / for debugging
     faan                         E..V.... floating point AAN DCT (experimental / for debugging)
  -idct              <int>        ED.V.... select IDCT implementation (from 0 to INT_MAX) (default 0)
     auto                         ED.V.... autoselect a good one (default)
     int                          ED.V.... experimental / for debugging
     simple                       ED.V.... experimental / for debugging
     simplemmx                    ED.V.... experimental / for debugging
     arm                          ED.V.... experimental / for debugging
     altivec                      ED.V.... experimental / for debugging
     sh4                          ED.V.... experimental / for debugging
     simplearm                    ED.V.... experimental / for debugging
     simplearmv5te                ED.V.... experimental / for debugging
     simplearmv6                  ED.V.... experimental / for debugging
     simpleneon                   ED.V.... experimental / for debugging
     simplealpha                  ED.V.... experimental / for debugging
     ipp                          ED.V.... experimental / for debugging
     xvid                         ED.V.... experimental / for debugging
     xvidmmx                      ED.V.... experimental / for debugging
     faani                        ED.V.... floating point AAN IDCT (experimental / for debugging)
     simpleauto                   ED.V.... experimental / for debugging

stereo3d AVOptions:
  in                <int>        ..FV.... set input format (from 18 to 27) (default 18)
     ab2l                         ..FV.... above below half height left first
     ab2r                         ..FV.... above below half height right first
     abl                          ..FV.... above below left first
     abr                          ..FV.... above below right first
     al                           ..FV.... alternating frames left first
     ar                           ..FV.... alternating frames right first
     sbs2l                        ..FV.... side by side half width left first
     sbs2r                        ..FV.... side by side half width right first
     sbsl                         ..FV.... side by side left first
     sbsr                         ..FV.... side by side right first
  out               <int>        ..FV.... set output format (from 0 to 27) (default 3)
     ab2l                         ..FV.... above below half height left first
     ab2r                         ..FV.... above below half height right first
     abl                          ..FV.... above below left first
     abr                          ..FV.... above below right first
     agmc                         ..FV.... anaglyph green magenta color
     agmd                         ..FV.... anaglyph green magenta dubois
     agmg                         ..FV.... anaglyph green magenta gray
     agmh                         ..FV.... anaglyph green magenta half color
     al                           ..FV.... alternating frames left first
     ar                           ..FV.... alternating frames right first
     arbg                         ..FV.... anaglyph red blue gray
     arcc                         ..FV.... anaglyph red cyan color
     arcd                         ..FV.... anaglyph red cyan dubois
     arcg                         ..FV.... anaglyph red cyan gray
     arch                         ..FV.... anaglyph red cyan half color
     argg                         ..FV.... anaglyph red green gray
     aybc                         ..FV.... anaglyph yellow blue color
     aybd                         ..FV.... anaglyph yellow blue dubois
     aybg                         ..FV.... anaglyph yellow blue gray
     aybh                         ..FV.... anaglyph yellow blue half color
     irl                          ..FV.... interleave rows left first
     irr                          ..FV.... interleave rows right first
     ml                           ..FV.... mono left
     mr                           ..FV.... mono right
     sbs2l                        ..FV.... side by side half width left first
     sbs2r                        ..FV.... side by side half width right first
     sbsl                         ..FV.... side by side left first
     sbsr                         ..FV.... side by side right first

telecine AVOptions:
  first_field       <int>        ..FV.... select first field (from 0 to 1) (default 0)
     top                          ..FV.... select top field first
     t                            ..FV.... select top field first
     bottom                       ..FV.... select bottom field first
     b                            ..FV.... select bottom field first
  pattern           <string>     ..FV.... pattern that describe for how many fields a frame is to be displayed (default "23")

thumbnail AVOptions:
  n                 <int>        ..FV.... set the frames batch size (from 2 to INT_MAX) (default 100)

tile AVOptions:
  layout            <image_size> ..FV.... set grid size (default "6x5")
  nb_frames         <int>        ..FV.... set maximum number of frame to render (from 0 to INT_MAX) (default 0)
  margin            <int>        ..FV.... set outer border margin in pixels (from 0 to 1024) (default 0)
  padding           <int>        ..FV.... set inner border thickness in pixels (from 0 to 1024) (default 0)
  color             <color>      ..FV.... set the color of the unused area (default "black")

tinterlace AVOptions:
  mode              <int>        ..FV.... select interlace mode (from 0 to 6) (default 0)
     merge                        ..FV.... merge fields
     drop_even                    ..FV.... drop even fields
     drop_odd                     ..FV.... drop odd fields
     pad                          ..FV.... pad alternate lines with black
     interleave_top               ..FV.... interleave top and bottom fields
     interleave_bottom              ..FV.... interleave bottom and top fields
     interlacex2                  ..FV.... interlace fields from two consecutive frames

transpose AVOptions:
  dir               <int>        ..FV.... set transpose direction (from 0 to 7) (default 0)
  passthrough       <int>        ..FV.... do not apply transposition if the input matches the specified geometry (from 0 to INT_MAX) (default 0)
     none                         ..FV.... always apply transposition
     portrait                     ..FV.... preserve portrait geometry
     landscape                    ..FV.... preserve landscape geometry

trim AVOptions:
  starti            <duration>   ..FV.... Timestamp of the first frame that should be passed (default I64_MAX)
  endi              <duration>   ..FV.... Timestamp of the first frame that should be dropped again (default I64_MAX)
  start_pts         <int64>      ..FV.... Timestamp of the first frame that should be  passed (from I64_MIN to I64_MAX) (default I64_MIN)
  end_pts           <int64>      ..FV.... Timestamp of the first frame that should be dropped again (from I64_MIN to I64_MAX) (default I64_MIN)
  durationi         <duration>   ..FV.... Maximum duration of the output (default 0)
  start_frame       <int64>      ..FV.... Number of the first frame that should be passed to the output (from -1 to I64_MAX) (default -1)
  end_frame         <int64>      ..FV.... Number of the first frame that should be dropped again (from 0 to I64_MAX) (default I64_MAX)
  start             <double>     ..FV.... Timestamp in seconds of the first frame that should be passed (from -DBL_MAX to DBL_MAX) (default DBL_MAX)
  end               <double>     ..FV.... Timestamp in seconds of the first frame that should be dropped again (from -DBL_MAX to DBL_MAX) (default DBL_MAX)
  duration          <double>     ..FV.... Maximum duration of the output in seconds (from 0 to DBL_MAX) (default 0)

unsharp AVOptions:
  luma_msize_x      <int>        ..FV.... set luma matrix horizontal size (from 3 to 63) (default 5)
  lx                <int>        ..FV.... set luma matrix horizontal size (from 3 to 63) (default 5)
  luma_msize_y      <int>        ..FV.... set luma matrix vertical size (from 3 to 63) (default 5)
  ly                <int>        ..FV.... set luma matrix vertical size (from 3 to 63) (default 5)
  luma_amount       <float>      ..FV.... set luma effect strength (from -2 to 5) (default 1)
  la                <float>      ..FV.... set luma effect strength (from -2 to 5) (default 1)
  chroma_msize_x    <int>        ..FV.... set chroma matrix horizontal size (from 3 to 63) (default 5)
  cx                <int>        ..FV.... set chroma matrix horizontal size (from 3 to 63) (default 5)
  chroma_msize_y    <int>        ..FV.... set chroma matrix vertical size (from 3 to 63) (default 5)
  cy                <int>        ..FV.... set chroma matrix vertical size (from 3 to 63) (default 5)
  chroma_amount     <float>      ..FV.... set chroma effect strength (from -2 to 5) (default 0)
  ca                <float>      ..FV.... set chroma effect strength (from -2 to 5) (default 0)
  opencl            <int>        ..FV.... use OpenCL filtering capabilities (from 0 to 1) (default 0)

vignette AVOptions:
  angle             <string>     ..FV.... set lens angle (default "PI/5")
  a                 <string>     ..FV.... set lens angle (default "PI/5")
  x0                <string>     ..FV.... set circle center position on x-axis (default "w/2")
  y0                <string>     ..FV.... set circle center position on y-axis (default "h/2")
  mode              <int>        ..FV.... set forward/backward mode (from 0 to 1) (default 0)
     forward                      ..FV....
     backward                     ..FV....
  eval              <int>        ..FV.... specify when to evaluate expressions (from 0 to 1) (default 0)
     init                         ..FV.... eval expressions once during initialization
     frame                        ..FV.... eval expressions for each frame
  dither            <int>        ..FV.... set dithering (from 0 to 1) (default 1)
  aspect            <rational>   ..FV.... set aspect ratio (from 0 to DBL_MAX) (default 1/1)

w3fdif AVOptions:
  filter            <int>        ..FV.... specify the filter (from 0 to 1) (default 1)
     simple                       ..FV....
     complex                      ..FV....
  deint             <int>        ..FV.... specify which frames to deinterlace (from 0 to 1) (default 0)
     all                          ..FV.... deinterlace all frames
     interlaced                   ..FV.... only deinterlace frames marked as interlaced

yadif AVOptions:
  mode              <int>        ..FV.... specify the interlacing mode (from 0 to 3) (default 0)
     send_frame                   ..FV.... send one frame for each frame
     send_field                   ..FV.... send one frame for each field
     send_frame_nospatial              ..FV.... send one frame for each frame, but skip spatial interlacing check
     send_field_nospatial              ..FV.... send one frame for each field, but skip spatial interlacing check
  parity            <int>        ..FV.... specify the assumed picture field parity (from -1 to 1) (default -1)
     tff                          ..FV.... assume top field first
     bff                          ..FV.... assume bottom field first
     auto                         ..FV.... auto detect parity
  deint             <int>        ..FV.... specify which frames to deinterlace (from 0 to 1) (default 0)
     all                          ..FV.... deinterlace all frames
     interlaced                   ..FV.... only deinterlace frames marked as interlaced

zoompan AVOptions:
  zoom              <string>     ..FV.... set the zoom expression (default "1")
  z                 <string>     ..FV.... set the zoom expression (default "1")
  x                 <string>     ..FV.... set the x expression (default "0")
  y                 <string>     ..FV.... set the y expression (default "0")
  d                 <string>     ..FV.... set the duration expression (default "90")
  s                 <image_size> ..FV.... set the output image size (default "hd720")

cellauto AVOptions:
  filename          <string>     ..FV.... read initial pattern from file
  f                 <string>     ..FV.... read initial pattern from file
  pattern           <string>     ..FV.... set initial pattern
  p                 <string>     ..FV.... set initial pattern
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  size              <image_size> ..FV.... set video size
  s                 <image_size> ..FV.... set video size
  rule              <int>        ..FV.... set rule (from 0 to 255) (default 110)
  random_fill_ratio <double>     ..FV.... set fill ratio for filling initial grid randomly (from 0 to 1) (default 0.618034)
  ratio             <double>     ..FV.... set fill ratio for filling initial grid randomly (from 0 to 1) (default 0.618034)
  random_seed       <int>        ..FV.... set the seed for filling the initial grid randomly (from -1 to UINT32_MAX) (default -1)
  seed              <int>        ..FV.... set the seed for filling the initial grid randomly (from -1 to UINT32_MAX) (default -1)
  scroll            <int>        ..FV.... scroll pattern downward (from 0 to 1) (default 1)
  start_full        <int>        ..FV.... start filling the whole video (from 0 to 1) (default 0)
  full              <int>        ..FV.... start filling the whole video (from 0 to 1) (default 1)
  stitch            <int>        ..FV.... stitch boundaries (from 0 to 1) (default 1)

color AVOptions:
  color             <color>      ..FV.... set color (default "black")
  c                 <color>      ..FV.... set color (default "black")
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

haldclutsrc AVOptions:
  level             <int>        ..FV.... set level (from 2 to 8) (default 6)
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

life AVOptions:
  filename          <string>     ..FV.... set source file
  f                 <string>     ..FV.... set source file
  size              <image_size> ..FV.... set video size
  s                 <image_size> ..FV.... set video size
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  rule              <string>     ..FV.... set rule (default "B3/S23")
  random_fill_ratio <double>     ..FV.... set fill ratio for filling initial grid randomly (from 0 to 1) (default 0.618034)
  ratio             <double>     ..FV.... set fill ratio for filling initial grid randomly (from 0 to 1) (default 0.618034)
  random_seed       <int>        ..FV.... set the seed for filling the initial grid randomly (from -1 to UINT32_MAX) (default -1)
  seed              <int>        ..FV.... set the seed for filling the initial grid randomly (from -1 to UINT32_MAX) (default -1)
  stitch            <int>        ..FV.... stitch boundaries (from 0 to 1) (default 1)
  mold              <int>        ..FV.... set mold speed for dead cells (from 0 to 255) (default 0)
  life_color        <color>      ..FV.... set life color (default "white")
  death_color       <color>      ..FV.... set death color (default "black")
  mold_color        <color>      ..FV.... set mold color (default "black")

mandelbrot AVOptions:
  size              <image_size> ..FV.... set frame size (default "640x480")
  s                 <image_size> ..FV.... set frame size (default "640x480")
  rate              <video_rate> ..FV.... set frame rate (default "25")
  r                 <video_rate> ..FV.... set frame rate (default "25")
  maxiter           <int>        ..FV.... set max iterations number (from 1 to INT_MAX) (default 7189)
  start_x           <double>     ..FV.... set the initial x position (from -100 to 100) (default -0.743644)
  start_y           <double>     ..FV.... set the initial y position (from -100 to 100) (default -0.131826)
  start_scale       <double>     ..FV.... set the initial scale value (from 0 to FLT_MAX) (default 3)
  end_scale         <double>     ..FV.... set the terminal scale value (from 0 to FLT_MAX) (default 0.3)
  end_pts           <double>     ..FV.... set the terminal pts value (from 0 to I64_MAX) (default 400)
  bailout           <double>     ..FV.... set the bailout value (from 0 to FLT_MAX) (default 10)
  morphxf           <double>     ..FV.... set morph x frequency (from -FLT_MAX to FLT_MAX) (default 0.01)
  morphyf           <double>     ..FV.... set morph y frequency (from -FLT_MAX to FLT_MAX) (default 0.0123)
  morphamp          <double>     ..FV.... set morph amplitude (from -FLT_MAX to FLT_MAX) (default 0)
  outer             <int>        ..FV.... set outer coloring mode (from 0 to INT_MAX) (default 1)
     iteration_count              ..FV.... set iteration count mode
     normalized_iteration_count              ..FV.... set normalized iteration count mode
     white                        ..FV.... set white mode
     outz                         ..FV.... set outz mode
  inner             <int>        ..FV.... set inner coloring mode (from 0 to INT_MAX) (default 3)
     black                        ..FV.... set black mode
     period                       ..FV.... set period mode
     convergence                  ..FV.... show time until convergence
     mincol                       ..FV.... color based on point closest to the origin of the iterations

mptestsrc AVOptions:
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  test              <int>        ..FV.... set test to perform (from 0 to INT_MAX) (default 10)
     dc_luma                      ..FV.... 
     dc_chroma                    ..FV.... 
     freq_luma                    ..FV.... 
     freq_chroma                  ..FV.... 
     amp_luma                     ..FV.... 
     amp_chroma                   ..FV.... 
     cbp                          ..FV.... 
     mv                           ..FV.... 
     ring1                        ..FV.... 
     ring2                        ..FV.... 
     all                          ..FV.... 
  t                 <int>        ..FV.... set test to perform (from 0 to INT_MAX) (default 10)
     dc_luma                      ..FV.... 
     dc_chroma                    ..FV.... 
     freq_luma                    ..FV.... 
     freq_chroma                  ..FV.... 
     amp_luma                     ..FV.... 
     amp_chroma                   ..FV.... 
     cbp                          ..FV.... 
     mv                           ..FV.... 
     ring1                        ..FV.... 
     ring2                        ..FV.... 
     all                          ..FV.... 

nullsrc AVOptions:
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

rgbtestsrc AVOptions:
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

smptebars AVOptions:
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

smptehdbars AVOptions:
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)

testsrc AVOptions:
  size              <image_size> ..FV.... set video size (default "320x240")
  s                 <image_size> ..FV.... set video size (default "320x240")
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  duration          <duration>   ..FV.... set video duration (default -1)
  d                 <duration>   ..FV.... set video duration (default -1)
  sar               <rational>   ..FV.... set video sample aspect ratio (from 0 to INT_MAX) (default 1/1)
  decimals          <int>        ..FV.... set number of decimals to show (from 0 to 17) (default 0)
  n                 <int>        ..FV.... set number of decimals to show (from 0 to 17) (default 0)

avectorscope AVOptions:
  mode              <int>        ..FV.... set mode (from 0 to 1) (default 0)
     lissajous                    ..FV.... 
     lissajous_xy                 ..FV.... 
  m                 <int>        ..FV.... set mode (from 0 to 1) (default 0)
     lissajous                    ..FV.... 
     lissajous_xy                 ..FV.... 
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  size              <image_size> ..FV.... set video size (default "400x400")
  s                 <image_size> ..FV.... set video size (default "400x400")
  rc                <int>        ..FV.... set red contrast (from 0 to 255) (default 40)
  gc                <int>        ..FV.... set green contrast (from 0 to 255) (default 160)
  bc                <int>        ..FV.... set blue contrast (from 0 to 255) (default 80)
  rf                <int>        ..FV.... set red fade (from 0 to 255) (default 15)
  gf                <int>        ..FV.... set green fade (from 0 to 255) (default 10)
  bf                <int>        ..FV.... set blue fade (from 0 to 255) (default 5)
  zoom              <double>     ..FV.... set zoom factor (from 1 to 10) (default 1)

concat AVOptions:
  n                 <int>        ..FVA... specify the number of segments (from 2 to INT_MAX) (default 2)
  v                 <int>        ..FV.... specify the number of video streams (from 0 to INT_MAX) (default 1)
  a                 <int>        ..F.A... specify the number of audio streams (from 0 to INT_MAX) (default 0)
  unsafe            <int>        ..FVA... enable unsafe mode (from 0 to INT_MAX) (default 0)

showcqt AVOptions:
  volume            <string>     ..FV.... set volume (default "16")
  tlength           <string>     ..FV.... set transform length (default "384/f*tc/(384/f+tc)")
  timeclamp         <double>     ..FV.... set timeclamp (from 0.1 to 1) (default 0.17)
  coeffclamp        <float>      ..FV.... set coeffclamp (from 0.1 to 10) (default 1)
  gamma             <float>      ..FV.... set gamma (from 1 to 7) (default 3)
  fullhd            <int>        ..FV.... set full HD resolution (from 0 to 1) (default 1)
  fps               <int>        ..FV.... set video fps (from 10 to 100) (default 25)
  count             <int>        ..FV.... set number of transform per frame (from 1 to 30) (default 6)
  fontfile          <string>     ..FV.... set font file
  fontcolor         <string>     ..FV.... set font color (default "st(0, (midi(f)-59.5)/12);st(1, if(between(ld(0),0,1), 0.5-0.5*cos(2*PI*ld(0)), 0));r(1-ld(1)) + b(ld(1))")

showspectrum AVOptions:
  size              <image_size> ..FV.... set video size (default "640x512")
  s                 <image_size> ..FV.... set video size (default "640x512")
  slide             <int>        ..FV.... set sliding mode (from 0 to 3) (default 0)
     replace                      ..FV.... replace old columns with new
     scroll                       ..FV.... scroll from right to left
     fullframe                    ..FV.... return full frames
  mode              <int>        ..FV.... set channel display mode (from 0 to 1) (default 0)
     combined                     ..FV.... combined mode
     separate                     ..FV.... separate mode
  color             <int>        ..FV.... set channel coloring (from 0 to 1) (default 0)
     channel                      ..FV.... separate color for each channel
     intensity                    ..FV.... intensity based coloring
  scale             <int>        ..FV.... set display scale (from 0 to 3) (default 1)
     sqrt                         ..FV.... square root
     cbrt                         ..FV.... cubic root
     log                          ..FV.... logarithmic
     lin                          ..FV.... linear
  saturation        <float>      ..FV.... color saturation multiplier (from -10 to 10) (default 1)
  win_func          <int>        ..FV.... set window function (from 0 to 3) (default 1)
     hann                         ..FV.... Hann window
     hamming                      ..FV.... Hamming window
     blackman                     ..FV.... Blackman window

showwaves AVOptions:
  size              <image_size> ..FV.... set video size (default "600x240")
  s                 <image_size> ..FV.... set video size (default "600x240")
  mode              <int>        ..FV.... select display mode (from 0 to 3) (default 0)
     point                        ..FV.... draw a point for each sample
     line                         ..FV.... draw a line for each sample
     p2p                          ..FV.... draw a line between samples
     cline                        ..FV.... draw a centered line for each sample
  n                 <int>        ..FV.... set how many samples to show in the same point (from 0 to INT_MAX) (default 0)
  rate              <video_rate> ..FV.... set video rate (default "25")
  r                 <video_rate> ..FV.... set video rate (default "25")
  split_channels    <int>        ..FV.... draw channels separately (from 0 to 1) (default 0)

amovie AVOptions:
  filename          <string>     ..FVA...
  format_name       <string>     ..FVA... set format name
  f                 <string>     ..FVA... set format name
  stream_index      <int>        ..FVA... set stream index (from -1 to INT_MAX) (default -1)
  si                <int>        ..FVA... set stream index (from -1 to INT_MAX) (default -1)
  seek_point        <double>     ..FVA... set seekpoint (seconds) (from 0 to 9.22337e+012) (default 0)
  sp                <double>     ..FVA... set seekpoint (seconds) (from 0 to 9.22337e+012) (default 0)
  streams           <string>     ..FVA... set streams
  s                 <string>     ..FVA... set streams
  loop              <int>        ..FVA... set loop count (from 0 to INT_MAX) (default 1)

movie AVOptions:
  filename          <string>     ..FVA...
  format_name       <string>     ..FVA... set format name
  f                 <string>     ..FVA... set format name
  stream_index      <int>        ..FVA... set stream index (from -1 to INT_MAX) (default -1)
  si                <int>        ..FVA... set stream index (from -1 to INT_MAX) (default -1)
  seek_point        <double>     ..FVA... set seekpoint (seconds) (from 0 to 9.22337e+012) (default 0)
  sp                <double>     ..FVA... set seekpoint (seconds) (from 0 to 9.22337e+012) (default 0)
  streams           <string>     ..FVA... set streams
  s                 <string>     ..FVA... set streams
  loop              <int>        ..FVA... set loop count (from 0 to INT_MAX) (default 1)

ffbuffersink AVOptions:
  pix_fmts          <binary>     ..FV.... set the supported pixel formats

ffabuffersink AVOptions:
  sample_fmts       <binary>     ..FV.... set the supported sample formats
  sample_rates      <binary>     ..FV.... set the supported sample rates
  channel_layouts   <binary>     ..FV.... set the supported channel layouts
  channel_counts    <binary>     ..FV.... set the supported channel counts
  all_channel_counts <int>        ..FV.... accept all channel counts (from 0 to 1) (default 0)

abuffer AVOptions:
  time_base         <rational>   ..F.A... (from 0 to INT_MAX) (default 0/1)
  sample_rate       <int>        ..F.A... (from 0 to INT_MAX) (default 0)
  sample_fmt        <sample_fmt> ..F.A... (default none)
  channel_layout    <string>     ..F.A...
  channels          <int>        ..F.A... (from 0 to INT_MAX) (default 0)

buffer AVOptions:
  width             <int>        ..FV.... (from 0 to INT_MAX) (default 0)
  video_size        <image_size> ..FV....
  height            <int>        ..FV.... (from 0 to INT_MAX) (default 0)
  pix_fmt           <pix_fmt>    ..FV.... (default none)
  time_base_num     <int>        ..FV.... deprecated, do not use (from 0 to INT_MAX) (default 0)
  time_base_den     <int>        ..FV.... deprecated, do not use (from 0 to INT_MAX) (default 0)
  sar_num           <int>        ..FV.... deprecated, do not use (from 0 to INT_MAX) (default 0)
  sar_den           <int>        ..FV.... deprecated, do not use (from 0 to INT_MAX) (default 0)
  sar               <rational>   ..FV.... sample aspect ratio (from 0 to DBL_MAX) (default 1/1)
  pixel_aspect      <rational>   ..FV.... sample aspect ratio (from 0 to DBL_MAX) (default 1/1)
  time_base         <rational>   ..FV.... (from 0 to DBL_MAX) (default 0/1)
  frame_rate        <rational>   ..FV.... (from 0 to DBL_MAX) (default 0/1)
  sws_param         <string>     ..FV....

abuffersink AVOptions:
  sample_fmts       <binary>     ..FV.... set the supported sample formats
  sample_rates      <binary>     ..FV.... set the supported sample rates
  channel_layouts   <binary>     ..FV.... set the supported channel layouts
  channel_counts    <binary>     ..FV.... set the supported channel counts
  all_channel_counts <int>        ..FV.... accept all channel counts (from 0 to 1) (default 0)

buffersink AVOptions:
  pix_fmts          <binary>     ..FV.... set the supported pixel formats

